2008-10-06  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Updater.cs: update db to 16.3, stop any pending hash job, will
	stop hours of disk spinning...

2008-10-04  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PixbufUtils.cs: fix the leakage on GetSize ();

2008-09-22  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in: bump to 0.5.0.1
	* src/TagStore.cs: do not use rle, it triggers a bug in gdk-pixbuf. Fixes
	bgo #553243.

2008-09-20 Jordi Mas <jmas@softcatala.org>
	
	* src/Editors/RedEyeEditor.cs: Make string localizable

2008-09-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Updater.cs:
	* src/PhotoStore.cs: adding an index on roll_id. Patch by Ulf Rompe.

2008-09-15  Anton Keks  <anton@azib.net>

	* src/SlideView.cs
	* src/Utils/GdkUtils.cs: moved empty cursor creation code to GdkUtils.

	* libfspot/f-image-view.c
	* src/FullScreenView.cs: hides cursor automatically when entering full
	screen. Moving the mouse will show cursor again for 3 seconds.

2008-09-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/FilmStrip.cs: speed up the strip a bit

2008-09-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: bump the gsd housekeeping values if needed.
	* src/Utils/Unix.cs:
	* src/PixbufCache.cs: touch the thumbnail on load
	* src/Preferences.cs: some refactoring, adding a TryGet method.

2008-09-17  Ruben Vermeersch  <ruben@savanne.be>

	* src/TagSelectionWidget.cs: Fix a Preferences.Get is obsolete warning,
	small cleanups in the process. Number of warnings down to 36.

2008-09-16  Lorenzo Milesi <maxxer@yetopen.it>

	* src/InfoOverlay.cs: set fixed width to 250. default width was
	ellipsizing too many strings.
	* src/Widgets/InfoBox.cs: display rating widget in fullscreen infobox.

2008-09-16  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* src/f-spot.glade:
	* src/CameraFileSelectionDialog.cs:  Add duplicate support for the
	camera import dialog

2008-09-16  Lorenzo Milesi <maxxer@yetopen.it>

	* src/f-spot.glade:
	* src/PhotoImageView.cs:
	* src/MainWindow.cs: Add view loupe menu item. Bgo#474704.

2008-09-16  Stephane Delcroix  <sdelcroix@novell.com>

	* Core/ColorManagement.cs:
	* AsyncPixbufLoader.cs:
	* Cms/NativeMethods.cs:
	* Cms/Profile.cs:
	* GPhotoCamera.cs:
	* Imaging/Tiff.cs:
	* MainWindow.cs:
	* Makefile.am:
	* PhotoImageView.cs:
	* Preferences.cs:
	* PrintOperation.cs:
	* TagCommands.cs:
	* TagSelectionWidget.cs:
	* TextureDisplay.cs:
	* UI.Dialog/PreferenceDialog.cs:
	* Widgets/Filmstrip.cs:
	* Widgets/IconView.cs:
	* Widgets/TagView.cs:
	* f-spot.glade: Color management patch developped by Wasja during the
	Google Summer of Code.

2008-09-16  Stephane Delcroix  <sdelcroix@novell.com>

	* NEWS:
	* configure.in:
	* src/FSpot.addin.xml:
	* src/UI.Dialog/AboutDialog.cs: bumping the version to 0.5.0, setting
	the release name (thx Thomas), updating the Authors list.

2008-09-15  Ruben Vermeersch  <ruben@savanne.be>

	* src/InfoOverlay.cs: Use the FullScreen context while viewing full
	screen.

	* src/Widgets/ViewContext.cs: Add FullScreen.

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoSore.cs: fixing a bug in version creation introduced by the
	dupe detect patch.

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindows.cs
	* src/FullScreenView.cs:
	* src/f-spot.glade: some key handling refactoring, allow rating
	and deleting in fullscreen. Patch from Anton Keks, fixes bgo #552145.

2008-09-15  Ruben Vermeersch  <ruben@savanne.be>

	* src/Core/Photo.cs: Fix the order of the md5_sum and name parameters, to
	prevent awkward version names.

2008-09-15  Ruben Vermeersch  <ruben@savanne.be>

	Add context sensitivity to the infobox/histogram.

	* src/MainWindow.cs: Notify the infobox of context changes.

	* src/Makefile.am: Add ViewContext.cs.

	* src/Preferences.cs: Remove the old preference keys.

	* src/Widgets/InfoBox.cs: Add smart context-sensitive
	displaying/undisplaying of infobox/histogram.

	* src/Widgets/Sidebar.cs: Remove the ViewContext enum...

	* src/Widgets/ViewContext.cs: ... and move it here (new file).

2008-09-15  Ruben Vermeersch  <ruben@savanne.be>

	* Jobs/CalculateHashJob.cs: Return true on completion. As expected in Job.
	Not that it's ever checked...

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoStore.cs: add the index on new db creation too;

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* srx/XmpTagImporter.cs: workaround for bgo #371602.

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/CustomPrintWidget.cs:
	* src/Core/Global.cs: keep the PageSetup globally

	* src/MainWindow.cs:
	* src/PrintOperation.cs:
	* src/f-spot.glade: new PageSetup dialog.

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/Tiff.cs: fix the charset for writing UserComment.
	Patch from Ulf Rompe, Fixes bgo #551593

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/ComplexMenuItem.cs:
	* src/Widgets/RatinMenuItem.cs: new protected (IntPtr raw) ctors.
	Fixes bgo #552272.

2008-09-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoImageView.cs: fix the ZoomFit, bgo #551741.

2008-09-14  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* src/PhotoStore.cs: Make sure the md5 sum on the photo versions is
	saved to database.

2008-09-12  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Updater.cs: add an index to speed up GetByUri.

2008-09-12  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoVersionMenu.cs: ellipsize photo version names. fix
	bug#501207.

2008-09-12  Lorenzo Milesi <maxxer@yetopen.it>

	* src/FullScreenView.cs: map keybindings for rotating. fix bgo#338498.

2008-09-11  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoImageView.cs: fix vim shortcuts

2008-09-11  Lorenzo Milesi <maxxer@yetopen.it>

	* src/FullScreenView.cs: map keybindings to view/hide infobox, 
	close fullscreen. now only few keys close fs! removed console
	writelines. related to bug #347591. Portions of patch from 
	Cosme Sevestre.

2008-09-10  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* src/FileImportBackend.cs: Always remove copies that are detected as
	being duplicate.

2008-09-08  Lorenzo Milesi <maxxer@yetopen.it>

	* src/MainWindow.cs: update photoview when closing filmstrip and
	tagtype.

2008-09-08  Lorenzo Milesi <maxxer@yetopen.it>

	* src/MainWindow.cs: correctly set reverse order on startup. Fix bgo#551207.

2008-09-06  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	Add duplicate detection to the import window.  Fix bgo #169646

	* src/TagStore.cs: Free memory used for serializing

	* src/f-spot.glade:
	* src/ImportCommand.cs:
	* src/ImportBackend.cs:
	* src/FileImportBackend.cs: Add an option to the file import window to
	allow the user to include duplicates or not.

	* src/Core/Photo.cs:
	* src/Core/PhotoVersion.cs:
	* src/Core/PhotosChanges.cs:
	* src/PhotoStore.cs: 
	* src/Updater.cs: Add an md5 sum field to the photo and photo
	version, this makes it easy for us to check for images already in the
	database.

	* src/Makefile.am:
	* src/Jobs/CalculateHashJob.cs: Add a job class that allows us to
	calculate the md5 sum of a photo asynchronously.  This is used when
	updating the database to include the md5 sum field.

2008-09-03  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PrintOperation.cs: avoid crashing if image is not found on
	filesystem. Fix bgo#547663.

2008-09-03  Stephane Delcroix  <sdelcroix@novell.com>

	* src/FullScreenView.cs:
	* src/PhotoImageView.cs: new vim-like shortcuts for moving 
	in a zoomed-in image. Patch from Anton Keks.

2008-09-03  Jakub Steiner <jimmac@ximian.com>

	* icons/darkroom.gtkrc: begin creating a dark color scheme to
	replace the custom gtkrc selector in preferences.

2008-09-01  Lorenzo Milesi <maxxer@yetopen.it>

	* src/TagStore.cs: tag rename caused update of too many pics.

2008-08-26  Ruben Vermeersch  <ruben@savanne.be>

	* Widgets/EditorPage.cs: Fix a critical warning, caused by removing the
	editor configuration widget from the wrong parent. Amazed that it even
	worked in the first place.

2008-08-26  Ruben Vermeersch  <ruben@savanne.be>

	* Widgets/InfoBox.cs: Prevent a possible race condition, where a second
	thread updates the histogram while it's in use.

2008-08-26  Ruben Vermeersch  <ruben@savanne.be>

	* Editors/Editor.cs: Force reloading of the image after resetting the
	editor, prevents the histogram from using a disposed pixbuf.

2008-08-26  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Db.cs:
	* src/QueuedSqliteDatabase.cs: move the Connect out of the ProcessQueue
	thread so we can catch connect exception. Add an event handler for
	ExceptionThrown.

	* src/FSpot.addin.xml: bump addin version.

2008-08-25  Ruben Vermeersch  <ruben@savanne.be>

	* src/Histogram.cs: Further cleanup the Histogram API. It still does two
	tasks (due to the AutoStretch tool), but it's getting better at doing one
	task.

	* src/Widgets/InfoBox.cs, src/Widgets/PreviewPopup.cs: Use the new API.

2008-08-25  Ruben Vermeersch  <ruben@savanne.be>

	* src/Histogram.cs: More cleanups, fix a FIXME.

	* src/Widgets/InfoBox.cs, src/Widgets/PreviewPopup.cs: Instead of filling
	magic array items, use the new properties.

2008-08-25  Ruben Vermeersch  <ruben@savanne.be>

	* src/Histogram.cs: Fix pixbuf warnings and do some cleanups.

2009-08-25  Stephane Delcroix  <sdelcroix@novell.com>

	* src/: Make the Queries (almost) O(1). Refresh the timeline in an async
	thread. various speed enhancement.

2008-08-20  Ruben Vermeersch  <ruben@savanne.be>

	* mono-addins/Mono.Addins/Mono.Addins/ExtensionNode.cs: Do the correct
	fix, as suggested by lluis.

2008-08-18  Ruben Vermeersch  <ruben@savanne.be>

	* src/FSpot.addin.xml: Bump the core version number, to be sure to have a
	good version onto which addins can depend for hooking in new editors.

2008-08-18  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/EditorPage.cs: Do the button visibility changes in a less
	stupid way.

2008-08-17  Ruben Vermeersch  <ruben@savanne.be>

	* src/Core/PhotoChanges.cs: Correctly check if versions_added and
	versions_removed have been set. Based on a patch by Bengt Thuree. (Fixes
	BGO #548104).

2008-08-16  Ruben Vermeersch  <ruben@savanne.be>

	* src/MainWindow.cs: Set the glade translation domain to f-spot. This
	should fix some of the problems with untranslated strings reported on IRC.

2008-08-15  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>

	* docs/C/f-spot.exe: fix for #546137

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	Eliminate the final bits of the editing toolbar: the navigation arrows.
	These are now in the unused part of the top toolbar, to the right.

	* src/MainWindow.cs: Move the navigation buttons to the top toolbar.

	* src/PhotoView.cs: Eliminate the empty toolbar.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/InfoBox.cs: Correctly use Delay, no need to make new
	instances.

2008-08-14  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: print a trace on --debug for all Gtk/GdkPixbuf critical
	warnings.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/MetadataDisplay.cs: Make the label a bit more descriptive,
	switch to gtk-info until we have a better EXIF icon.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	Use a tag icon for the tags pane. Thanks to Michael Monreal for the icons.

	* icons/Makefile.am: Add the new icons.

	* icons/tag-16.png: Added.

	* icons/tag-16.svg: Added.

	* icons/tag-22.png: Added.

	* icons/tag-22.svg: Added.

	* src/MainWindow.cs: Use tag instead of gtk-new as the icon.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	Add progress reporting when updating multiple pictures.

	* src/Editors/Editor.cs: Add events that can be used to observe the state
	of the processing.

	* src/Widgets/EditorPage.cs: When an editor starts processing, pop up a
	progress dialog.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/EditorPage.cs: Pop up a message when the user tries to apply
	a tool that needs a selection, without having anything selected.

2008-08-14  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/EditorPage.cs: Don't crash when a user tries to edit a RAW
	file, give them some help instead.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	Remove the old ColorDialog.

	* src/MainWindow.cs: Detach handlers for the menu item.

	* src/Makefile.am: Remove ColorDialog.cs from the build.

	* src/PhotoView.cs: Remove the color adjustment button.

	* src/UI.Dialog/ColorDialog.cs: Removed.

	* src/f-spot.glade: Remove the dialog and the menu item.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	Port the Color Adjustment dialog to the sidebar.

	* src/ColorAdjustment/FullColorAdjustment.cs: Added. Performs a full color
	adjustment, used by the adjust color editor.

	* src/Editors/ColorEditor.cs: Added. The color editor UI.

	* src/FSpot.addin.xml: Add the Color editor.

	* src/Makefile.am: Add the two new files.

	* src/f-spot.glade: Add a new color_editor_prefs widget, used by the color
	editor.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	* src/Editors/Editor.cs: Be sure to free the old preview.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	* src/ColorAdjustment/Adjustment.cs: Don't dispose the input, it should
	not be touched.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/EditorPage.cs: Fix the widget packing, so that option
	dialogs aren't blown up.

2008-08-13  Ruben Vermeersch  <ruben@savanne.be>

	* src/Editors/CropEditor.cs: Avoid a crasher on instant-apply.

2008-08-12  Ruben Vermeersch  <ruben@savanne.be>

	* src/Editors/Editor.cs: Properly update the histogram on preview.

	* src/MainWindow.cs: Make the InfoBox accessible.

	* src/Widgets/InfoBox.cs: Allow passing a histogram hint.

2008-08-12  Ruben Vermeersch  <ruben@savanne.be>

	Add a Histogram pane above the info box.

	* src/Histogram.cs: Add a GeneratePixbuf overload that allows choosing the
	size of the generated pixbuf.

	* src/Imaging/ImageFile.cs: Don't upscale when loading small images.

	* src/Preferences.cs: Add configuration keys for storing the state of the
	expanders.

	* src/Widgets/InfoBox.cs: Add a histogram info pane. Wrap the image info
	and histogram in expanders, so the user can toggle them depending on
	whether they need them or not.

2008-08-08  Ruben Vermeersch  <ruben@savanne.be>

	Google Summer of Code 2008: Sidebar Improvements, version 1.

	This commit contains the bulk of my Summer of Code 2008 work, which aimed
	to move the editors into a switchable sidebar.

	* src/Editors/AutoStretchEditor.cs: Added.
	* src/Editors/CropEditor.cs: Added.
	* src/Editors/DesaturateEditor.cs: Added.
	* src/Editors/Editor.cs: Added.
	* src/Editors/Old/SoftFocus.cs: Removed.
	* src/Editors/Old/Tilt.cs: Removed.
	* src/Editors/RedEyeEditor.cs: Added.
	* src/Editors/SepiaEditor.cs: Added.
	* src/Editors/SoftFocusEditor.cs: Added.
	* src/Editors/TiltEditor.cs: Added.

	All previous files contain implementations of Editor tools. These are
	hooked up through the /FSpot/Editors addin point. The Editor class
	contains the abstract editor implementation. All other editors derive from
	this class, overriding methods where needed (Template Method Pattern).
	Most Editor options are set in the constructor (e.g. whether it needs a
	selection to operate).

	* src/Extensions/ViewModeCondition.cs: Do a small cleanup of
	ViewModeCondition, drop the Initialize method.

	* src/FSpot.addin.xml: Add the /FSpot/Editors extension point.

	* src/Filters/TiltFilter.cs: Removed.

	* src/ItemAction.cs: Most of this has become obsolete.

	* src/MainWindow.cs: Expose the PhotoView.

	* src/Makefile.am: Add / Remove needed files.

	* src/PhotoImageView.cs: Make sure we can poke at ZoomFit.

	* src/PhotoView.cs: Deprecate most of the old editors.

	* src/Widgets/EditorPage.cs: This hooks the editor tools into the sidebar.

	* src/Widgets/ImageDisplay.cs: Remove shortcuts from ImageDisplay, which
	is btw not used and should probably be removed completely.

	* src/Widgets/Sidebar.cs: Reflect the changes made in ViewModeCondition.

	* src/Widgets/SoftFocus.cs: Replaced with src/SoftFocus.cs.

	* src/Widgets/Tilt.cs: Removed.

2008-08-06  Ruben Vermeersch  <ruben@savanne.be>

	* mono-addins/Mono.Addins/Mono.Addins/ExtensionNode.cs: Properly check for
	null items. This causes trouble when a condition changes.

	Mono.Addins probably needs an update, or better yet, let's just add it as
	a dependency...

2008-08-06  Ruben Vermeersch  <ruben@savanne.be>

	Do context-aware sidebar switching. This means that the sidebar switches
	to a different page according to what you are doing. A default Most
	Recently Used switching strategy is provided, this can be changed easily
	if desired.

	* src/MainWindow.cs: Don't try to be smart with the sidebar. Stop storing
	and restoring the active entry.

	* src/Makefile.am: Move Sidebar.cs back to the main assembly, as it
	depends on the Extensions.

	* src/Preferences.cs: Remove all SIDEBAR_TOP_ENTRY related code, it's
	obsolete.

	* src/SingleView.cs: Initialize the context rather than the
	ViewModeCondition. The same applies for MainWindow.cs.

	* src/Widgets/Sidebar.cs: Add a SidebarContextSwitchStrategy, which
	defines the way context switches are handled. Implemented using the
	Strategy pattern.

2008-08-05  Lorenzo Milesi <maxxer@yetopen.it>

	* src/TagStore.cs: don't trash the db if an icon contains invalid
	characters. fix bgo#545902.

2008-08-01  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/Sidebar.cs: Always do the switch, otherwise we forget to do
	so during initialization.

2008-08-01  Ruben Vermeersch  <ruben@savanne.be>

	* src/Extensions/ViewModeCondition.cs: Added. Allows showing sidebar pages
	conditionally, depending on whether the full library view, or just single
	view is in use.

	* src/FSpot.addin.xml: Add an extension point to hook in new sidebar
	pages, as requested by apart.

	* src/SingleView.cs:
	* src/MainWindow.cs: Get sidebar pages from the extension point, rather
	than hardcoding it in.

	* src/Makefile.am: Add ViewModeCondition.cs.

	* src/Widgets/Sidebar.cs: Add SidebarPageNode, an ExtensionNode to add
	sidebar pages.

2008-08-01  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/Sidebar.cs: Keep track of the selection in the Sidebar. This
	allows sidebar pages to get a reference to the current selection at any
	time, through the sidebar container.

2008-07-26  Ruben Vermeersch  <ruben@savanne.be>

	* src/ColorAdjustment/Adjustment.cs:
	* src/ColorAdjustment/AutoStretch.cs:
	* src/ColorAdjustment/Desaturate.cs:
	* src/ColorAdjustment/SepiaTone.cs:
	* src/Filters/ColorFilter.cs:
	* src/Makefile.am: Rename ColorAdjustment to Adjustment, having
	conflicting namespaces and type names is something C# does not handle
	well.

2008-07-26  Ruben Vermeersch  <ruben@savanne.be>

	* src/ColorAdjustment/AutoStretch.cs: Added. Basically the old AutoStretch
	ported to reuse ColorAdjustment.

	* src/ColorAdjustment/ColorAdjustment.cs: Only add InputProfile and
	DestinationProfile on demand, needed to implement AutoStretch without
	crashing.

	* src/ColorAdjustment/Desaturate.cs:
	* src/ColorAdjustment/SepiaTone.cs:
	* src/Filters/ColorFilter.cs: Convert ColorFilter into something that
	reuses ColorAdjustment. Basically this was a huge double implementation.
	Some unit tests were not copied over, but the files needed to run them
	aren't available anyway...

	* src/ItemAction.cs: Use the noncolliding class name.

	* src/Makefile.am: Added ColorAdjustment/AutoStretch.cs.

2008-07-26  Ruben Vermeersch  <ruben@savanne.be>

	Move the ColorAdjustment classes into a separate FSpot.ColorAdjustment
	namespace and folder, split out the editors. More color filters will be
	ported into this common framework, together with test fixtures.

	* src/ColorAdjustment.cs: Replaced with src/ColorAdjustment/ColorAdjustment.cs.
	* src/ColorAdjustment/Desaturate.cs: Added.
	* src/ColorAdjustment/SepiaTone.cs: Added.
	* src/Makefile.am: Update build.
	* src/PhotoView.cs: Update namespaces.

2008-07-25  Ruben Vermeersch  <ruben@savanne.be>

	* ColorAdjustment.cs: Turn the ColorAdjustment API into something sane.

	* PhotoView.cs: Do a hacky fix of the current ColorAdjustments, will be
	deprecated soon anyway.

2008-07-14  Ruben Vermeersch  <ruben@savanne.be>

	Add monodevelop build files, seems to work, but someone with more
	knowledge should step in and really fix it.

	* F-Spot.mds: Removed.
	* dpap-sharp/launcher/dpap-launcher.mdp: Removed.
	* dpap-sharp/lib/dpap-sharp.mdp: Removed.
	* f-spot.csproj: Added.
	* f-spot.sln: Added.
	* src/F-Spot.mdp: Removed.

2008-07-13  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: detect mono 1.9

	* src/Core/BrowsableEventArgs.cs:
	* src/Core/BrowsablePointer.cs:
	* src/Core/BrowsablePointerEventArgs.cs:
	* src/Core/DbItem.cs:
	* src/Core/IBrowsableCollection.cs:
	* src/Core/IBrowsableItemChanges.cs
	* src/Core/Photo.cs:
	* src/Core/PhotoChanges.cs:
	* src/Core/PhotosChanges.cs:
	* src/Db.cs:
	* src/FileImportBackend.cs:
	* src/ImportCommand.cs:
	* src/InfoOverlay.cs:
	* src/ItemAction.cs:
	* src/MainWindow.cs:
	* src/Makefile.am:
	* src/PhotoArray.cs:
	* src/PhotoEventArgs.cs:
	* src/PhotoImageView.cs:
	* src/PhotoList.cs:
	* src/PhotoQuery.cs:
	* src/PhotoStore.cs:
	* src/PhotoVersionCommands.cs:
	* src/PhotoView.cs:
	* src/QueuedSqliteDatabase.cs:
	* src/SingleView.cs:
	* src/TagStore.cs:
	* src/TimeDialog.cs:
	* src/UI.Dialog/ColorDialog.cs:
	* src/Updater.cs:
	* src/UriCollection.cs:
	* src/Widgets/Filmstrip.cs:
	* src/Widgets/IconView.cs:
	* src/Widgets/MetadataDisplay.cs:
	* src/Widgets/TagEntry.cs: Keep a list of things changed between 
	Commit's in Photo, only update the things that really changed, then
	send the list of what changed along with the fired events. On normal
	usage, 2-3 versions per image, 2-3 tags per image, it reduces the 
	number of db request by 90%...

2008-07-08  Jakub Steiner <jimmac@ximian.com>

	* icons/mode-image-edit-32.png:
	* icons/mode-image-edit-32.svg: add edit icon at 32x32. Fixes bug
		#461826

2008-07-07  Stephane Delcroix  <sdelcroix@novell.com>

	* TagCommands.cs:
	* TagSelectionWidget.cs:
	* TagStore.cs: create the transaction at the TagStore level, move
	the EmitChanged call out of the transaction. Update the metadata
	on tag renaming with F2, fixes bgo 517612.

2008-07-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/TagCommands.cs: embed the Commit in a transaction to keep
	the app responsive if "Write Metadata" is checked

2008-07-05  Ruben Vermeersch  <ruben@savanne.be>

	* src/PhotoStore.cs: Die with an exception, rather than warning.

2008-07-04  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoStore.cs: extend GetByUri to search in photo versions too.

2008-07-04  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoView.cs: implement a Dispose pattern

	* src/PixbufCache.cs:
	* src/PixbufLoader.cs:
	* src/ThumbnailGenerator.cs: switch to Uri

	* src/Utils/Cache.cs: Contains method

	* src/Widgets/Filmstrip.cs: avoid unecessary redraw on PixbufLoaded

2008-07-04  Stephane Delcroix  <stephane@delcroix.org>

	* MainWindow.cs: send DataChanged on version switching.

2008-07-03  Ruben Vermeersch  <ruben@savanne.be>

	* src/PhotoStore.cs: Make it really obvious that you are doing the wrong
	thing.

2008-07-03  Ruben Vermeersch  <ruben@savanne.be>

	* src/FSpot.addin.xml: Bump the extension API version because of the
	changed PhotoStore.

	* configure.in: Bump the version to 0.4.5.

2008-07-03  Ruben Vermeersch  <ruben@savanne.be>

	Fix bgo #170956. Adds flags in various places to designate what caused the
	change. This avoids photo reloads when adding a tag.

	* src/Core/BrowsableEventArgs.cs: Add MetadataChanged and ContentChanged
	flags to show what changed.

	* src/Core/BrowsablePointer.cs: Add flags as well.

	* src/FileImportBackend.cs, src/ImportCommand.cs, src/InfoOverlay.cs,
	src/ItemAction.cs, src/MainWindow.cs, src/PhotoVersionCommands.cs,
	src/PhotoView.cs, src/UI.Dialog/ColorDialog.cs: Change the way changes are
	marked and committed, to supply the extra needed metadata.

	* src/PhotoImageView.cs: Don't reload if the image didn't change at all.

	* src/PhotoQuery.cs: Allow passing flags through PhotoQuery. Propagate the
	ones from the PhotoEventArgs. Always pass the Changed events through the
	store, makes sure everyone receives them.

	* src/PhotoStore.cs: Add PhotoEventArgs. Deprecate normal Commit
	operations, instead force the usage of metadata aware Commit methods.
	Provide new EmitChanged methods to signal changes to photos.

	* src/TimeDialog.cs: Change TimeChangedEventArgs to inherit from
	PhotoEventArgs.

	* src/Widgets/Filmstrip.cs, src/Widgets/IconView.cs,
	src/Widgets/MetadataDisplay.cs: Correctly handle events, based on what
	actually happened.

2008-07-02  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in:
	* dpap-sharp/Makefile.am:
	* dpap-sharp/lib/Makefile.am: add dpap-sharp into the build.
	Currently commented out in configure.in

2008-07-01  Stephane Delcroix  <stephane@delcroix.org>

	* libgphoto2-sharp/CameraFile.cs: pull GetDataAndSize from upstream.
	Fixes bgo #505822. Thx to Tim Retout for his proposed patch.

2008-06-30  Ruben Vermeersch  <ruben@savanne.be>

	* src/PhotoQuery.cs: Fix a stupid bug that caused way too much commits.

	* src/PhotoStore.cs: Move the EmitChanged call out of the transaction.

2008-06-30  Ruben Vermeersch  <ruben@savanne.be>

	* src/PhotoQuery.cs: Batch all photos into one save operation.

	* src/PhotoStore.cs: Avoid recursive transactions.

	* src/QueuedSqliteDatabase.cs: Add boolean flag showing whether we are in
	a transaction or not, clean up indentation a bit.

2008-06-28 Jordi Mas <jmas@softcatala.org>
	
	* src/PhotoView.cs: Make strings localizable

2008-06-28 Jordi Mas <jmas@softcatala.org>

	*  src/TextureDisplay.cs: Fixes #540524
	*  src/FullScreenView.cs: Fixes #540524

2008-06-27  Stephane delcroix  <sdelcroix@novell.com>

	* Core.cs:
	* Db.cs:
	* JobScheduler/Scheduler.cs:
	* PixbufLoader.cs:
	* QueuedSqliteDatabase.cs: Finalize the running threads before calling 
	Gtk.Application.Exit (). Fixes bgo #528474.

2008-06-26  Thomas Van Machelen <thomas.vamachelen@gmail.com>

	* src/f-spot.glade:
	* src/PhotoStore.cs:
	* src/Preferences.cs:
	* src/UI.Dialog/PreferenceDialog.cs:
	* src/Db.cs:
	* src/Core.cs:
	* src/Makefile.am:
	* src/DBusProxy.cs: Remove the DBus api out of F-Spot core. Fixes 
	bgo #539183.


2008-06-26  Stephane Delcroix  <sdelcroix@novell.com>

	* Core/BrowsableEventArgs.cs:
	* Core/IBrowsableCollection.cs:
	* MainWindow.cs:
	* Makefile.am:
	* PhotoView.cs:
	* Widgets/IconView.cs: Share the DoubleClick Handler between modes. Don't
	catch button press events on scollbars. Fixes bgo #419087.

2008-06-25  Ruben Vermeersch  <ruben@savanne.be>

	Move old files out of the way, as I'm going to add a lot of new files
	here.

	* src/Editors/OldEditor.cs: Replaced with src/Editors/Old/OldEditor.cs.
	* src/Editors/SoftFocus.cs: Replaced with src/Editors/Old/SoftFocus.cs.
	* src/Editors/Tilt.cs: Replaced with src/Editors/Old/Tilt.cs.
	* src/Makefile.am: Update build.

2008-06-25  Ruben Vermeersch  <ruben@savanne.be>

	Move Editor to OldEditor, clearing up room for the new one. First patch in
	a large row, even though it doesn't have much effect, I'd like to keep the
	delta between my tree and HEAD small (currently 18 commits).

	* src/Editors/Editor.cs: Replaced with src/Editors/OldEditor.cs.
	* src/Makefile.am: Update build accordingly.
	* src/PhotoImageView.cs: Update references.

2008-06-25  Ruben Vermeersch  <ruben@savanne.be>

	* ColorAdjustment.cs: Fix a small regression where an input profile might
	be missed. This is fixed in a nasty way, but fixed in the clean way in my
	(refactored) tree.

2008-06-25  Ruben Vermeersch  <ruben@savanne.be>

	* GConfPreferenceBackend.cs, Imaging/JpegHeader.cs, RotateCommand.cs,
	TagCommands.cs, UI.Dialog/PreferenceDialog.cs: Silence some warnings, am
	tired of them.

2008-06-25  Ruben Vermeersch  <ruben@savanne.be>

	* InfoDisplay.cs, MetadataStore.cs: Fix invalid type comparisons.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* Widgets/MetadataDisplay.cs: Fix the InvalidCastException occuring with
	sde's Nikon RAWs.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* PhotoView.cs: PhotoQuery is no longer needed, as all data happens
	through the View.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* PhotoQuery.cs: Make sure PhotoQuery gets notified of all updates in the
	PhotoStore. This ensures that PhotoQuery is always up-to-date. Changed the
	MarkChanged event chain to trigger on the PhotoStore events.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* src/ColorAdjustment.cs: Clean up ColorAdjustment a little, document what
	appears to be a clever optimization.

	* src/PhotoView.cs: Change to match naming.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* MainWindow.cs: Apparently, the delete hotkey has to be defined in two
	places.

2008-06-24  Ruben Vermeersch  <ruben@savanne.be>

	* MainWindow.cs: Add a delete hotkey (SHIFT+Delete).

2008-06-22  Ruben Vermeersch  <ruben@savanne.be>

	* src/MainWindow.cs: Append the new EditorPage (commented for now, as it
	doesn't do much yet), send out an event when the view mode changes (will
	be used for switching intelligently).

	* src/Makefile.am: Add EditorPage.cs.

	* src/SingleView.cs: Attach the new MetadataDisplayPage.

	* src/Widgets/EditorPage.cs: Added. Currently still empty. Has code for
	making it unselectable, but it turned out we do not want that.

	* src/Widgets/MetadataDisplay.cs: Wrap in a SidebarPage, get events from
	the page.

	* src/Widgets/Sidebar.cs: Introduce a new SidebarPage class, which
	currently wraps the parameters for adding a sidebar page. This class will
	encapsulate common functionality between sidebar pages (like making
	certain pages unavailable if needed). Reduces coupling between 
	MainWindow / Singleview and the sidebar pages, by putting all event
	handlers in one place. This means that aside adding the page itself, no
	changes are needed (setting up handlers, references, etc) when adding a
	new page. 

2008-06-22  Ruben Vermeersch  <ruben@savanne.be>

	* src/Makefile.am: Update build file.
	* src/Widgets/MetadataDisplay.cs: Renamed from src/MetadataDisplay.cs.
	This is a widget, move it to the FSpot.Widgets namespace.

2008-06-19  Claude Paroz  <claude@2xlibre.net>

	* src/f-spot.glade: Removed translatable property on stock label.

2008-06-13  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs:
	* src/PhotoQuery.cs: Speed up tagging (and untagging).

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/InfoOverlay.cs: Supply Photo to InfoBox, instead of IBrowsableItem.

	* src/MainWindow.cs: Signal updates of all selection changes.

	* src/Widgets/InfoBox.cs: Show useful info when selecting multiple
	pictures. A bit empty, but it's a start.

	* src/f-spot.glade: Revert the fullscreen browser patch which accidentaly
	got committed.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/Sidebar.cs: Prevent a crasher caused by the preference
	loading. Because the information panel no longer exists, an invalid panel
	was chosen.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/MainWindow.cs: 
	* src/f-spot.glade: Rename tag_vbox to the more meaningful sidebar_vbox.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/Widgets/InfoBox.cs: Not using capitals is not cool! My excuses to
	the translators, this is going to cause some fuzzy strings.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/Makefile.am: Removed InfoVBox.cs. This file duplicates a lot of
	stuff from InfoBox.cs and is no longer needed.

	* src/Widgets/InfoVBox.cs: Removed.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/InfoOverlay.cs: Switch back to the old overlay.

	* src/MainWindow.cs: Show tags.

2008-06-04  Ruben Vermeersch  <ruben@savanne.be>

	* src/MainWindow.cs: Hook in the InfoBox. Nuke the information pane on the
	sidebar.

	* src/SingleView.cs: Nuke the sidebar pane (box to be added).

	* src/Widgets/InfoBox.cs: Bring back the old InfoBox.

2008-06-03  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MemorySurface.cs:
	* src/Widgets/ImageInfo.cs:
	* src/Widgets/SoftFocus.cs:
	* src/Widgets/CairoUtils.cs:
	* src/Editors/SoftFocus.cs:
	* src/Utils/Unix.cs:
	* src/Texture.cs:
	* src/Filters/TiltFilter.cs:
	* src/Makefile.am: move CairoUtils and GdkUtils in the Utils.dll assembly,
	move the MemorySurface related methods from CairoUtils to MemorySurface.

2008-05-30  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Preferences.cs: new Get<T> (string key) method. the other one
	is now deprecated.

2008-05-28  Ruben Vermeersch  <ruben@savanne.be>

	This commit adds the sidebar patch, as it is found in bugzilla. It
	provides the groundwork for my Summer of Code project and will be highly
	modified during the coming weeks. Stay Tuned!

	* src/InfoOverlay.cs: Switch to delayed updating.

	* src/MainWindow.cs: Show the new sidebar.

	* src/Makefile.am: Add the new files.

	* src/MetadataDisplay.cs: Added. Shows EXIF information (should probably
	be moved to the FSpot.Widgets namespace).

	* src/Preferences.cs: Add the (hidden) preference which stores the last
	displayed sidebar pane.

	* src/SingleView.cs: Show the sidebar in single view.

	* src/Widgets/InfoBox.cs: This brings the info box back into the stone
	age, with some modifications. The next step for my GSoC is to bring
	everything that happened to the InfoBox between July 2007 and now back.

	* src/Widgets/InfoVBox.cs: Added.

	* src/Widgets/MenuButton.cs: Added.

	* src/Widgets/Sidebar.cs: Added. A new switchable sidebar.

	* src/f-spot.glade: Nuke sidebar bits from the glade file, using pure GTK#
	now.

2008-05-28  Stephane Delcroix  <sdelcroix@novell.com>

	* src/GroupSelector.cs: hide the gdk window on UnMap.
	* src/MainWindow.cs: no longer unse the sensitivity when hiding the 
	timeline

2008-05-26  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PrintOperation.cs:
	* src/Widgets/CustomPrintWidget.cs: adding a "Page Setup" button.

2008-05-23  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>

	* src/UI.Dialog/AboutDialog.cs: marked forgotten message for translation

2008-05-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/ControlOverlay.cs: fading widgets for fullscreen

2008-05-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoImageView.cs:
	* src/MainWindow.cs: use Alt-0 through Alt-5 to quick rate in browse and edit 
	modes. Fixes bgo #534255. Shortcut might be changed, speak up.

2008-05-21  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Utils/ConsoleCrayon.cs:
	* src/Utils/Log.cs:
	* src/Makefile.am:
	* src/main.cs: new ConsoleCrayon and Log classes, stolen from banshee.
	Toggle debugging output on --debug parameter. Replace some s.c.wl by
	Log calls.

2008-05-20  Ruben Vermeersch  <ruben@savanne.be>

	* src/UI.Dialog/PreferenceDialog.cs: Fix a crasher when a user has a theme
	installed in his home directory as well as his system theme directory.

2008-05-20  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Utils/*: Fixing 8 gendarme warning

2008-05-19  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am:
	* src/UI.Dialog/RepairDbDialog.cs:
	* src/MainWindow.cs:
	* src/Core.cs:
	* po/POTFILES.in: new RepairDbDialog, handle more db errors, like
	in bgo #529380.

2008-05-19  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/FindBar.cs: make operators work on localized versions.
	Patch from Jordi Mas, bgo #466946.

2008-01-12  Roland Mas  <lolando@debian.org>

	* src/CameraFileSelectionDialog.cs: Sort available files in camera
	import dialog.

	* src/GPhotoCamera.cs: Implemented the IComparable interface for
	the GPhotoCameraFile class.

2008-05-19  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in: install screensaver in the right directory. 
	Fixes bgo #348323.

2008-05-19  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs:
	* src/GConfPreferenceBackend.cs: call Gnome.Program ctor prior to 
	GConf.Client. Remove the need for g_type_init call.

2008-05-19  Lorenzo Milesi <maxxer@yetopen.it>

	* src/MainWindow.cs: start slideshow from first selected item.

2008-05-18  Ruben Vermeersch  <ruben@savanne.be>

	* src/FSpot.addin.xml: Bump the Core version so addins can safely depend
	on the new Condition.

2008-05-18  Ruben Vermeersch  <ruben@savanne.be>

	* src/Extensions/PhotoSelectionCondition.cs: Added. Allows addins to
	conditionally show up, depending on how much photos are selected.

	* src/FSpot.addin.xml: Add the condition.

	* src/Makefile.am: Add PhotoSelectionCondition.cs.

2008-05-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/SoftFocus.cs:
	* src/Cairo:
	* src/Texture.cs:
	* src/Makefile.am:
	* src/MemorySurface.cs:
	* libfspot/f-image-surface.h:
	* libfspot/f-image-surface.c: drop our own Cairo copy

2008-05-16  Stephane Delcroix  <stephane@delcroix.org>

	reverting the semweb to the old _but working_ one we had.

2008-05-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagStore.cs:
	* src/Core/Tag.cs: re-introducing an enhanced version of
	tag sorting by popularity on tag typing.

2008-05-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/UI.Dialog/SelectionRatioDialog.cs: parse custom selection ratio
	like "16/9" or "16:9". Fixes bgo #533057.

2008-05-12  Stephane Delcroix  <sdelcroix@novell.com>

	* src/GConfPreferenceBackend.cs: call g_type_init as the binding
	does not. Fixes bgo #481741.

2008-05-09  Tim Retout  <tim@retout.co.uk>

	* f-spot-import.desktop.in.in: Remove 'Encoding' key.
	* f-spot-view.desktop.in.in: Likewise.
	* f-spot.desktop.in.in: Likewise.
	* tools/f-spot-screensaver.desktop.in: Likewise.

2008-05-09  Stephane Delcroix  <sdelcroix@novell.com>

	* Makefile.am:
	* configure.in:
	* src/f-spot.in: build gio-sharp if needed

2008-05-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/ImageFile.cs: embed a localized message with the
	NotImplementedException. Fixes bnc #256636.

2008-05-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Editors/SoftFocus.cs:
	* src/Editors/Tilt.cs: use Stock buttons, get translation for free. Fixes
	bnc #256635.

2008-05-07  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in:
	* Makefile.include:
	* Makefile.am:
	* src/f-spot.in: do not bundle semweb if it's installed on the system.

2008-05-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MetadatStore.cs:
	* semweb/ : updating to SemWeb 1.05

2008-05-07  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in: detect gtk-sharp 2.12.2

	* src/Core/Global.cs:
	* src/main.cs:
	* src/UI.Dialog/PreferenceDialog.cs: apply theme changes on the fly.
	Require (unreleased, but svn works) gtk-sharp 2.12.2

2008-05-06  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/InfoBox.cs: include an optional TagView
	* src/InfoOverlay.cs: use the TagView
	* src/FullScreenView.cs: no longer include a TagView in the main toolbar.

2008-05-06  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/UI.Dialog/PreferenceDialog.cs: allow choosing themes from a list.

2008-05-05  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/PreferenceDialog.cs:
	* src/main.cs:
	* src/Preferences.cs: add a preference for loading a custom theme from a
	gtkrc file. No theme list yet. Restart needed.

2008-05-04  Stephane Delcroix  <sdelcroix@novell.com>

	original patch from Thomas Van Machelen. Fixes bgo #400106.

	* src/FullScreenView.cs: only show the control overlay when
	your mouse is moving in its direction

	* src/ControlOverlay.cs: position the widget a bit lower to make
	it a little less intrusive. Don't draw rounded corners on the sides.

	* src/InfoOverlay.cs: align the box to the right.

2008-04-30  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Core/Tag.cs:
	* src/TagStore.cs: reverting tag popularity :(

2008-04-30  Stephane Delcroix  <sdelcroix@novell.com>

	* main.cs: don't include 4th version number while looking for an
	addin repo.

2008-04-28  Stephane Delcroix  <sdelcroix@novell.com>

	* src/GPhotoCamera.cs: workaround to avoid crash on /special/ folder
	for some Nikon in ptp mode.

2008-04-28  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Tag.cs: new Popularity property.
	* src/TagStore.cs: sort tags by popularity on the TagEntry. Fixes 
	bgo #378428.

2008-04-27  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Widgets/FilmStrip.cs: prevent filmstrip locking. ignore clicks
	beyond filmstrip right end.

2008-04-24  Stephane Delcroix  <sdelcroix@novell.com>

	* autogen.sh: Expliciting an error message

	* f-spot-import.desktop.in.in:
	* configure.in:
	* Makefile.am: x-ocntent/* support, integrates just fine with newest
	nautilus. Fixes bgo #510325.

2008-04-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: unregister old repositories

2008-04-23  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Preferences.cs: moved out few exporters preferences left over.

2008-04-16  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Preferences.cs: revert to nullpreferences backend if Gconf
	fails.

2008-04-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Extensions/ExportMenuItemNode.cs:
	* src/Extensions/ComplexMenuItemNode.cs:
	* src/Extensions/CommandMenuItemNode.cs:
	* src/Extensions/MenuNode.cs: mark the NodeAttributes as protected.
	Fixes bgo #527512.

2008-04-15  Stephane Delcroix  <sdelcroix@novell.com>

	* libgphoto2-sharp/CameraList.cs: Fixing two P/Invoke issues.
	Fixes bgo #528162.

2008-04-15  Stephane Delcroix  <sdelcroix@novell.com>

	* Makefile.am: running update-desktop-database on make install and 
	uninstall.

2008-04-15  Stephane Delcroix  <sdelcroix@novell.com>

	* src/FilmStrip.cs: refreshing newly loaded thumbs even if the
	strip is not moving

2008-04-14  Stephane Delcroix  <sdelcroix@novell.com>

	* src/FilmStrip.cs: Asynchronously loading the missing thumbs

2008-04-14  Stephane Delcroix  <sdelcroix@novell.com>

	* src/ImageFile.cs: adding a nullity check to avoid 
	GdkPixbuf-CRITICAL warnings.

2008-04-11  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Imaging/XmpFile.cs: fixed xmp header. Bgo#519127.

2008-04-11  Lorenzo Milesi <maxxer@yetopen.it>

	* src/TagCommand.cs: prevent from crashing if load icon from external
	file fails. Fix bgo #525513.

2008-04-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/ControlOverlay.cs: patch from Fabian Kneissl to fix the
	toolbar positionning in fullscreen. bgo #526318.

2008-04-11  Tim Retout  <tim@retout.co.uk>

	* src/ImportCommand.cs (ImportFromFile): Use GtkUtil.TryLoadIcon to avoid
	throwing an exception when f-spot icon is not found. Fixes bgo #526325.

2008-04-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/ComplexMenuItem.cs:
	* src/Widgets/Rating.cs:
	* src/Widgets/RatingMenuItem.cs: Patch from Benjamin Berg to fix
	the issues on the RatingMenuItem. Patch fro Miguel Aguero to 
	display the actual rating in the menu. Fix bgo #510160.

2008-04-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Texture.cs:
	* libfspot/f-pixbuf-utils.c: two patches from Benjamin Berg
	to fix endianness issues on PPC. Fixes bgo #512842 and #471497

2008-04-10  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: new -versions commandline arg, implement -version
	properly.
	
	* src/Makefile.am:
	* src/UI/Dialog/ExceptionDialog.cs: moved in the UI.Dialog ns

2008-04-07  Lorenzo Milesi <maxxer@yetopen.it>

	* tools/f-spot-screensaver: pass correct argument to f-spot.
	* src/main.cs: allow --slideshow parameter. fix bgo#526477.

2008-04-02  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PixbufUtils.cs: 
	* src/Widgets/FilmStrip.cs: optional default squared thumbs for 
	filmstrip. Speed up scroll.
	
2008-03-31  Lorenzo Milesi <maxxer@yetopen.it>

	* src/SendEmail.cs: fix for bgo 503149: crash on exception in
	sending email.

2008-03-31  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Preferences.cs:
	* src/UI.Dialog/SelectionRatioDialog.cs:
	* src/PhotoView.cs: handle edge cases and olg gconf bindings in storing
	crop ratios to gconf. Sould fix bgo #525164.

2008-03-28  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoView.cs: Add constraint "Same as photo". Fix	bgo#399302.
	Reordered constraint menu: no constraint first, then custom user
	constraints and default constraints in the end.

2008-03-27  Lorenzo Milesi <maxxer@yetopen.it>

	* src/QueryWidget.cs: Add "refresh query" button for "find untagged".
	Fix bgo #508005.

2008-03-26  Claude Paroz  <claude@2xlibre.net>

	* src/f-spot.glade: Removed translatable property from stock labels.

2008-03-26  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade: rename the File menu as Photo. thx Giacomo
	for the patch, Fixes bgo #441401.

2008-03-26  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs:
	* src/SingleView.cs:
	* src/FullScreenView.cs: Open the fullscreen on the same screen as the
	parent. Original patch from wrobell. Fixes bgo #310933.

2008-03-26  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/Makefile.am:
	* src/Preferences.cs:
	* src/UI.Dialog/SelectionRatioDialog.cs:
	* src/PhotoView.cs: new dialog for custom selection ratios. Fixes
	bgo #329581 and #329174.

2008-03-25  Roland Mas  <lolando@debian.org>

	* src/Widgets/Filmstrip.cs: Added hyperspace jump to the
	AcceleratedAnimator.

2008-03-25  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in:
	* src/InfoDisplay.cs: allow building on gnome > 2.20. Fixes bgo #524004

2008-03-21  Lorenzo Milesi <maxxer@yetopen.it>

	* src/RotateCommand.cs: rotate only default version of photo. Fix
	bgo #505125.

2008-03-21  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs: disable tag assign bar if no selection, Fixes
	bgo #504242. Thx Maxxer.

2008-03-21  Stephane Delcroix  <sdelcroix@novell.com>

	* src/CameraFileSelectionDialog.cs: start counting from 1 on the
	dialog. Fixes bgo #492518. Thx Maxxer.

2008-03-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/GlTransition.cs: Fix bug with slideshow mode that caused images
	smaller than the screen size to be stretched to the size of the
	screen.  Fixes BNC #274021.

	* src/MainWindow.cs: Get rid of duplicate code in Slideshow method;
	call the Fullscreen method, and then Play ().

2008-03-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in: Fix typo: gnome-sharp -> gnome-sharp-2.0.

2008-03-20  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/IconView.cs: PgUp and PgDown to move the focused cell.
	Fixes bgo #523207.

2008-03-16  Lorenzo Milesi <maxxer@yetopen.it>

	* src/f-spot.glade:
	* src/Preferences.cs:
	* src/MainWindow.cs:
	* src/PhotoView.cs: allow toggling filmstrip visibility.

2008-03-13  Thomas Van Machelen <thomas.vamachelen@gmail.com>

	* configure.in:
	* src/ControlOverlay.cs:
	* src/Loupe.cs: Only require Mono.Cairo 1.2.4 and use higher if
	available

2008-03-13  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoStore.cs: changed the query for photo remove from catalog.
	Now uses WHERE id IN (...). Fix bgo #494351.

2008-03-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/Filmstrip.cs: default to an order 2 animator (constant 
	acceleration)

2008-03-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/Widgets/Filmstrip.cs: new Filmstrip widget.

	* src/PhotoImageView.cs: Adds a constructor for BrowsablePointer
	
	* src/PhotoView.cs: create the BrowsablePointer and gives it to
	PhotoImageView. Displays the filmstrip.

2008-03-12  Stephane Delcroix  <sdelcroix@novell.com>

	* Updater.cs: fixes the dp updating v8 where version names are int.
	bgo #521656

2008-03-08  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs: Hide the timeline in ViewMode.

2008-03-06  Stephane Delcroix  <sdelcroix@novell.com>

	* libeog/image-view.c: use NEAREST interpolation for small images (<20).
	Workaround a bug in gdk-pixbuf, Fixes bgo #406505.

2008-03-06  Lorenzo Milesi <maxxer@yetopen.it>

	* src/FileImportBackend.cs: Skip hidden files when importing from
	a directory. Fixes bgo #46131.

2008-03-03  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Core/Photo.cs: one more uri escape. Bgo#520084.

2008-03-03  Lorenzo Milesi <maxxer@yetopen.it>

	* src/PhotoVersionMenu.cs: don't use underline in photo version
	labels. Bgo #520087.

2008-03-01  Stephane Delcroix  <sdelcroix@novell.com>

	* src/RotateCommand.cs:
	* src/Makefile.am:
	* src/Unix.cs:
	* src/Imaging/PngFile.cs:
	* src/Imaging/JpegFile.cs: moving the Unix class in the Utils namespace
	and assembly.

2008-02-29  Stephane Delcroix  <sdelcroix@novell.com>

	* src/FullScreenView.cs: replace obsolete call.

	* src/PhotoImageView.cs:
	* src/MainWindow.cs: use the Loupe sharpener from the edit menu too. Fixes
	bgo #326547.

	* src/f-spot.glade: add the 's' shortcut to the menuitem

2008-02-29  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/CairoUtils.cs: drop obsolete and unused helpers.

	* src/ControlOverlay.cs: replace obsolete calls, link against the system
	cairo.

2008-02-29  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MailDialog.cs:
	* src/Mail/*: removing unused files.

2008-02-28  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/CairoUtils.cs: remove obsolete bindings.

	* src/Loupe.cs: link against the system provided Cairo, not the bundled
	one.

2008-02-28  Lorenzo Milesi <maxxer@yetopen.it>

	* src/f-spot.glade: missing accelerators in view mode.

2008-02-27  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in: check for mono 2.0

	* src/PhotoStore.cs:
	* src/Utils/UriUtils.cs: don't escape uri for mono < 2.0.

2008-02-27  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Core/Photo.cs: Escape the version name.

	* src/Imaging/ImageFile.cs: Obsolete 2 methods.

2008-02-20  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoStore.ce: don't escape uri while loading them from the db.
	Fixes bgo #517606.

2008-02-19  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/CairoUtils.cs:
	* src/Loupe.cs: Obsoleting method now available in the bindings

	* src/Makefile.am:
	* src/Widgets/CustomPrintWidget.cs:
	* src/PrintOperation.cs:
	* src/MainWindow.cs:
	* src/PrintDialog.cs: new Gtk2.10 print dialog and operation, #ifdef
	old code for backward compatibility

	* configure.in: require Mono.Cairo

	* icons/Makefile.am:
	* icons/flower.png: sample image for the print dialog

2008-02-15  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Makefile.am: 
	* src/UI.Dialog/AboutDialog.cs: use COPYING file as text for the
	license info in the about dialog.

2008-02-15  Lorenzo Milesi <maxxer@yetopen.it>

	* src/Jobs/SyncMetadataJob.cs: update xmp rating only if rating > 0.

2008-02-12  Lorenzo Milesi <maxxer@yetopen.it>

	* src/FormClient.cs:
	* extensions/GalleryExport/GalleryExport.cs: fix export in --view mode
	(and print something useful on upload faluire).

2008-02-11  Jakub Steiner <jimmac@ximian.com>

	* icons/rating-rated-16.svg:
	* icons/rating-rated-16.png: Tango styled shiny star for extra
		punch. The flat semi-opaque non-rated is fine as is.

2008-02-11  Lorenzo Milesi <maxxer@yetopen.it>

	* src/f-spot.glade:
	* src/RatingFilter.cs: use Rating widget for rating filter dialog

2008-02-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/IconView.cs:
	* src/Widgets/Rating.cs: don't display dots on IconView

2008-02-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/FSpot.add.xml: bump version to 0.4.2.0

2008-02-11  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in:
	* src/Makefile.am: check for gtkhtml-sharp-3.14 if gnome-sharp-2.0 is
	newer than 2.19.90. Fix bgo#515065.

2008-02-09  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/Widgets/Rating.cs:
	* src/QueryWidget.cs:
	* src/Updater.cs:
	* src/PhotoQuery.cs:
	* src/MainWindow.cs:
	* src/Query/RatingRange.cs: disabling the "Unrated" concept

	* icons/Makefile.am:
	* icons/rating-junk-16.png:
	* icons/rating-unrated-16.png:
	* icons/rating-junk-bold-16.png: removing unused icons

2008-02-08  Stphane Delcroix  <sdelcroix@novell.com>

	Patch from lorenzo to addin-ify picasawebexport

2008-02-01  Lorenzo Milesi <maxxer@yetopen.it>

	* configure.in:
	* Makefile.am:
	* po/POTFILES.*:
	* src/f-spot.glade:
	* src/Makefile.am:
	* src/CDExport.cs: move CDExport out of the codebase

2008-02-01  Lorenzo Milesi <maxxer@yetopen.it>

	* SmugMugNet/*:
	* src/SmugMugExport.cs: 
	* src/f-spot.glade:
	* configure.in:
	* Makefile.include:
	* Makefile.am: remove SmugMug export from the codebase

2008-02-07  Stephane Delcroix  <sdelcroix@novell.com>

	* libfspot/f-jpeg-utils.c: fix for bgo#513722.

2008-01-30  Lorenzo Milesi <maxxer@yetopen.it>

	* configure.in:
	* Makefile.include:
	* Makefile.am:
	* src/f-spot.glade:
	* src/Makefile.am:
	* src/Preferences.cs:
	* FlickrNet/*:
	* src/Flickr*: moving flickr export as extension.
	* src/FolderExport*: moving folder export as extension.

2008-01-30  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Photopopu.cs: fixing 510060 once again.

2008-01-30  Stephane Delcroix  <sdelcroix@novell.com>

	* Query/RatingRange.cs: Unrated as a static field.

	* PhotoQuery.cs: Start abstracting the conditions.

2008-01-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/RotateCommand.cs: Fix problems with translatability of rotation
	errors.  Fixes BNC #181163.

2008-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs:
	* src/SingleView.cs:
	* src/Preferences.cs:
	* src/Utils/GnomeUtil.cs: move SetBackgroundImage in GnomeUtil

	* configure.in: cleaning job

	* src/Makefile.am:
	* src/GConfPreferenceBackend.cs: #if out the parts required by 
	gconf-sharp

2008-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am:
	* src/Core/IPreferenceBackend.cs:
	* src/Preferences.cs: abstract the backend operations.

	* src/GConfPreferenceBackend.cs: gconf as it used to be

	* src/NullPreferenceBackend.cs: a null backend, doing nothing but reverting
	to defaults.

	* src/PreferenceDialog.cs:
	* src/SingleView.cs:
	* src/MainWindow.cs: refer to the new handler signatures

	* configure.in: --disable-gconf at configure time

2008-01-25  Stephane Delcroix  <sdelcroix@novell.com.

	slightly modified version of a patch from Mirco Bauer to silently
	upgrade dbs form sqlite2 to sqlite3 whenever possible.

	* src/QueuedSqliteDatabase.cs: expose GetFileVersion.

	* src/Core/Defines.cs.in: expose BINDIR

	* src/main.cs: die on DbException.

	* src/Db.cs: invoke f-spot-sqlite-upgrade on demand

	* tools/f-spot-sqlite-upgrade: better checks and error reporting.

2008-01-25  Stephane Delcroix  <sdelcroix@novell.com.

	* src/Query/LogicalTerm.cs: fixes to pass the tests

2008-01-25  Lorenzo Milesi <maxxer@yetopen.it>

	* configure.in:
	* src/Preferences.cs:
	* src/f-spot.glade:
	* src/Gallery*: moved Gallery export as a standalone extension

2008-01-24  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/ComplexMenuItem.cs:
	* src/Widgets/RatingMenuItem.cs: 
	* src/Extensions/ComplexMenuItemNode.cs:
	* src/Extensions/PopupCommands.cs:
	* src/Extensions/MenuNode.cs:
	* src/FSpot.addin.xml:
	* src/Makefile.am: Using the RatingMenuItem instead of RatingMenu

	* src/RatingMenu.cs: dropped.
	
2008-01-24  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in: rmeove the check for Mono.GetOptions.dll

2008-01-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/Tiff.cs: reverting 3591, trying to detect recursion.

2008-01-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: disable the File.Exists check on --view mode to re-allow
	uri opening from nautilus

2008-01-23  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/Tiff.cs: re-initialize raw_data to null, Fixes bgo 
	#510734

2008-01-22  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in:
	* src/main.cs: bump the version number to 0.4.2 and link to the up-to-
	date adins repository.

	* f-spot.pc.in: link to the various splitted dll

2008-01-21  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am:
	* src/Widgets/Rating.cs: minor changes.

	* src/Widgets/ComplexMenuItem.cs:
	* src/Widgets/RatingMenuItem.cs: stealing ComplexMenuItem and 
	RatingMenuItem from banshee

2008-01-19  Stephane Delcroix  <sdelcroix@novell.com>

	* src/makefile.am:
	* src/UI.Dialog/HigMessageDialog.cs:
	* src/UI.Dialog/EditExceptionDialog: moving 
	EditExceptionDialog to its own file.

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/UI.Dialog/HigMessageDialog.cs:file move.

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/HigMessageDialog.cs: in the FSpot.UI.Dialog ns.

	* src/Editors/SoftFocus.cs:
	* src/FileImportBackend.cs:
	* src/FlickrExport.cs:
	* src/ColorDialog.cs:
	* src/RotateCommand.cs:
	* src/PhotoVersionCommands.cs:
	* src/PicasaWebExport.cs:
	* src/ImportCommand.cs:
	* src/Loupe.cs:
	* src/ItemAction.cs:
	* src/MainWindow.cs:
	* src/PhotoView.cs:
	* src/TagSelectionWidget.cs:
	* src/PrintDialog.cs:
	* src/GalleryExport.cs: ns changes.

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am:
	* src/Utils/GnomeUtil.cs: move it from Util.cs.

	* src/SmugMugExport.cs:
	* src/CDExport.cs:
	* src/SendEmail.cs:
	* src/FlickrExport.cs:
	* src/InfoDisplay.cs:
	* src/FolderExport.cs:
	* src/PicasaWebExport.cs:
	* src/FlickrRemote.cs:
	* src/MainWindow.cs:
	* src/Util.cs:
	* src/GalleryExport.cs: required ns changes

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am: compiling FSpot.Core.dll separatly.

	* Makefile.include: how did I miss that thing for so long ?

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am: compiling Cms.dll FSpot.Utils as separate
	assemblies.

	* src/Global.cs: moving some bits elsewhere, ModifyColors in GtkUtil,

	* PreferenceDialog.cs:
	* Global.cs:
	* ImportCommand.cs:
	* main.cs:
	* SingleView.cs:
	* PhotoView.cs:
	* Utils/GtkUtil.cs: minor changes related to the previous ones.

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Util.cs:
	* src/Utils/GtkUtil.cs: move GtkUtil from Util.cs. Removed unused bits.

	* src/Widgets/Rating.cs:
	* src/PixbufUtils.cs:
	* src/Db.cs:
	* src/TagCommands.cs:
	* src/GroupSelector.cs:
	* src/Makefile.am:
	* src/TagQueryWidget.cs:
	* src/ImportCommand.cs:
	* src/Tag.cs:
	* src/main.cs:
	* src/MainWindow.cs:
	* src/SingleView.cs:
	* src/PhotoView.cs:
	* src/TagPopup.cs:
	* src/TagMenu.cs: using FSpot.Utils.

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/UI.Dialog/AboutDialog.cs: get the (biggest) logo back,
	order authors list (à la banshee)
	
2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/UI.Dialog: yet another new folder, yet another new ns

	* src/Makefile.am:
	* src/UI.Dialog/AboutDialog.cs:
	* src/MainWindow.cs:
	* src/SingleView.cs: replaced the deprecated Gnome.About by a 
	Gtk.AboutDialog.

	* configure.in: added a check for GTK2.11

2008-01-18  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Query/LogicalTerm.cs: not stubbed anymore.

	* src/PhotoStore.cs: ns changes.

2008-01-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Category.cs:
	* src/Tag.cs: moved from TagStore.cs in their own files and
	in the FSpot namespace.

	* src/TagStore.cs:
	* src/FotkiRemote.cs:
	* src/TagCommands.cs:
	* src/Makefile.am:
	* src/ImportCommand.cs:
	* src/FlickrRemote.cs:
	* src/PhotoTagMenu.cs:
	* src/TagSelectionWidget.cs:
	* src/TagPopup.cs:
	* src/TagMenu.cs: required namespace adaptations

2008-01-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/: ns changes to allow fresh LogicalTerm implementation in 
	Fspot.Query

2008-01-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Updater.cs: v12, clean dead tag-photos associations caused by
	bgo #488545. Fixes bgo #507950.

2008-01-17  Stephane Delcroix  <sdelcroix@novell.com>

	* src/QueryWidget.cs: fixing underlines.

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Query/LogicalTerm.cs: stub

	* src/Query/RatingRange.cs:
	* src/Query/RollSet.cs:
	* src/Query/UntaggedCondition.cs:
	* src/Query/DateRange.cs: moved to the FSpot.Query namespace

	* src/PhotoStore.cs:
	* src/TimeAdaptor.cs:
	* src/RatingFilter.cs:
	* src/LastRollDialog.cs:
	* src/SimpleCalendar.cs:
	* src/DateCommands.cs:
	* src/MainWindow.cs: include the F.Q ns
	
2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/QueryWidget.cs:
	* src/MainWindow.cs:
	* src/f-spot.glade: 3 patches from Lorenzo, fixing menu issues

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Makefile.am:
	* src/UntaggedCondition.cs: renamed from Untagged.cs

	* src/PhotoQuery.cs:
	* src/PhotoStore.cs: drop QueryUntagged in favor of Query (
	UntaggedCondition, ...)

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: minor fixes.
	
	* src/PhotoVersion.cs: 
	* src/PhotoStore.cs:
	* src/Makefile.am: the PhotoVersion class deserve its own file too.

	* src/IBrowsableItem.cs:
	* src/TagStore.cs: moved the tests to Tests

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* Tests/: new folder for test suite and test images

2008-01-16  Lorenzo Milesi <maxxer@yetopen.it>

	* src/main.cs: improved command line arguments parsing, fix bgo
	#501911.

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/RatingRange.cs:
	* src/PhotoStore.cs: fix 2 query bugs.

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/Tiff.cs: fix for bgo #356259. thx Lorenzo.

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/RatingRange.cs:
	* src/DateRange.cs:
	* src/Untagged.cs:
	* src/Makefile.am: make those IQueryCondition

	* src/PhotoStore.cs: simplifying the query things,
	iteration 1.

	* src/DateCommands.cs:
	* src/PhotoQuery.cs:
	* src/PhotoStore.cs:
	* src/RatingFilter.cs:
	* src/RollSet.cs:
	* sc/SimpleCalendar.cs:
	* src/TimeAdaptor.cs: minor namespace changes.
	
2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/IconView.cs: fixing the rendering bug.

2008-01-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoStore.cs: fix the search unrated.

2008-01-09  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs: fixes #508235.

2008-01-09  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoStore.cs: fixes bgo #508124.

2008-01-08  Stephane Delcroix  <sdelcroix@novell.com>

	Adding ratings to f-sopt, patch build on bgo 326561 as a collaborative
	work:

	* src/PhotoStore.cs: Style change in how the WHERE clause is
	built in Query() so that it is more readable and easily extended.

	* src/SingleView.cs: Don't try to display ratings on the thumbnails.

	* src/MainWindow.cs:
	* src/f-spot.glade: Add a check in the view menu to enable/disable the
	display of ratings

	* src/IconView.cs: Display the rating on the thumbnail.

	* src/PhotoView.cs: show the rating widget, add handlers, share the
	delay loop between description and rating, ...

	* src/IBrowseableItem.cs: add Rating to the interface

	* src/DirectoryCollection.cs: implement a fake Rating to stick to the
	interface

	* icons/Makefile.am:
	* icons/f-spot-rating-rated.png:
	* icons/f-spot-rating-blank.png:
	* icons/f-spot-rating-rated-small.png:
	* icons/f-spot-rating-blank-small.png:
	* icons/f-spot-rating-junk.png:
	* icons/f-spot-rating-junk-bold.png:
	* src/Makefile.am: new icons for the rating widget.

	* src/Widgets/Rating.cs:
	* src/Makefile.am: New Rating Widget. Original Patch from Cosme
	Sevestre, borrowed from the Banshee code.

	* src/DirectoryAdaptor.cs:
	* src/TimeAdaptor.cs: Added extra parameter for Query (Rating) call

	* src/Updater.cs: Appended one extra field to photos (rating)

	* src/XmpTagsImporter.cs: Imports the XMP Rating field, and Urgency (if
	 Rating did not exist)

	* src/PhotoStore.cs: Added rating to Photo, and added code to filter on 
	rating

	* src/PhotoQuery.cs: Added RatingRange query

	* src/MetadataStore.cs: Stores the Rating XMP field. Added a Delete method

	* src/RatingMenu.cs:
	* src/PhotoPopup.cs:
	* src/MainWindow.cs: Added Setting of Rating to popup menu.

	* src/RatingFilter.cs: Simple temporary gui for rating filter
	* src/Makefile.am: Added new RatingMenu.cs and RatingFilter.cs file

2008-01-08  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Imaging/RafFile.cs: fixing bgo 505965.

2008-01-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/FSpot.addin.xml: Add accelerator keys. Patch from
	Lorenzo Milesi <maxxer@yetopen.it>, fixes BGO #502639.

2008-01-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Fix typo, BGO #506863. Thanks, Maxxer.

2008-01-04  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/FileImportBackend.cs: Consistently use
	System.IO.Path.DirectorySeparatorChar.  Patch from Henryk Plötz.

2007-12-21  Stephane Delcroix  <sdelcroix@novell.com>

	* Updater.cs: use the return value of MoveTableToTemp, drop
	some '\n'.

	* src/f-spot.glade:
	* src/DateCommands.cs: restore current date search in dialog. Patch
	contributed by Lorenzo.

2007-12-21  Stephane Delcroix  <sdelcroix@novell.com>

	* src/DirectoryCollection.cs:
	* src/UriCollection.cs:
	* src/FileBrowsableItem.cs:
	* src/Makefile.am: split DirectoryCollection.cs,
	one file per class.

2007-12-17  Thomas Van Machelen <thomas.vanmachelen@gmail.com>:

	* autogen.sh: adapt to play nicely with the newly used
	IT_PROG_INTLTOOL macro on a completely clean checkout

2007-12-16  Thomas Van Machelen <thomas.vanmachelen@gmail.com>
	
	Re-apply DBus patch:
	* src/Updater.cs: Make photo id autoincrement so that id is 
	completely unique over time

	* src/Makefile.am:
	* src/DBusProxy.cs: Add dbus proxy classes that expose the stores
		
	* src/Db.cs: 
	* src/Core.cs: initialise the dbus proxies at startup; and shut them
	down when closing

	* src/PhotoStore: 
	* src/PhotoQuery.cs: Handle modifications that come from dbus 
	calls properly

	* src/f-spot.glade:
	* src/Preferences.cs: Add preference to make manipulation from 
	the outside an option. This is for users who don't trust anyone 
	except F-Spot hackers.

2007-12-16  Stephane Delcroix  <sdelcroix@novell.com>

	* src/ItemAction.cs: Fix for bgo 503740

2007-12-13  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.in:
	* po/LINGUAS: Use po/LINGUAS instead of ALL_LINGUAS in configure.in.
	Patch contributed by Hubert Bielenia. Fixes bgo 501331.

2007-12-11  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoView.cs: fix for bgo 491509.

2007-12-11  Stephane Delcroix  <sdelcroix@novell.com>

	* mono-addins/ : updating to -r91083

2007-12-12  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added ko (Korean) to LINGUAS.

2007-12-10  Stephane Delcroix  <sdelcroix@novell.com>

	* : Adds a monodevelop solution for f-spot. Patch contributed by
	GHOP student "dwashing".

2007-12-10  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/TagCommand.cs: hig fix for bgo 489373.

2007-12-10  Stephane Delcroix  <sdelcroix@novell.com>

	* src/f-spot.glade:
	* src/GalleryExport.cs:
	* src/PicasaWebExport.cs: bgo 489371: hig.

2007-12-10  Lorenzo Milesi <maxxer@yetopen.it>

	* src/FlickrExport.cs: fix bgo #488804: disable tag display in
	export IconView (crashed flick export in --view mode)

2007-12-10  Stephane Delcroix  <sdelcroix@novell.com>

	* src/MainWindow.cs: Patch from Lorenzo to fix bgo 350968.

2007-12-10  Stephane Delcroix  <sdelcroix@novell.com>

	* src/GalleryExport.cs: check for invalid characters in album names. 
	Patch from Lorenzo. Fixes bgo 408384.

2007-12-08  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: leaving the infinite loop after 5 retry. Patch
	from Lorenzo.

2007-12-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Widgets/IconView.cs:
	* src/Widgets/ScalingIconView.cs:
	* src/Widgets/QueryView.cs:
	* src/Widgets/TrayView.cs: moving the classes in the 
	FSpot.Widgets namespace.

2007-12-07  Thomas Van Machelen <thomas.vanmachelen@gmail.com>
	* revert the dbus patch, development now lives in F_SPOT_DBUS branch

2007-12-07  Stephane Delcroix  <sdelcroix@novell.com>

	* src/Extensions/MenuNode.cs: new SubmenuNode.GetSubmenu: new public
	method.
	* src/MainWindow.cs: refresh the Export and Tools menus on new or removed
	extensions.

2007-12-07  Stephane Delcroix  <sdelcroix@novell.com>

	* mono-addins/*: replace "add-in" or "addin" by "extension" in the
	gui. Patch from Lorenzo.

2007-12-06  Thomas Van Machelen <thomas.vanmachelen@gmail.com>
	* src/Updater.cs: Make photo id autoincrement so that id is 
	completely unique over time

	* src/Makefile.am:
	* src/DBusProxy.cs: Add dbus proxy classes that expose the stores
		
	* src/Db.cs: 
	* src/Core.cs: initialise the dbus proxies at startup; and shut them
	down when closing

	* src/PhotoStore: 
	* src/PhotoQuery.cs: Handle modifications that come from dbus 
	calls properly

	* src/f-spot.glade:
	* src/Preferences.cs: Add preference to make manipulation from 
	the outside an option. This is for users who don't trust anyone 
	except F-Spot hackers.

2007-12-05  Stephane Delcroix  <sdelcroix@novell.com>

	* mono-addins/*: updating to m.a. r 90748

2007-12-05  Stephane Delcroix  <sdelcroix@novell.com>

	* src/PhotoStore.cs: throw an exception if Gnome.Vfs.Unlink fails.
	Patch from Lorenzo.

	* src/MainWindow.cs: Adding Lorenzo as Author in the About dialog.

2007-12-05  Stephane Delcroix  <sdelcroix@novell.com>

	* src/AssemblyInfo.cs.in: fixing the build.

2007-12-04  Stephane Delcroix  <sdelcroix@novell.com>

	* mono-addins/*: updating to mono-addins r90614 (which should
	be released as M.A0.3 soon)

2007-12-04  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs:
	* src/Makefile.am: drop the dependency to Mono.GetOptions.

2007-11-28  Stephane Delcroix  <sdelcroix@novell.com>

	* src/main.cs: get rid of the unmaintained, deprecated 
	Mono.GetOptions.

2007-11-21  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: fix for bgo #488545, remaove tag association
	on tag deletionm even for the Hidden tag. Already fixed that thing 
	in the past though...

2007-11-15  Ihar Hrachyshka <ihar.hrachyshka@gmail.com>

	* configure.in: Added 'be@latin' to ALL_LINGUAS.

2007-11-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: adding a setter for PhotoVerion.Uri
	* src/FSpot.addins.xml: bumping the version to reflect api changes

2007-11-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/CDExport.cs: Patch from Lorenzo to fix bgo 494131.

2007-11-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/ImportCommad.cs: Patch from Lorenzo to fix bgo #492173.

2007-10-31  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: Fixes from Gabor Kelemen for bgo #491689.

2007-10-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: Fixes bgo #490303. Thx Michael Monreal 
	for the patch.

2007-10-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/InfoBox.cs: Add 2px more padding on InfoBox to make HIG
	compliant.

2007-10-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/InfoBox.cs: Change the InfoBox so that the labels on the left
	are bold, lowercase, and (apparently) top-aligned.

2007-10-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagQueryWidget.cs: Clarify the context menu items' more.

2007-10-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagQueryWidget.cs: Remove confusing icons and make it more clear
	what the context menu options of a queried tag do.

2007-10-24  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Break the Display menu options into two logical
	submenus.  Fixes BGO #327472.

2007-10-24  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs:
	* src/PhotoStore.cs: Adds the concept of protected versions, in db
	and in code.

	* src/ColorDialog.cs:
	* src/ColorAdjustment.cs:
	* src/Loupe.cs:
	* src/MainWindows.cs:
	* src/PhotoView.cs: some changes due to the API changes

	* src/FSpot.addins.xml: bumping addins version.

2007-10-22  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendMail.cs: Allows translation of email title. Fixes bgo #488695.

2007-10-22  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/ImageFile.cs: some extra raw extensions.

2007-10-20  Ruben Vermeersch  <ruben@savanne.be>

	* configure.in: Add Makefile for GalleryExport addin.

2007-10-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/TextureTransition.cs: first attempt to fix the prev/next issue
	in slideshow.

2007-10-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Patch from Lorenzo to prevent creating the _temp
	table twice. Fixes bgo #486913.

2007-10-15  Stephane Delcroix  <stephane@delcroix.org>

	* src/GlTransition.cs:
	* src/TextureDisplay.cs: Fixes the scaling issue in Slideshow. Thx
	Peter Goetz for the patch.

2007-10-15  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs: set autorotate to true by default on export to
	gallery. Fixes bgo #486560.

2007-10-14  Ruben Vermeersch  <ruben@savanne.be>

	* src/ThumbnailCommand.cs: Stop using obsolete API.

	* src/ThumbnailGenerator.cs: Remove unused variable warning. The exception
	is handled so there's no need to show this warning.

2007-10-14  Yannig Marchegay  <yannig@marchegay.org>

	* configure.in: Added 'oc' to ALL_LINGUAS.

2007-10-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: Fixes bgo #485389

2007-10-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/ImageFile.cs: adding .mrw to IsRaw.

2007-10-09  Stephane Delcroix  <stephane@delcroix.org>

	* NEWS:
	* configure.in: bumping the version number to 0.4.1, basic release
	notes.

2007-10-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/TagCommand.cs: Patch from Declan McGrath to allow tag icon
	selection from an external file. Fixes bgo #461447.

2007-10-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/Preferences.cs:
	* src/PicasaWebExport.cs: optionnaly disable tag export to picasa.
	Fixes bgo #477597. Thx Lorenzo.

2007-10-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/FolderExport.cs: Fixes the progress bar, bgo #484099. Patch from
	Lorenzo.

2007-10-07  Stephane Delcroix  <stephane@delcroix.org>

	* docs/C/f-spot.xml: fixing a typo, bgo #483588.

2007-09-26  Stephane Delcroix  <stephane@delcroix.org>

	* src/RotateCommand.cs: Connect the Stop button on the rotate progress
	dialog. Fixes bgo #479961.

2007-09-26  Stephane Delcroix  <stephane@delcroix.org>
	
	* src/IconView.cs: fixing an infinite loop for some ratios taht
	doesn't scale very well. Fixes bgo #479423. Patch based on the one
	from Wade Menard.
	
2007-09-25  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: fixes screensaver installation path. Hope
	gnome-screensaver will be stable one day... Fixes bgo #480286. Thx
	Giacomo.

2007-09-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: One more HIG fix from Michael Monreal.
	Fixes bgo #479745.

2007-09-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagPopup.cs:
	* src/TagMenu.cs: Some HIG fies from Michael Monreal. Closes bgo
	#479744.

2007-09-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagCommands.cs: Fixes bgo #479489. Thx Lorenzo for the patch.
	
2007-09-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagCommands.cs:
	* src/f-spot.glade: Adds a 'No Image' button on the edit tag icon
	dialog. Fixes bgo #430249. Thx goes to Lorenzo for the patch.

2007-09-24  Larry Ewing  <lewing@novell.com>

	* src/Global.cs: simple fix to make help work on opensuse 10.3
	(and better in general).  Fixes bnc #235647.

2007-09-23  Stephane Delcroix  <stephane@delcroix.org>

	* tools/f-spot-sqlite-upgrade: checks if the sqlite and sqlite3
	binaries exists. Fixes bgo #467010. Thx goes to Giacomo Rizzo.

2007-09-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/FullScreenView.cs:
	* src/Utils/ScreenSaver.cs: Inhibit/Unhinibit the screensaver on
	slideshow. Fixes bgo #427478. Original Patch from Giacomo Rizzo.

2007-09-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs: change the default from null to false for a bool
	value. Fixes bgo #479256.

2007-09-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Add support for dropping tags before and after (in
	addition to into) other tags.  Enables setting a tag as toplevel via dnd.

2007-09-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs:  Have enter, space, and kp_enter add the currently
	selected tags to the query.

	* src/Widgets/SaneTreeView.cs: Fix bug where doubleclick didn't activate
	the row.  Unselect all rows if user clicks on no row.

2007-09-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Widgets/SaneTreeView.cs: Port on_expander code from nautilus to
	play nicer with expanders.

2007-09-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Widgets/SaneTreeView.cs: Ported selection code from nautilus, you
	can now drag or right click while having multiple rows selected and things
	will behave correctly.

2007-09-21  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: If multiple tags are received via dnd, reparent all
	of them.

	* src/TagSelectionWidget.cs: Inherit from SaneTreeView.

	* src/Makefile.am:
	* src/Widgets/SaneTreeView.cs: New TreeView subclass that helps with not
	changing the selection when you right click (and in the future when you
	drag).

2007-09-21  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Change Export menu item to Export to.  Fixes #471198.

2007-09-21  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs:
	* src/CameraFileSelectionDialog.cs: Patch from Lorenzo Milesi to fix
	bgo #478875.

2007-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagCommands.cs: Fixes bgo #477131 (crash on edit tag dialog).

2007-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/TagCommands.cs: textual feedback in the edit tag dialog if no
	photo is associated with this tag. Patch from Declan McGrath. Fixes
	bgo #477127.

2007-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: HIG fix for the Rolls menu items. Patxh from
	Michael Monreal. Fixes bgo #478447.

2007-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/Util.cs: minor change, use interface instead of class.

2007-09-19  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/DateCommand.cs: Fixes issues in the 'Set Date Range' Dialog (bgo
	#470482. Patch based on Lorenzo Milesi work (thx again).

2007-09-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/FolderExport.cs: Fix image counter. Patch from Lorenzo Milesi.
	Fixes bgo #477871.

2007-09-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/Term.cs: Patch from Giacomo Rizzo to fix bgo #477690.

2007-09-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: translating two more strings. Fixes bgo
	#477597.

2007-09-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/MainWindows.cs: Patch from Giacomo Rizzo to re-attach the
	"Attach Tag" submenu. Fixes bgo #457314.

2007-09-14  Stephane Delcroix  <stephane@delcroix.org>

	* icons/f-spot-simple.css:
	* icons/f-spot-simple-white.css: Patch from Giacomo Rizzo. Fixes bgo
	#443016 and updates the white style.
	
2007-09-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/ImageFile.cs: adding two static helpers for writing
	extensions dealing with raw files.
	* src/FSpot.addin.xml: bumping the version to 0.4.0.3366 to reflect
	the api changes.

2007-09-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/ImageFile.cs:
	* src/Imaging/Tiff.cs: Adding support for .ARW (Sony DSLR A100) image
	format. Thx to Dawid Drechny for spotting the similarities with .NEF,
	proposing a patch and providing test images. Fixes bgo #476626.

2007-09-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/JpegHeader.cs: workaround for mono bug 82836. Fixes bgo
	#432294.

2007-09-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/FlickrExport.cs: fixing photo count on the dialog. Patch from
	Lorenzo Milesi. Fixing bgo #476508.

2007-09-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: Force exporting in chronological order.
	Patch from Lorenzo Milesi. Fixes bgo #365801.

2007-09-12  Stephane Delcroix  <stephane@delcroix.org>

	* libgphoto2-sharp: Adding file headers. Fixes bgo #362279.

2007-09-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/PreferenceDialog.cs: changing the screensaver command to
	screensavers-f-spot-screensaver. Fixes bgo #473848.

2007-09-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: allow album creation with '&' in the title.
	Fixes bgo #469180.

2007-09-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/FlickrExport.cs: ensure correct upload order. Patch from Giacomo
	Rizzo. Fixes bgo #345864.

2007-09-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: Creates versions with the same extension as the
	default version, not original.

2007-09-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/FSpot.addin.xml:
	* src/MainWindow.cs: exposing UpdateQuery. Bumping addin version to
	reflect API changes.

	* extensions/RawPlusJpeg/*: UpdateQuery when done.

2007-09-09  Stephane Delcroix  <stephane@delcroix.org>

	* extensions/RawPlusJpeg/RawPlusJpeg.cs: fixing z stupid bug for .cr2

2007-09-09  Stephane Delcroix  <stephane@delcroix.org>

	* extensions/DevelopInUFraw/Makefile:
	* extensions/RawPllusJpeg/Makefile: new 'mpack' target.

2007-09-07  Stephane Delcroix  <stephane@delcroix.org>

	* extensions/DevelopInUFraw/: new addin for developing in UFRaw.
	Require UFRaw newer than CVS 2007-09-06.

2007-09-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: new "safe" public AddVersion method.

	* src/FSpot.addin.xml: bumping version to 0.4.0.3343

2007-09-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/IptcFile.cs: Typo in strings. Patch from Marco Colombo.
	Fixes bgo #474536.

2007-09-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagPopup.cs:
	* src/MainWindow.cs: make SelectedIds () private, expose
	SelectedPhotos () as public.

	* src/FSpot.addin.xml: bump version to 0.4.0.3341 to reflect the
	public interface changes.

2007-09-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: Fixing a bug in versino creation. Fixes bgo #474137

2007-09-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: make use of DbCommand. Bug and proposed patch from
	Xavier Bouchoux. Fixes bgo #474142.

2007-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/ThumbnailGenerator.cs: If the original file is missing, consider any
	existing thumbnails valid to avoid attempting to regenerate them, which
	obviously will fail.

2007-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/PixbufCache.cs: Clean up property code style.

2007-09-05  Gabriel Burt  <gabriel.burt@gmail.com>

	* MAINTAINERS: update.

2007-09-05  Gabriel Burt  <gabriel.burt@gmail.com>
	
	* src/PixbufCache.cs: Return null instead of throwing "I'm dead" exception
	when asked to perform ShallowCopyPixbuf on Disposed CacheEntry.  Several
	places get the CacheEntry from the cache then call that method without
	putting a lock on the entry object, though they do check the result for
	null.  Fixes BGO #391470.

2007-09-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: Fixing table creation code for photo_versions.

2007-09-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: fixing the Query (DirectoryInfo) for bug #473812.

2007-09-04  Stephane Delcroix  <stephane@delcroix.org>

	* src/FSpot.addin.xml: bump the addins version to 0.4.0.3330 with
	compatVersion to 0.4.0.0
	* extensions/DefaultExporters/DefaultExporters.addin.xml: depends on
	0.4.0.0.
	* extensions/RawPlusJpeg/RawPlusJpeg.addin.xml: depends on 0.4.0.3330

2007-09-03  Stephane Delcroix  <stephane@delcroix.org>

	* extensions/RawPlusJpeg/*: new extension to merge raw and jpeg as one
	image. Not compiled nor installed by the buildchain.

2007-09-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs:
	* src/PhotoVersionCommands.cs:
	* src/MainWindow.cs: (Disabled) code for reparenting photos by DnD.
	compile with -d:ENABLE_REPARENTING to make it works.

2007-09-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Keep the full uri for versions too
	* src/PhotoStore.cs: Adaptations to the new db schema.

2007-08-31  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendEmail.cs: creates the mail command line from uris instead of
	files to prevents newer icedove to crash. Tested with evo also. If it
	fails with some older mailer, please report the problem. Fixes bgo
	#471529.

2007-08-30  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in:
	* Makefile.am:
	* dbus-sharp-glib/Makefile.am: fixing compilation bug #maxxer-
	dont-want-to-report-bugs-to-bgo

2007-08-29  Stephane Delcroix  <stephane@delcroix.org>

	* extensions/DefaultExporters/DefaultExporters.addin.xml: remove the
	double ellipsis on the smugmug item

2007-08-28  Larry Ewing  <lewing@novell.com>

	* src/XmpTagsImporter.cs: be more careful when processing
	headlines.  Fixes b.n.c 304124.

2007-08-27  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in:
	* Makefile.am:
	* Makefile.include:
	* src/f-spot.in: no longer compiles and bundles dbus-sharp if it's
	already installed in the gac.

2007-08-27  Stephane Delcroix  <stephane@delcroix.org>

	* dbus-sharp: upgrade to dbus-sharp 0.5.2

2007-08-27  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Keep photo uris instead of directory/name.
	* src/PhotoStore.cs: Adaptations to the db schema.

2007-08-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: Committing the changes while tagging by dropping
	uris. Fixes the problem raised at the previous commit time.
	* src/PhotoStore.cs: Use Caching for GetByPath ()

2007-08-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: Fix a stupid bug while dropping uris onto tags.
	This does not fix the tagging by dropping uri, but who's using that ?

2007-08-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendMail.cs: No longer compute size on paths, but on uris.

2007-08-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/TextureDisplay.cs:
	* src/FullScreenView.cs: new Play/Stop methods for the Fullscreen
	 mode. Fixes bgo #463690.

2007-08-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs:
	* src/MainWindow.cs: honor the
	/desktop/gnome/url-handlers/mailto/enabled key to show/hide the 'Send
	Mail' menu item. Fixes bgo #464981.

2007-08-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/JobStore.cs: convert JobPriority to int32. Fixes bgo #462069.
	Patch from Wolfgang Gradl.

2007-08-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/XmpTagImporter.cs: catching a possible exception on null semweb
	value. Fixes bgo #463789.
	
2007-08-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/FSpot.addin.xml: fixes bgo #463694 (Wording regression).

2007-08-04  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: catching exceptions while writing to the
	keyring. Fixes bgo #462939.

2007-08-02  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: use tooltips only after we've created them.

2007-08-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/FullScreenView.cs: replace the hbox by a proper toolbar, switch
	the play/pause icon button according to the status.

2007-08-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: allow only one About dialog at a time.

2007-08-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/XmpTagsImporter.cs: Patch from Bengt Thuree to read Description
	from the UserComment tag. Fixes bgo #397171 and the re-import issues
	raised lately on the mailing list.

2007-07-31  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: detect (future) gconf-sharp-2.18
	* src/TagSelectionWidget.cs: save unexpanded tag tree as well, proper
	fix for gconf-sharp-2.18, workaround by Mike Gemuende for current
	gconf-sharp. Fixes bgo #418583.

2007-07-31  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/Tiff.cs: avoid a nullreference exception on (some) DNG
	import. Fixes bgo #452856.

2007-07-30  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2007-07-30  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/Preferences.cs:
	* src/ImportCommand.cs: remember import window size and pane
	position. Original patch from Bengt Thuree. Fixes bgo #338412.

	* src/ImportCommand.cs: restore the missing f-spot icon.

2007-07-30  Stephane Delcroix  <stephane@delcroix.org>

	* src/FullScreenView.cs: No longer shows the sliders while switching
	to fullscreen. Fixes bgo #461708.

2007-07-28  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs: proper fix for the dup key issue. Thx goes to
	Mike Gemunde.

2007-07-28  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoView.cs: Hooking the missing tooltips. Is this a bug in
	Action.CreateToolItem or a mis-usage... ?

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/Extensions/MenuNode.cs:
	* src/Extensions/IMenuGenerator.cs: new extension node (MenuGenerator) 
	for dynamically build menus.

	* src/Extensions/ICommand.cs:
	* src/Extensions/CommandMenuItemNode: new extension node (Command) to
	trigger generic commands.

	* src/Extensions/OpenWithMenu.cs: moved to another ns, removed unused
	methods.

	* src/FSpot.addin.xml:
	* src/Extensions/PopupCommands.cs:
	* src/PhotoPopup.cs: creates the PhotoPopup from the addins definition
	file. Bumped the version to 1.2.

	* src/MainWindow.cs: no longer recreates the Export menu on
	UpdateMenus.

	* src/Extensions/ITool.cs:
	* src/Extensions/ToolMenuItemNode.cs: Removed. Deprecated in favor of
	ICommand and CommandMenuItemNode.

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendEmail.cs: Don't allow rotating or resizing on format we
	can't write. Fixes bgo #440001.

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: 
	* srC/Makefile.am:
	* icons/Makefile.am: reverting the changes I made this morning.
	According to Jimmac (and he's surely right about that), it's not good
	to install logos in icon themes...

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: fixing the condition testing for gtk-2.10.

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* icons/Makefile.am:
	* icons/f-spot-128.svg: install the (renamed) f-spot logo in the
	theme.

	* src/MainWindow.cs: load the logo from theme in the About dialog.
	Fixes bgo #460125.

2007-07-25  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: re-enabling GNOME_DOC_INIT.

2007-07-24  Miguel de Icaza  <miguel@novell.com>

	* configure.in (NUNIT_DEFINES): Detecth Gtk 2.10, if so define
	GTK_2_10.   Only require 2.8

	* src/FullScreenView.cs, src/ItemAction.cs: Use Gtk_2_10 define to
	keep this building for those of us on gtk 2.8.

2007-07-21  Larry Ewing  <lewing@novell.com>

	* src/ColorAdjustment.cs (FSpot): do the minimum needed to make
	sepia tone work again.

2007-07-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/Mainwindow.cs:
	* src/SingleView.cs: use the new FullScreen mode for slideshow.

2007-07-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoQuery.cs:
	* src/GroupAdaptor.cs: Connect the group adaptor reload just before
	the query changed event, to allow query sorting. Fixes bgo #438394.

2007-07-21  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/TagEntry.cs: adding a ctor (IntPtr). This should fix bgo
	#436065

2007-07-21  Stephane Delcroix  <stephane@delcroix.org>

	* po/POTFILES.in: adding DateCommands.cs to the list

2007-07-21  Stephane Delcroix  <stephane@delcroix.org>

	* libgphoto2-sharp/Object.cs: make the Dispose call thread-safe. Hope
	it will fix bgo #450753 and #436821.

2007-07-20  Bengt Thuree <bengt@thuree.com> 

	* src/DateCommands.cs: Added predefined filter for today, yesterday, 
	last 7 days, last 30 days etc. Stephane Delcroix enhanced it. 
	Fixes bug #321928.

2007-07-19  Ruben Vermeersch  <ruben@savanne.be>

	* src/Preferences.cs: Fix the locking of the cache, make it thread-safe.

2007-07-19  Raivis Dejus  <orvils@gmail.com>

	* configure.in: Added Latvian Translation.

2007-07-19  Stephane Delcroix  <stephane@delcroix.org>

	* src/SingleView.cs: Fixing the rotateright button Handler. Thx to
	Mike Gemuende.

2007-07-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs:
	* src/QueryWidget.cs:
	* src/Widgets/FindBar.cs: Fix small bugs I just introduced with hiding the
	find bars properly.

2007-07-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Term.cs: Fix bug that prevented tags in the search bar from actually
	be grabbed by their grab bar.

2007-07-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs:
	* src/QueryWidget.cs:
	* src/Widgets/FindBar.cs: Make the background of the text and graphical
	search bars highlighted (theme's selection color).  Move the text search
	bar above the photo view.

2007-07-17  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Move text search bar to above photo viewport.

2007-07-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: Force the icon size in the menu. Fixes bgo
	#457332.

2007-07-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendEmail.cs: Escape Uris instead of UrlEncode them. Fixes bgo
	#444256.

2007-07-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/Tiff.cs: Catch exceptions on empty ImageWidth Tag,
	generated by digikam. Fixes bgo #457083 (and I think some others)

2007-07-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: no longer crash if the keyring is not
	available. Fixes bgo #446683, #452446.

2007-07-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/SingleView.cs: fixing the same popup_menu issue for single view. 
	* src/f-spot.glade: restoring the near/far icons.

2007-07-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/Util.cs: MakeMenuItem from IconTheme instead of Stock.

	* src/PhotoPopup.cs: restore the rotate menu entries.

2007-07-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/FullScreenView.cs:
	* src/ItemAction.cs: restore icons for fullscreen view. Fixes bgo 
	#457181.

2007-07-15  Stephane Delcroix  <stephane@delcroix.org>

	* mono-addins/Mono.Addins.Gui/*: change hardcoded MonoDevelop to
	F-Spot in the ui (temporary workaround).

2007-07-15  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am: re-include f-spot-not.png as resource. Fixes bgo
	#457123.

2007-07-15  Stephane Delcroix  <stephane@delcroix.org>

	* po/POTFILES.in:
	* icons/Makefile.am: some changes to pass distcheck

2007-07-14  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: use new forms of AC_INIT and 
	AM_INIT_AUTOMAKE macros, now works with long filenames. Fixes make
	dist.

2007-07-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/Util.cs: new GtkUtil.TryLoadIcon method

	* src/TagStore.cs:
	* src/PixbufUtils.cs:
	* src/TagCommand.cs:
	* src/ImportCommand.cs:
	* src/main.cs: use TryLoadIcon instead of LoadIcon.

2007-07-13  Stephane Delcroix  <stephane@delcroix.org>

	* README:
	* configure.in: require gtk-sharp2 >= 2.10. Gtk.Action.IconName is
	missing from 2.8 ...

2007-07-12  Stephane Delcroix  <stephane@delcroix.org>
2007-07-12  Jakub Steiner <jimmac@ximian.com>

	* src/Defines.cs.in: define APP_DATA_DIR
	
	* src/Global.cs: new IconTheme field.
	
	* src/PixbufUtils.cs: load icons from the theme instead of the
	assembly. Remove LoadThemeIcon, now that LoadIcon is in gtk# (>2.4).

	* src/ImportCommand.cs:
	* src/main.cs: use IconTheme.LoadIcon

	* src/MainWindow.cs: 
	* src/SingleView.cs: new ToolTips field, use ToolItem's inside the
	Toolbar (instead of Widgets). Use the media-play button for
	slideshows.

	* src/GroupSelector:
	* src/Widgets/TagView.cs: use SetToolTip for ToolItems

	* src/ItemAction.cs: Changes the main constructor to load the icon from
	the theme, change icon names to reflect the installed icon names,
	removes GetToolButton methods.

	* src/PhotoView.cs: uses a Gtk.Toolbar (instead of a hbox) for the
	tools bar. Use the theme icons.

	* src/TagStore: Load tag icons from theme, replaced StockIconName by
	ThemeIconName. Do not resize (SizedIcon) icon tags loaded from 
	theme, reload with the correct size instead. Reset the cached icon 
	while setting the ThemeIconName. Hooks the new icons and some g-i-t
	ones.

	* src/TagCommand.cs: Load the default icons from the theme the right
	way, store the icon name in the db so it's themable. 
	Load icons asynchronously

	* src/Util.cs: removes MakeToolbar(Toggle)Button methods, replaced by
	ToolButtonFromTheme.

	* src/f-spot.glade: switch the file to glade-3, some minor changes
	related to that switch. Hooks some new icons here and there.

	* src/Makefile.am: no longer bundle icons as resources.

	* icon-theme-installer: icon theme installer script from banshee

	* icons/Makefile.am: use the installer script, install icons in theme
	* icons/*: reworked/renamed icons from jimmac in multiple sizes.
	removed stale icons.	
	* icons/emblem-event: new emblem, based on emblem-urgent from git.
	* icons/emblem-people: from gnom-icon-theme
	* icons/emblem-places: add the missing sizes (from git as well)
	* icons/emblem-readonly-*: adding emblem-readonly from
	gnome-icon-theme trunk since it's not yet on everyone's destop.
	* icons/view-near-16.svg
	* icons/view-far-22.png
	* icons/view-far-24.png
	* icons/view-far-16.svg
	* icons/view-near-16.png
	* icons/view-far-16.png
	* icons/view-near-22.svg
	* icons/view-far-22.svg
	* icons/view-near-22.png
	* icons/view-near-24.png: view zoom icons
	* icons/mode-browse-16.svg
	* icons/mode-browse-32.svg
	* icons/mode-browse-32.png
	* icons/mode-browse.svg: more sizes provided by Andreas Nilsson
	* icons/filter-soft-focus-16.png:
	* icons/filter-soft-focus-22.png:
	* icons/filter-soft-focus-24.png:
	* icons/tag-new.*: add a new tag icon.
	* icons/red-eye-remove*: add icon for removing red eye

	* src/Updater.cs: update to db version 6.0, change f-spot-other.png to
	emblem-generic

2007-07-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/main.cs:
	* src/MainWindows.cs: connect the M.A.Gui
	
	* src/f-spot.in: add M.A.Setup and M.A.Gui to MONO_PATH

	* extensions/DefaultExporters/DefaultExporters.addin.xml: some new 
	attributes...

2007-07-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.in: changes to load M.A. from the new location (while
	running --uninstalled)

2007-07-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/TagView.cs: move this class in the Widgets namespace and
	folder.

2007-07-08  Stephane Delcroix  <stephane@delcroix.org>

	* mono-addins/*: upgrade to Mono.Addins 0.2, renamed from Mono.Addins
	to mono-addins to stay in sync with upstream naming tree.

2007-07-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/Editors/SoftFocus.cs: make the buttons translatable.

2007-07-01  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoView.cs: fixing the theming issue with Darkilouche theme.
	Jimmac, you owe me a beer... or some icons ;)

2007-06-30  Ruben Vermeersch  <ruben@savanne.be>

	* src/Db.cs: Don't pass the TagStore to the constructor, if needed, it can
	be accessed through the Db.

	* src/PhotoStore.cs: Access the TagStore through Core.Database. Keeping
	references in the stores is cumbersome. There's a global lookup point,
	let's use it. The TagStore does similar things, this commit just makes it
	all consistent.
	
	Historical note: I've looked up if there was a specific reason why it was
	written like that. It appears this code has been there since the initial
	import, more than three and a half year ago, when there were only three
	stores. We have five now, which would have circular references if we would
	continue to use the old way of working.

2007-06-30  Ruben Vermeersch  <ruben@savanne.be>

	* src/Preferences.cs: Remove unused PreferenceSetting class, add a gconf
	cache, move all default values to one place, make naming consistent.

	* src/LastRollDialog.cs: Remove default values.

2007-06-23  Ruben Vermeersch  <ruben@savanne.be>

	* src/TagCommands.cs: Use the new overload when a tag has been edited.
	Only write XMP metadata when the name has actually changed.

2007-06-23  Ruben Vermeersch  <ruben@savanne.be>

	* src/TagStore.cs: Add a Commit method which writes XMP tags of the
	associated images. Fixes bgo #327107.

2007-06-19  Priit Laes  <plaes@svn.gnome.org>

	* src/HigMessageDialog.cs: Show underlines in filenames properly,
	instead of making them underlines.

2007-06-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am
	* src/Jobs
	* src/Jobs/JobPriority.cs
	* src/Jobs/Scheduler.cs
	* src/Jobs/FSpotCompat.cs
	* src/Jobs/IntervalHeap.cs
	* src/Jobs/IInstanceCriticalJob.cs
	* src/Jobs/IJob.cs: Job Scheduler borrowed from Banshee

	* src/Db.cs:
	* src/Jobs/JobStatus.cs:
	* src/JobStore.cs: abstraction layer for db and scheduler

	* src/Jobs/SyncMetadataJob.cs:
	* src/MainWindow.cs: Write metadata as asynchronous job

2007-06-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/SmugmugExport.cs:
	* src/FlickrExport.cs:
	* src/PicasaWebExport.cs: Check if the item is a Photo before addinge
	entries inthe ExportStore. Fixes bgo #446656.

2007-06-11  Larry Ewing  <lewing@novell.com>

	* src/GroupSelector.cs: tweak the border calculations slightly.

	* src/Imaging/Tiff.cs: refactor the factory slightly.

	* src/GroupSelector.cs: move the lables inside the group selector
	to save a little space.

2007-06-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoImageView.cs: Since the scrolling in zoomed image does not
	work, connect arrow keys to Prev and NextImage. Fixes bgo #404639.

2007-06-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs:
	* src/Widgets/TagEntry.cs: Adds a comma at the end of the entry on
	focus in event. Fixes bgo #442039.

2007-06-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/FullScreenView.cs: do not shown the ControlOverlay on up/down
	(also for KP, Page, right/left). Implements request bgo #444629.

2007-06-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/PreferenceDialog.cs: new option to show all images in Slideshow.

	* src/Core.cs: Show all images if SCREENSAVER_TAG == 0. Fixes bgo
	#336822.

2007-06-06  Stephane Delcroix  <stephane@delcroix.org>
	
	* srC/MainWindow.cs: Fixes bgo #444639.

2007-06-06  Stephane Delcroix  <stephane@delcroix.org>

	* Mono.Addins: upgrade to M.A r78170

2007-06-02  Jordi Mas <jmas@softcatala.org>

	* src/MainWindow.cs: Allows the button text to be localised

2007-06-01  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/GroupSelector.cs: call dispose when changing adaptor,
	fixes bgo #407753
	
	* src/GroupAdaptor.cs:
	* src/DirectoryAdaptor.cs:
	* src/TimeAdaptor: implement Dispose to release the query 
	reference & move generic parts into the abstract class

2007-06-01  Ruben Vermeersch  <ruben@savanne.be>

	* src/Accelerometer.cs: Prevent HDAPS polling if there's no hdaps sysfs
	device node. Fixes bgo #441847.

2007-06-01  Stephane Delcroix  <stephane@delcroix.org>

	* f-spot.desktop.in.in:
	* f-spot-view.desktop.in.in: changes to pass the desktop-file-validate
	tests. Thanks to Christopher Aillon for this. Fixes bgo #429463.

2007-05-28  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: workaround to avoid firing a (possible) gtk bug.
	Fixes bgo #441632.

2007-05-25  Larry Ewing  <lewing@novell.com>

	* src/Core.cs: initialize the Database when it is first requested
	otherwise if --view is active when the first normal session starts
	there will be no database.

	* src/Imaging/Ciff.cs: Don't close the stream if it isn't open.
	Fixes part of #439213.

2007-05-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/RollStore.cs: fixing query ordering

	* src/MainWindow.cs:  display the latest import roll after a
	successful import

2007-05-24  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: new roll_id field to Photos, make queries works
	with RollSets.

	* src/ImportBackend.cs:
	* src/FileImportBackend.cs: create a new Roll at Prepare () time, and
	add pass the reference to the created photos.

	* src/QueryWidget.cs: display the roll filters in the Query Widget

	* src/IQueryCondition.cs: interface meant to be used by all Query
	conditions, now only used by RollSet.

	* src/RollSet.cs: this new class represent a set of rolls and contains
	it's own sql generation routines.

	* src/Updater.cs: update the db to version 5, rename imports to rolls,
	update photos, and fix bgo #324425

	* src/f-spot.glade:
	* src/LastRollDialog.cs: new dialog to create a RollSet

	* src/RollStore.cs: (was ImportStore.cs) abstraction layer for the
	rolls db table.

	* src/MainWindow.cs: hook up some menu entries

	* src/Preferences.cs: gui_roll_history preference. This preference
	says how much imports rolls will be displayed in the Dialog (all the
	imports rolls are kept in the db though)

	* src/Db.cs:
	* src/PhotoQuery.cs:
	* src/Makefile.am:
	* src/DirectoryAdaptor.cs:
	* src/TimeAdaptor.cs: minor changes to follow some API changes
		
	This big commit is based on patch by Bengt Thuree and fix bgo #321770
	(original patch attached to the bug). I reworked it to makes things a
	little more generic and reusable.

2007-05-24  Larry Ewing  <lewing@novell.com>

	* src/PicasaWebExport.cs: add an Exception dialog for errors
	encountered when creating albums.  Fixes #438564

2007-05-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/Utils.cs: new MakeToolbarButton with label method

	* src/f-spot.glade:
	* src/MainWindow.cs: move the import button from bottom left to top
	left. Fixes bgo #357445

2007-05-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: set the correct photo title at upload time.
	Thanks to Martin Hradil for the first version of this patch. Fixes bgo
	#437044.

2007-05-15  Stephane Delcroix  <stephane@delcroix.org>

	* src/PixbuUtils.cs:
	* src/Utils.cs: Add the 'public' modifier to GnomeUtil and PixbufUtils
	classes.

2007-05-09  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp: update to google-sharp r76991

2007-05-08  Larry Ewing  <lewing@novell.com>

	* src/Widgets/SoftFocus.cs: try to make this actually work on new
	cairo versions.

2007-05-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: wrap the update-menus-from-extensions part in a
	try/catch to avoid bugs like bgo #436726.

2007-05-04  Stephane Delcroix  <stephane@delcroix.org>

	* Makefile.include:
	* configure.in:
	* Mono.Addins/Mono.Addins.Gui/*:
	* Mono.Addins/Mono.Addins.Setup/*: Adding Mono.Addins.Gui and
	Mono.Addins.Setup to the build.

2007-05-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade:
	* src/Extensions/ITool.cs:
	* src/Extensions/ToolMenuItem.cs:
	* src/Extensions/MenuNode.cs:
	* src/MainWindow.cs:
	* src/Makefile.am: New (hidden when empty) 'Tools' Menu. This menu can
	be populated by ITool extensions.

	* src/Extensions/ExportMenuItem.cs:
	* extensions/DefaultExporters/DefaultExporters.addin.xml: minor
	changes in the manifest definition.

2007-04-27  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs:
	* src/MainWindow.cs: No longer try to guess TotalPhotos from adds and
	removes of the store, get that number directly from the db. Fixes bgo
	#431189.

2007-04-19  Larry Ewing  <lewing@novell.com>

	* src/Imaging/Tiff.cs: start implementing save logic.

2007-04-17  Larry Ewing  <lewing@novell.com>

	* src/Core.cs: remove the Environment.NewLine stuff, it was
	breaking the translation (not that the \n is pretty either).

2007-04-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/Extensions.cs:
	* src/ExportMenuItemNode.cs: move ExportMenuItemNode class in its own
	file, so IExporter can be linked as is from the documentation.

2007-04-13  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Makefile.am:
	* src/DependentListStore.cs: New ListStore class that follows the state of
	a TreeStore.  Useful for producing a ListStore for tab-completion from the
	tag TreeStore.

	* src/Term.cs: Remove duplicate class for generating logical queries, and
	move the old code here from TagQueryWidget.cs as the first step in
	refactoring it and cleaning it up.

	* src/MainWindow.cs:
	* src/PhotoQuery.cs:
	* src/PhotoStore.cs:
	* src/TagCommands.cs:
	* src/TagQueryWidget.cs:
	* src/TagStore.cs: Small changes to use the old logic code that is now in
	Term.cs.

	* src/Widgets/FindBar.cs: Tab-complete all tags now, not just toplevel
	ones.  Search comments and file paths if text doesn't match a tag exactly.
	If / or ctrl-f is pressed, focus the search bar even if it's already open.

2007-04-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/Mono.Addins: update to Mono.Addins svn r75575.

2007-04-10  Larry Ewing  <lewing@novell.com>

	* src/BeagleNotifier.cs: always clear the tags before setting them
	to remove any stale information.

2007-04-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/Mono.Addins: update to Mono.Addins svn r75567.

2007-04-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/Extensions/MenuNode.cs: rename label to _label so it's
	translatable by gettext.

	* src/FSpot.addin.xml:
	* extensions/DefaultExporters/DefaultExporters.addin.xml: use _label.

	* po/POTFILES.in: add the 2 xml files for translation.

2007-04-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: do not try to export Tags if it's null. 
	It's always the case while exportign from --view mode). Fixes bgo
	#428185.

2007-04-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/BeagleNotifier.cs: wrap the whole content of the file in #if
	ENABLE_BEAGLE / #endif. Fixes bgo #428181.

2007-04-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/Extensions/MenuNode.cs: ExtensionsNode to create extendable
	menus.

	* src/Extensions/IExporter.cs: interface and ExtensionNode to create
	export extensions.

	* src/f-spot.glade:
	* src/MainWindow.cs:
	* src/SingleView.cs: Create the Export submenu from available
	extensions.

	* src/SmugMugExport.cs:
	* src/CDExport.cs:
	* src/FlickrExport.cs:
	* src/FolderExport.cs:
	* src/PicasaWebExport.cs:
	* src/GalleryExport.cs: make the existing exporters inherit from
	IExporter.

	* extensions/DefaultExporters/*: declare the existing exporters as
	extensions.

2007-04-07  Stephane Delcroix  <stephane@delcroix.org>

	* po/POTFILES.in: remove DateEdit.cs to pass dist-check

	* Mono.Addins/* : 
	* configure.in:
	* Makefile.include:
	* Makefile.am:
	* src/Makefile.am:
	* src/f-spot.in: Adding Mono.Addins 0.1 to the build.

	* src/main.cs: initialize Mono.Addins

	* src/FSpot.addin.xml: Manifest for Addins host

	* extensions/*: placeholder to build extensions.

2007-04-04  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Fixing the build I broke yesterday.

	* src/MetaStore.cs:
	* src/ExportStore.cs: Use TableExists instead of a fake sql statement.

2007-04-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Uses TableExists in upgrade 3.1, uses Execute to
	catch exception. Should fix a bug reported on the mailing-list.

2007-04-03  Ruben Vermeersch  <ruben@savanne.be>

	* src/QueuedSqliteDatabase.cs: Fix TableExists for Sqlite2.

2007-04-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/WhieListFilter.cs: change the signature of th ector.

	* src/GalleryExport.cs: Add a WhiteListFilter while exporting to G1.

2007-03-30  Stephane Delcroix  <stephane@delcroix.org>

	* src/SendMail.cs: urlencode filenames. Fixes bgo #424609.

2007-03-30  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: Export tags to picasaweb. Fixes bgo #418782.

	* google-sharp/*: Update to google-sharp r75231.

2007-03-28  Stephane Delcroix  <stephane@delcroix.org>

	* Makefile.include:
	* google-sharp/*: Update to google-sharp r75081.

	* src/PicasaWebExport.cs: Small changes to follow th eAPI change.

2007-03-21  Stephane Delcroix  <stephane@delcroix>

	* src/Imaging/ImageFile.cs: patch from Andrew Mitchell to support .kdc
	files. May require dcraw... Fixes bgo #421217 and launchpad #91488.

	* src/main.cs: fixing a typo.

2007-03-15  Alp Toker  <alp@atoker.com>

	* gnome-keyring-sharp/Ring.cs: Fall back to D-Bus even if the
	environment variable is set but the connection to that address fails.
	This matches gnome-keyring behaviour precisely.

2007-03-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/ImageFile.cs:
	* src/DirectoryCollection.cs: make ImageFile and FileBrowsableItem as
	IDisposable.

	* src/Ciff.cs: implements the Close () method.

	* src/Widgets/ImageInfo.cs:
	* src/Editors/SoftFocus.cs:
	* src/PhotoStore.cs:
	* src/PixbufUtils.cs:
	* src/FileImportBackend.cs:
	* src/ColorDialog.cs:
	* src/ColorAdjustment.cs:
	* src/PhotoLoader.cs:
	* src/InfoDisplay.cs:
	* src/RotateCommand.cs:
	* src/XmpTagsImporter.cs:
	* src/AsyncPixbufLoader.cs:
	* src/TextureDisplay.cs:
	* src/ThumbnailGenerator.cs:
	* src/PicasaWebExport.cs:
	* src/PixbufLoader.cs:
	* src/Filters/JpegFilter.cs:
	* src/Filters/OrientationFilter.cs:
	* src/Filters/TiltFilter.cs:
	* src/Filters/SharpFilter.cs:
	* src/Filters/ColorFilter.cs:
	* src/Filters/ResizeFilter.cs:
	* src/InfoBox.cs: Patch from George Talusan (with some additions) to
	Dispose () the ImageFile instances.

o007-03-13  Ruben Vermeersch  <ruben@savanne.be>

	* src/Core/Banshee.Base/QueuedSqliteDatabase.cs: Convert the inheritance
	of SqliteCommand to an instance field. As Alp Toker pointed out,
	SqliteCommand will be a sealed class in newer versions of mono. Thanks
	Alp!

2007-03-12  Ruben Vermeersch  <ruben@savanne.be>

	* src/PhotoStore.cs: Fix a stray String.Format that breaks tagging.

2007-03-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/TagStore.cs:
	* src/PhotoStore.cs:
	* src/Db.cs:
	* src/Updater.cs:
	* src/ImportStore.cs:
	* src/ExportStore.cs:
	* src/Makefile.am:
	* src/MetaStore.cs:
	* src/QueuedSqliteDatabase.cs: Patch from Ruben Vermeersch to use the
	QueuedSqliteDatabase from Banshee into F-Spot.

2007-03-12  Alp Toker  <alp@atoker.com>

	* gnome-keyring-sharp/Ring.cs:
	* gnome-keyring-sharp/Makefile.am: Add support for getting the keyring
	socket address via D-Bus as a fallback.

2007-03-12  Stephane Delcroix  <stephane@delcroix.org>

	* dbus-sharp/*: upgrading to dbus-sharp-0.4.2

2007-03-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/*: Fixes 91 gendarme warnings. Mostly UseStringEmptyRule and
	NewLineLiteralRule.

2007-03-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/Term.cs: new logic class, capable of building complex queries
	about tags and generating the sql code.

	* src/PhotoStore.cs:
	* src/TagStore.cs:
	* src/TimeAdaptor.cs:
	* src/PhotoQuery.cs:
	* src/SimpleCalendar.cs:
	* src/TagCommands.cs:
	* src/DirectoryAdaptor.cs: 
	* src/MainWindow.cs: use the Terms to build queries.

	* src/Widgets/FindBar.cs: moved from src/FindBar.cs, refactored a lot.
	New parser handling Not conditions (Gabriel Burt), use a delay to
	prevent updates while typing (Gabriel Burt), new completion code to
	mimic the behavior of the TagEntry widget, no longer use the tag
	widget to get tagnames, use the TagStore and a lot more...

2007-03-09  Larry Ewing  <lewing@novell.com>

	* src/CameraFileSelectionDialog.cs: Create directory if it isn't
	already there.

2007-03-09  Larry Ewing  <lewing@novell.com>

	* src/CameraFileSelectionDialog.cs: Fix the destination to start
	out in the toplevel photos directory then move to the correct
	place.

2007-03-08  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/PicasaWeb.cs: small change to adapt to the protocol
	change

2007-03-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/ResizeFilter.cs: Check for image size before loading a
	resized pixbuf. Avoid a bug when Load (int, int) return a slightly
	smaller pixbuf than expected.

2007-03-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: bump the db version to an integer only version with
	no subversion, so you still can open your db with old f-spot version.
	We'll only be able to use subversion after one or 2 major release of
	f-spot (6-9 months) when everybody run the new code.

2007-03-08  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs:
	* src.FolderExport.cs: reconnect the creation of ZipFiles for Original
	and add a gconf option to disable their creation. Fixes bgo #415997.

2007-03-07  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade:
	* src/CameraFileSelectionDialog.cs: Remove the unconnected widgets
	and make the tag selector look like the import dialog selector.
	Fixes bgo 331525.

	* src/PrintDialog.cs: catch any exception it's difficult to know
	what will be thrown.  Fixes bnc 173606 (again).

2007-03-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/FolderExport: sharpen thumbs and lq images on export to Original
	or HtmlGallery. Fixes bgo #415732.

	* src/Preferences.cs: enable the sharpening with a gconf key.

2007-03-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am
	* src/Filters/SharpFilter.cs: new filter.

2007-03-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: remove old fspot:Folder export items. Bump db
	version to 3.1.

2007-03-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/TagEntry.cs: New UpdateFromTagNAmes method.

	* src/f-spot.glade:
	* src/ImportCommand.cs: use the tag entry (with search) instead of the
	dropdown for attaching tags at import time. Thanks Thomas for help and
	comments. Fixes bgo #407181.

2007-03-05  Stephane Delcroix <stephane@delcroix.org>

	* src/MainWindow.cs:
	* src/PixbufUtils.cs:
	* src/Preferences.cs:
	* src/PhotoTagMenu.cs:
	* src/TagMenu.cs:
	* src/TagSelectionWidget.cs:
	* src/f-spot.glade: Settings size and visibility for icons. Based
	on attachment #66164 to b.g.o. #321025 from John Stowers. Support 
	resized tag icons everywhere. Closes bgo #321025.

2007-03-05  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Use major/minor revision numbers, make the order of
	updates definition meaningless (sort the updates). Fixes bgo #398435.

2007-03-05  Larry Ewing  <lewing@novell.com>

	* src/Widgets/SoftFocus.cs: attempt a better fix for bnc 248341.

	* src/Widgets/SoftFocus.cs: Make sure the blur zone is never less
	than .2 of the max dimension.  Fixes bnc 247507.

	* src/main.cs: add a more descriptive error when the session bus
	is missing.  Fixes bnc 247772.

	* src/Widgets/SoftFocus.cs: clear the memory buffer completely.
	Fixes bnc 248341.

	* src/SlideView.cs: load an error pixbuf in all cases so that the
	show can go on.  Fixes bnc 240952.

2007-03-04  Larry Ewing  <lewing@novell.com>

	* src/Editors/Tilt.cs:
	* src/Editors/SoftFocus.cs:
	* src/Editors/Editor.cs: give the windows proper titles, fixes bnc
	247504.

	* src/FullScreenView.cs: Remove the <small> markup from the
	label.  Fixes bnc 247502.

	* src/InfoBox.cs: removed the weird entry that wasn't editable,
	replaced it with a ellipsizing label.  Removed some old strange
	uses of Gtk.Aligment.  Fixes a walkthrough bug Jared mentioned,

2007-03-01  Larry Ewing  <lewing@novell.com>

	* src/FullScreenView.cs: use IconSize.LargeToolbar, as that seems
	to get back an image without scaling.  bnc #247491.

2007-02-28  Stephane Delcroix  <stephane@delcroix.org>

	* src/InfoDisplay.cs: another check before looking into the
	ExportStore. Fixes bgo #413041.

2007-02-28  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/JpegFile.cs: write a DateTimeOriginal exif if missing.
	Fixes bgo #413001.

2007-02-27  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagQueryWidget.cs
	* src/FindBar.cs: Avoid showing Hidden photos unless explicitly told to do
	so.  Fixes BGO #411973.

2007-02-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/FormClient.cs: expose the multipart property.
	* src/GalleryRemote.cs: Use multipart messages on ablum creation to
	avoid url encoding of album names. Based on a patch of Aidan Skinner.
	Fixes bgo #385267.

2007-02-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: do not try to remove 0 images. Fixes bgo #408559.

	* src/main.cs: Explicit message on no dbus connection instead of
	saying "Starting new F-Spot Server". Fixes bgo #408215.

2007-02-15  Larry Ewing  <lewing@novell.com>

	* src/main.cs: move the dbus init call after the slideshow
	bailout.  Fixes b.n.c #245151.

2007-02-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoView.cs: allow edits on nfs mounted images. Fixes 344403.

2007-02-14  Larry Ewing  <lewing@novell.com>

	* src/TextureDisplay.cs: Make sure we don't try to load a texture
	when we have no gl context.  This is probably the source of
	several bugs but definitely b.n.c #243303.

2007-02-14  Larry Ewing  <lewing@novell.com>

	* src/ColorAdjustment.cs: make color adjustments work properly on
	images with alpha.  Fixes #243916.

2007-02-13  Larry Ewing  <lewing@novell.com>

	* src/TextureDisplay.cs: disconnect from the item when we are
	destroyed.

2007-02-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/Imaging/JpegFile.cs:
	* Src/PhotoStore.cs: Keep permissions and gid on version creation.
	Fixes bgo #326932.

2007-02-11  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/ThreadProgressDialog: fix the cpu to take 100% when
	ThreadProgressDialog is shown

2007-02-09  Larry Ewing  <lewing@novell.com>

	* src/Imaging/JpegHeader.cs: break out of the loop if we read zero
	bytes.  Fixes #405736.

	* src/ItemAction.cs: handle errors in FilterActions. Fixes b.n.c
	#240548.
	
	* src/ItemAction.cs: handle errors while rotating.  Fixes bug
	#240548.

	* src/PrintDialog.cs: flaten images before sending them to gnome
	print to work around the broken behaviour of images with alpha
	channels.  Fixes b.n.c #242070.

	* src/Editors/SoftFocus.cs: destroy the error dialog once it is
	confirmed.  Fixes b.n.c #243952.

2007-02-07  Larry Ewing  <lewing@novell.com>

	* src/PrintDialog.cs: don't crash if we can't load the image.
	Fixes b.n.c #240024.

2007-02-05  Larry Ewing  <lewing@novell.com>

	* libfspot/f-pixbuf-save.c: use g_object_unref.

	* src/TextureDisplay.cs: expose a combo box of the possible
	effects.

	* po/POTFILES.in: add TextureDisplay.cs to the translations.

	* src/Widgets/SoftFocus.cs: work around a change in the cairo
	rendering in 1.0.2.

	* src/Editors/SoftFocus.cs: destroy the surface after we are done
	using it.

2007-02-05  Alp Toker  <alp@atoker.com>

	* dbus-sharp-glib/*: Update to 0.3.0. Fixes #401103
	* dbus-sharp-glib/Makefile.am: Remove redundant glib-sharp reference

2007-01-31  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>
	* src/ThreadProgressDialog.cs:
		- fix the return value of HandleUpdate
		- hide the skip/retry button by default
		- use only one AutoResetEvent
	
	* src/FolderExport.cs: move export loop outside gallery so
	we can provide progress to the progress dialog

2007-01-30  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/ThreadProgressDialog: Add skip and retry button

	* src/CDExport.cs:
	* src/CameraFileSelectionDialog.cs:
	* src/FlickrExport.cs:
	* src/GallerExport.cs:
	* src/SmugMugExport.cs:
		Use the new skip retry buttons on the progress dialog

2007-01-25  Stephane Delcroix <stephane@delcroix.org>

	* src/Preferences: access to gnome_mailto_uri_handler
	* src/SendEmail.cs: Workaround for some mailers which doesn't
	respect the mailto urls correctly. Fixes bgo #168585 (and
	probably some others). Patch from Sascha Umlang

2007-01-24  Robert Love  <rml@novell.com>

	* libfspot/f-image-view.c: Trivial function prototype change to avoid
	  compiler warning.

2007-01-23  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-autocolor.png:
	* icons/f-spot-horizon.png:
	* icons/f-spot-soft-focus.png: new edit icons
	* src/Makefile.am:
	* icons/Makefile.am:
	* src/StockIcons.cs:
	* src/ItemActions.cs: hook them up

	* icons/f-spot-desaturate.png:
	* icons/f-spot-sepia.png: remove unnecessary arrows. make
		distinguishape from the horizon tool.
	* icons/f-spot-info.xcf.bz2: 'source' file

2007-01-21  Stephane Delcroix  <stephane@delcroix.org>

	* src/WmpTagsImporter: Check for control characters at the end of
	imported tags. Fixes bgo #398671.

2007-01-19  Larry Ewing  <lewing@novell.com>

	* src/ControlOverlay.cs: 
	* src/FullScreenView.cs:
	* src/PhotoView.cs: 
	* src/IconView.cs: name the widgets.  

	* src/DirectoryCollection.cs: fix the namespace uri for yahoo
	feeds.

2007-01-19  Stephane Delcroix  <stephane@delcroix.org>

	* src/Updater.cs: Add a reminder.

	* src/InfoDisplay.cs: Generate a folder uri to open from a file uri.

	* src/FolderExport.cs: keep the full uri for exported items in the
	ExportStore. Fixes bgo #398002. Store the uri to the file, not only
	the folder. Fixes bgo #398003.

2007-01-19  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: store the correct image uri in the
	ExportStore. Fixes bgo #398000.

2007-01-19  stephane delcroix  <stephane@delcroix.org>

	* src/picasawebexport.cs: store the correct image uri in the
	exportstore. fixes bgo #398000.

2007-01-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/FlickExport.cs:
	* src/FolderExport.cs:
	* src/PicasaWebExport.cs:
	* src/SmugMugExport.cs: Don't try to write anything in the ExportStore
	if Core.Database == null. Fixes bgo #397915.

2007-01-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/SingleView.cs:
	* src/InfoDisplay.cs: reverting the changes made in r2757. Using
	Core.Database != null to achieve the same goal. 

2007-01-18  Stephane Delcroix  <stephane@delcroix.org>

	* Tao/Tao.OpenGl/Makefile.am: removing "$(MONO_PATH):", which trigger
	a ug with mono 1.1.17 and previous.

2007-01-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/main.cs:
	* src/Core.cs: Do not instanciate the Core.Db object with --view mode.
	Fixes bgo #397920

2007-01-17  James Willcox  <snorp@novell.com>

	* src/PicasaWebExport.cs: add export tracking info
	* src/SmugMugExport.cs: ditto
	* src/FlickrExport.cs: store the service name
	* src/InfoDialog.cs: display the export info for the above

2007-01-17  Larry Ewing  <lewing@novell.com>

	* src/Imaging/SvgFile.cs: explicitly close the stream.

	* src/Texture.cs: first pass at fixing the texture allocation
	issues.

2007-01-17  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: adding a check for scrollkeeper

2007-01-17  Stephane Delcroix  <stephane@delcroix.org>

	* f-spot.desktop.in.in: Adding a X-GNOME-DocPath field

2007-01-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/Util.cs: new GnomeUtil.ShowHelp method, borrowed from Tomboy.

	* src/Global.cs:
	* src/MainWindow.cs: use ShowHelp to call the help window, enabling
	multilingual help files.

2007-01-17  Larry Ewing  <lewing@novell.com>

	* src/Delay.cs: don't return true if we've been stopped inside the
	handler.

	* src/GlTransition.cs: fix flip to fit to the viewport properly.

2007-01-16  Larry Ewing  <lewing@novell.com>

	* src/GlTransition.cs: fix Dissolve so that it properly
	initializes the texture.

2007-01-16  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: added translator comment.  Fixes #331123.

	* src/PhotoVersionCommands.cs: mark button labels for translation.
	Fixes #397279.

2007-01-16  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-view-restore.png: duplicate from 
		gnome-icon-theme 2.17.
	* icons/f-spot-info.png: image infomration

2007-01-16  Stephane Delcroix  <stephane@delcroix.org>

	* libfspot/f-pixbuf-utils.c: Fix the typo for big-endian machines, as
	spotted but Joseph Sacco in bgo #396988. Comment the code for the
	no-longer-used function f-pixbuf-remove-redeye.

2007-01-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: expose Close () in the public interface
	* src/Core.cs: try to Close () f-spot on --shutdown

2007-01-16  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.in: Added 'dz' to ALL_LINGUAS.

2007-01-14  Larry Ewing  <lewing@novell.com>

	* Tao: add a horribly hacked up Tao build to the repo.  So many
	wrappers..

	* src/InfoOverlay.cs: handle version menu changes.

	* src/IBrowsableItem.cs: add MarkChanged to IBrowsableCollection.

	* src/MainWindow.cs: set MarkChanged as not implemented for now.

	* src/IconView.cs: implement MarkChanged on the Selection collection.

	* src/ItemAction.cs: make rotate and motion actions.

	* src/FullScreenView.cs: Move the forward and back actions into 

2007-01-13  Larry Ewing  <lewing@novell.com>

	* src/ControlOverlay.cs: add aligment contraints.  Fix up some of
	the realization logic.
	
	* src/FullScreenView.cs: use the new InfoOverlay to display more
	detailed information.  Handle ToggleActions in the gui code.

	* src/InfoOverlay.cs: new overlay class for image info.
	
	* src/ControlOverlay.cs: fix the style color code.

	* src/FullScreenView.cs: add a name display and work on packing a bit.
	
	* src/FullScreenView.cs: show the controls on key press events.

	* src/ControlOverlay.cs: add a dismiss method to hide controls for
	2 seconds before allowing them to come back.

	* src/Fader.cs: helper class for window fades.

	* src/Loupe.cs: more cleanups.

	* src/ControlOverlay.cs: clean up the display code and the hiding
	code.

	* src/InfoBox.cs: make InfoBox work with IBrowsableItem.

	* src/Loupe.cs: remove DllImports, use CompositeUtils.

	* src/ControlOverlay.cs: new class to hold controls on top of
	things.

2007-01-12  Larry Ewing  <lewing@novell.com>

	* libfspot/f-image-view.c: constrain the selection drawing to the
	image bounds.

	* libfspot/f-image-view.c: draw the selection differently.

	* libeog/image-view.c: add option to enable/disable progressive
	scaling.

2007-01-11  Larry Ewing  <lewing@novell.com>

	* src/Widgets: Split the effects and transitions out of
	ImageDisplay and move them into their own files.

	* src/Filters/TiltFilter.cs: fixup the namespaces.

	* src/Cairo/Cairo.cs: add method needed for the new ImageSurface
	constructor.

	* src/Cairo/ImageSurface.cs: add a constructor that takes the
	actual data pointer.

	* src/Glx.cs: add a very limited glx binding.

2007-01-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am: Removes GdkGlx.cs from the built, since it doesn't
	exists and Glx.cs does not compile.

2007-01-11  James Willcox  <snorp@novell.com>

	* src/FolderExport.cs: add export items for the photos
	* src/InfoDialog.cs: show folder exports

2007-01-11  Ruben Vermeersch  <ruben@savanne.be>

	* src/FlickrExport.cs:
	* src/InfoDisplay.cs: Store both username and userid, fixes broken links
	to flickr.com when a user has set his username different from his URL.

2007-01-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/SingleView.cs: Accepts dropped uris from firefox. Just drag an
	image from firefox and drop it in f-spot --view...

2007-01-10  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/IconView.cs: In browse mode have hjkl behave just like left, down,
	up, right arrow keys do, allowing fast, home-row-based navigation and
	selection, and tagging.

2007-01-10  James Willcox  <snorp@novell.com>

	* src/InfoDialog.cs: show the exported locations

2007-01-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/RotateCommand.cs: fixing a typo in code

2007-01-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: expose Close () in the public interface
	* src/Core.cs: try to Close () f-spot on --shutdown

2007-01-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/FileImportBackend.cs: zero-pad month and days while creating
	files and directories. Patch from Bradford Powell and Bengt Thuree.
	Should fix bgo #329841.

2007-01-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: allow tag editing/removing even if the user
	removes the 'Hidden' tag. Should fix bgo #390176
	
2007-01-09  Stephane Delcroix  <stephane@delcroix.org>

	* dbus-sharp/*: upgraded to 0.3.1

2007-01-09  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/MainWindow.cs: refresh the complete query instead of only the
	icon view when changing the sort order.  Fixes b.g.o #392210

2007-01-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: don't call HeightRequest for info_box.

	* src/InfoBox.cs: use newlines instead of empty strings. Thanks to
	Mike Gemunde for this bug report and patch. Fixes bgo #394559.

2007-01-08  Larry Ewing  <lewing@novell.com>


	* src/GalleryExport.cs: catch GalleryException not just
	GalleryCommandException.  Dump response text to the console for now.

	* src/GalleryRemote.cs: Include the actual response text in the
	exception so that we can do something smart with it later.  Fixes #393644.

	* src/FormClient.cs: throw new WebException not just exception so
	that that handlers can be more specific.  Fixes #393649.

	* po/POTFILES.in: fix the path to a couple of files.

	* src/Cairo: add a glitz surface.

	* src/Imaging: relocate a bunch of files here.

	* glitz-sharp: add glitz-sharp to the build.

2007-01-04  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ImageDisplay.cs: calculate the fraction during the
	event not during the expose so that we can get more uniform
	results.  Round the scaling and translation values so that we have
	a better chance of hitting the fastpath.

	* src/Widgets/ImageDisplay.cs: add slow Push speed up reveal
	slightly.

	* src/Widgets/ImageDisplay.cs: add partially functioning reveal.

	* src/Widgets/ImageDisplay.cs: add partially functioning wipe and
	soft focus effects.

2007-01-03  Larry Ewing  <lewing@novell.com>

	* src/PixbufUtils.cs: bind Blur function.
	
	* libfspot/f-pixbuf-unsharp.c: separate out the gaussian blur and
	expose it as a separate function.

2007-01-03  Ruben Vermeersch  <ruben@savanne.be>

	* src/f-spot.in: Add support for profiling and tracing. Also allow this to
	be toggled by using environment variables. You can start f-spot with the
	FSPOT_DEBUG, FSPOT_PROFILE and FSPOT_TRACE environment variables. For
	instance, if you want to use the heap-shot profiler, either start f-spot
	by passing --profile=heap-spot or by setting the FSPOT_PROFILE environment
	variable: FSPOT_PROFILE=heap-shot f-spot.

	* src/main.cs: Recognize --trace and --profile.

2007-12-02  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoStore.cs: fix the uri handling in MoveThumbnail. Fixes bgo
	391442.

2007-12-01  Stephane Delcroix  <stephane@delcroix.org>

	* docs/*: renaming docs/en/index.xml to docs/C/f-spot.xml. Fixes bgo
	390641.

2006-12-27  Larry Ewing  <lewing@novell.com>

	* src/Histogram.cs: fix the high and low value calculation.

	* src/Filters/ColorFilter.cs: fix the channel stretching math rounding.

	* libfspot/Makefile.am (libfspot_la_SOURCES): add LCMS_LIBS to the link.

	* libfspot/f-screen-utils.c: add some new accessors since the
	casts were failing.

	* src/Cms.cs: Use the new accessors to allow reading and writing
	the gamma table values.  Add tests to GammaTable.

2006-12-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/PixbufUtils.cs:
	* src/Preferences.cs:
	* src/PhotoView.cs: Read the threshold for redeye removal from gconf.
	Default set to -15.

2006-12-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/PixbufUtils.cs: Closes an unclosed #if.

	* src/PixbufUtils.cs: New red-eye removal algorithm. The THRESHOLD
	should be user defined and/or stored in gconf.

2006-12-23  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: use custom exception classes.

	* src/Cms.cs: use the new GammaTable function.

	* libfspot/f-screen-utils.c: add helper function for GammaTable
	since the managed version wasn't working properly.

	* src/Histogram.cs: Fix extents calculation.

	* src/ColorFilter.cs: add AutoStretch class.

2006-12-22  Larry Ewing  <lewing@novell.com>

	* src/PngFile.cs: 
	* src/PixbufUtils.cs: silence some debug output.

	* src/Cms.cs: add D50 constants.
	* src/ColorDialog.cs: use D50 constants.
	
	* src/Filters/ColorFilter.cs: add Linearization option to filter.
	
	* src/Filters/ColorFilter.cs: Make the filter work properly add
	more tests.

	* src/PixbufUtils.cs: Fix the ReplaceColor method.  Add IsGray method.

	* src/Filters/ColorFilter.cs: new filter to do colorspace filtering.

	* src/PixbufUtils.cs: new method to help with color filtering.

	* src/Filters/TiltFilter.cs: rework the test slightly.

	* src/ColorDialog.cs: make sure to dispose the image buffers after saving.

2006-12-21  Larry Ewing  <lewing@novell.com>

	* src/ImageTest.cs: a simple base class for a bunch of the image
	tests.

	* src/JpegFile.cs:
	* src/Filters/TiltFilter.cs: derive tests from ImageTest.

	* src/Filters/OrientationFilter.cs: add a noop test.
	
	* src/Filters/TiltFilter.cs: add missing endif.

	* src/Tiff.cs: try not to blow up on invalid values, this is
	probably the wrong way to handle this but we'll do it anyway for
	the time being.

	* src/BlockProcessor.cs: add another test.

	* src/Histogram.cs: add methods to figure out the scalable range.

	* src/Widgets/ImageDisplay.cs: expose ImageInfo (before
	refactoring), remove extra CreateSurface call.

	* src/Widgets/CairoUtils.cs: wrap f_pixbuf_from_cairo_surface.

	* src/Filters/TiltFilter.cs: first pass at the actual image saving
	for the tilt code.

	* src/Makefile.am: add TiltFilter.cs.

	* libfspot/f-pixbuf-utils.c: add a method to convert a cairo image
	surface into a pixbuf.

	* src/Filters/JpegFilter.cs: expose the CreateFile method so other
	tests can use it (yeah it should be moved).

2006-12-20  Larry Ewing  <lewing@novell.com>

	* src/Widgets/CompositeUtils.cs: add a getter and setter for
	screen profiles.

	* src/FullScreenView.cs: clean up the Action creations.

	* src/FlickrRemote.cs: use the new api names.

	* src/Cms.cs: add saving code and a couple of unit tests of the
	load/save logic.

2006-12-15  Stephane Delcroix  <stephane@delcroix.org>

	* dbus-sharp/*: upgrade to dbus-sharp 0.3
	* dbus-sharp-glib/*: upgrade to dbus-sharp-glib 0.2
	* src/Core.cs: use the dbus-sharp 0.3 API

2006-12-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/UniqueNameFilter.cs: always copy the file and return
	true. Fixes bgo #384595.

	* SmugMugNet/.cvsignore: new file.

2006-12-08  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* Makefile.am:
	* configure.in:
	* src/Makefile.am: include SmugMugNet directory and src/SmugMugExport
	into build

	* src/SingleView.cs:
	* src/MainWindow.cs: add handler for export to SmugMug

	* src/f-spot.glade: add smugmug export dialogs, add export menus

	* src/Preferences.cs: add smugmug preferences

	* src/f-spot.in: add SmugMugNet to mono path when running uninstalled

	* SmugMugNet/* : smugmug export utitlity library

2006-12-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/WhiteListFilter.cs:
	* src/Makefile.am: new Filter for valid file extensions.

	* src/f-spot.glade: add keyboard shortcut Ctrl-+ for ZoomIn. Fixes bgo
	#382846.

2006-12-07  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: use the quality guess when saving a changed
	images.

2006-12-06  Larry Ewing  <lewing@novell.com>

	* src/FlickrExport.cs: pass a filterset to FlickrRemote rather
	than options.

	* src/FlickrRemote.cs: use IFilter to create the file.

	* src/Filters/FilterRequest.cs: Use a finalizer as well as the
	Dispose logic.  Refactor DontDeleteLastest into Preserve (Uri) method.

	* src/FolderExport.cs: use Preseve and make sure the request is closed.

2006-12-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/FilterRequest.cs:
	* src/Filters/FilterSet.cs:
	* src/Filters/IFilter.cs: Change the behavior of filters. Now the
	filters can change the file name and they work on uri instead of
	paths.

	* src/Filters/JpegFilter.cs:
	* src/Filters/OrientationFilter.cs:
	* src/Filters/ResizeFilter.cs: adapt the filters to the modified
	IFilter.

	* src/Filters/UniqueNameFilter.cs: new filter.

	* src/CDExport.cs:
	* src/FolderExport.cs:
	* src/GalleryExport.cs:
	* src/PicasaWebExport.cs:
	* src/SendEmail.cs:
	* src/Makefile.am: adapt the code to use the new filters.

2006-12-06  Larry Ewing  <lewing@novell.com>

	* src/PhotoImageView.cs: test for the case we are reloading the
	same image and turn off most of the progressive display in that
	case.  Partial fix for #382839.

2006-12-05  Larry Ewing  <lewing@novell.com>

	* src/FullScreenView.cs: add a hide button to the toolbar.
	
	* src/Widgets/ScrolledView.cs: add a force option to the
	HideControls method.

2006-12-04  Larry Ewing  <lewing@novell.com>

	* libfspot/f-screen-utils.c: make the whitebalance adjustment the
	first part of the process.

2006-12-02  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: use CctTable for whitepoint lookups.  Fixes #335113.

	* src/CctTable.cs: add lookup table for cct to xyY.

	* src/Makefile.am: add CctTable to the build.

2006-12-01  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: make sure destroying the dialog properly
	cancels everything. Fixes #380943.

	* src/Cms.cs: add method to read color temp from text resource.

	* src/Ciff.cs: try to reduce the likelyhood of #375365.

	* src/Cms.cs: pass colors by reference.  Fixes #336758.
	
	* libfspot/f-screen-utils.c (f_cmsCreateBCHSWabstractProfile):
	pass the structures as references.

	* src/Preferences.cs: add Zooomr preference.

	* src/IBrowsableItem.cs: make the tests cover a bit more api.

2006-11-30  Larry Ewing  <lewing@novell.com>

	* libgphoto2-sharp/Makefile.am: add AUTHORS and COPYING to the
	dist.

	* src/FlickrExport.cs: 
	* src/FlickrRemote.cs: refactor the multi service support
	slightly, move all the service specific items into a single class.

2006-11-30  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* FlickrNet: updated to version 104922 of FlickrNet library
	
	* src/FlickrExport.cs: 
	* src/FlickrRemote.cs: 
	* src/Preferences.cs: add support for 23hq.com as service. Make a distinction between 
	tokens from flickr and tokens from 23hq.com

	* src/SingleView.cs:
	* src/MainWindow.cs:
	* src/f-spot.glade: Add menu items for export to 23hq, fixes bgo #331014

2006-11-29  Larry Ewing  <lewing@novell.com>

	* src/FormClient.cs: add a fallback for lighttpd servers that
	allways reject 100-continue statements.

2006-11-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs: Add VIEWER_TRANSPARENCY and VIEWER_TRANS_COLOR
	preferences.

	* src/ImageView.cs: new SetTransparentColor (string) and 
	SetCheckSize(int) methods.

	* src/SingleView.cs: Set the background according to Preferences.

	* src/SingleView.cs: 
	* src/f-spot.glade: complete UI for background color. Fixes bgo
	#373426

2006-11-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: Fixes bgo #380423

	* src/SingleView.cs: Fixes bgo #380649

2006-11-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/Widgets/TagEntry.cs: better handling Activated events.

2006-11-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/f-spot.glade:
	* src/MainWindow.cs:
	* src/Widgets/TagEntry.cs: Move the tag typing entry in it's own file
	as a self-contained widget.

2006-11-29  Stephane Delcroix  <stephane@delcroix.org>

	* dbus-sharp/Bus.cs:
	* dbus-sharp/Connection.cs:
	* dbus-sharp/DBus.cs:
	* dbus-sharp/Introspection.cs:
	* dbus-sharp/Mapper.cs:
	* dbus-sharp/MessageReader.cs:
	* dbus-sharp/Protocol.cs:
	* dbus-sharp/Signature.cs:
	* dbus-sharp/UnixNativeTransport.cs: Upgrade to dbus-sharp 0.2.

	* src/Core.cs: Use DoNotQueue flag in Bus.Session.RequestName.

2006-11-28  Larry Ewing  <lewing@novell.com>

	* src/JpegHeader.cs:
	* src/JpegFile.cs: remove debug output.

	* src/GroupSelector.cs: set the decoration strings to null to
	avoid new theme issues.

2006-11-28  Larry Ewing  <lewing@novell.com>

	* src/QueryDisplay.cs: remove unused file.

2006-11-27  Larry Ewing  <lewing@novell.com>

	* src/PnmFile.cs: complicate the comments slightly.

	* src/DirectoryCollection.cs: add an Add method and make the
	empty contructor public.

	* src/IBrowsableItem.cs: add tests for IBrowsablePointer.

2006-11-27  Stephane Delcroix  <stephane@delcroix.org>

	* icons/f-spot-48.png:
	* icons/Makefile.am: new f-spot-48.png icon (thx again jimmac).

	* src/Makfile.am:
	* src/main.cs:
	* src/ImportCommand.cs: use f-spot-48.png instead of f-spot-48.svg.
	Fixes issue on some systems with missing/bad svg support.

2006-11-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/Core.cs: Fixes #379188.

2006-11-24  Stephane Delcroix  <stephane@delcroix.org>

	* src/main.cs: fixing bgo #378907.

2006-11-24  Stephane Delcroix  <stephane@delcroix.org>

	* src/main.cs: remove the '--debug' option from the help generated by
	f-spot.exe, since this option is only handled by the f-spot wrapper
	script.

2006-11-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/main.cs: re-accept --uninstalled as a valid option.

	* src/f-spot.glade: fixing a typo in the viewer preference dialog.

2006-11-22  Larry Ewing  <lewing@novell.com>

	* src/PnmFile.cs: add basic load/save test including comments.

	* src/ThumbnailGenerator.cs: Jump through some hoops to pass fully
	escaped strings to the thumbnail saving code.  Passes most tests
	now.

	* src/Utils.cs: add more methods to make up for System.Uri crappiness.

2006-11-22  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs:
	* src/SingleView.cs: Handling the interpolation type for view mode as
	a gconf key.

	* src/f-spot.glade:
	* src/SingleView.cs: new preference dialog. Fixes bgo #373423.

2006-11-22  Larry Ewing  <lewing@novell.com>

	* src/FullScreenView.cs: Fix the opacity setting.

2006-11-22  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/PicasaWeb.cs: upgrade to google-sharp-svn r68309. We're
	in sync again with upstream.

	* src/JpegHeader.cs:
	* src/JpegFile.cs: makes the tests pass with gnunit2.

	* src/ThumbnailGenerator.cs: speed up the tests by a 3 factor.

2006-11-21  Larry Ewing  <lewing@novell.com>

	* src/ThumbnailGenerator.cs: isolate the point of failure \u00ff
	-> \u0100.

2006-11-21  Larry Ewing  <lewing@novell.com>

	* src/ThumbnailGenerator.cs: add some tests for thumbnail
	generation with strange paths.  Add some tests that fail.

	* src/QueryDisplay.cs: switch to Mono.Unix.
	* src/PngFile.cs: remove temp files at the end of the test.
	* src/JpegHeader.cs: add saving test, check for safe roundtrip.

	* po/POTFILES.in: remove QueryDisplay.cs as it is not part of the
	build.

	* configure.in: disable tests completely if nunit doesn't exist
	* Makefile.am: use the NUNIT_DEFINES to check for nunit.
	
	* src/BlockProcessor.cs: 
	* src/PngFile.cs: clean up the tests to follow the new guidelines.
	* src/JpegFile.cs: fix the test fixes.

	* configure.in: set the nunit package name.
	* src/Makefile.am: use the NUNIT_PKG.

	* src/JpegHeader.cs: add some JpegHeader tests.
	* src/JpegFile.cs: clean up the tests slightly.

2006-11-21  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: check for nunit.pc, nunit-2.2.pc or mono-nunit.pc.
	Fixes bgo #376366.

2006-11-21  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: check for Mono.GetOptions.dll
	* src/Makefile.am: compile with -r:Mono.GetOptions
	* src/AssemblyInfo.cs.in: add some attributes for Mono.GetOptions
	* src/main.cs: use Mono.GetOptions to parse commandline arguments

2006-11-20  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/PicasaWeb.cs: quick fix for picasa (new|broken)
	protocol. WARNING !!! we're no longer in sync with google-sharp !!!

2006-11-20  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/PicasaAlbum.cs:
	* google-sharp/CaptchaException.cs: upgrade to google-sharp svn
	r67952.

2006-11-17  Larry Ewing  <lewing@novell.com>

	* src/PngFile.cs: add basic load/save tests.

2006-11-16  Larry Ewing  <lewing@novell.com>

	* src/PreviewPopup.cs:
	* src/Loupe.cs:
	* src/Widgets/ImageDisplay.cs:
	* src/Widgets/CairoUtils.cs: replace all references to
	Cairo.Graphics with Cairo.Context.

	* src/CameraFileSelectionDialog.cs:
	* src/CameraSelectionDialog.cs:
	* src/Core.cs:
	* src/Exif.cs:
	* src/FindBar.cs:
	* src/FlickrExport.cs:
	* src/FolderExport.cs:
	* src/FullScreenView.cs:
	* src/GroupSelector.cs:
	* src/InfoBox.cs:
	* src/InfoDisplay.cs:
	* src/Makefile.am:
	* src/MetadataStore.cs:
	* src/PhotoPopup.cs:
	* src/PhotoStore.cs:
	* src/PhotoTagMenu.cs:
	* src/PhotoVersionCommands.cs:
	* src/PhotoVersionMenu.cs:
	* src/PicasaWebExport.cs:
	* src/Preferences.cs:
	* src/ProgressDialog.cs:
	* src/QueryWidget.cs:
	* src/RotateCommand.cs:
	* src/SendEmail.cs:
	* src/SingleView.cs:
	* src/StockIcons.cs:
	* src/TagCommands.cs:
	* src/TagMenu.cs:
	* src/TagPopup.cs
	* src/TagQueryWidget.cs:
	* src/TagSelectionWidget.cs:
	* src/TagStore.cs:
	* src/TimeDialog.cs:
	* src/Unix.cs:
	* src/Updater.cs:
	* src/Util.cs:
	* src/Widgets/ImageDisplay.cs:
	* src/CameraSelectionDialog.cs: remove refernces to obsolete
	Mono.Posix, replace with Mono.Unix.

	* src/QueryWidget.cs: remove unused variable.

	* src/FullScreenView.cs: use sinusoidal rather than linear fade.

	* src/*.cs: remove unused variables and silence warnings.
	Occationally add a ToString method.

2006-11-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/IconView.cs: Fixes minor display issue. bgo #375911.

2006-11-16  Larry Ewing  <lewing@novell.com>

	* src/PixbufUtils.cs: load from the entry assembly not the calling assembly.
	
	* src/StockIcons.cs: remove the reference to f-spot-logo it no
	longer exists.

	* src/main.cs: clean up the exception catching.

	* src/Widgets/CompositeUtils.cs: make the check for composite
	managers work for all reasonable gdk and compiz versions.

	* src/Loupe.cs: check IsComposited;
	
	* src/PreviewPopup.cs: check for a composite manager now that we
	have a functional check.

	* configure.in: check for mono-nunit.

	* src/JpegFile.cs: add unicode to the description test.

2006-11-16  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: add a basic test of exif loading and saving.

	* src/MainWindow.cs: add handler for FindMissing.

	* src/RepairDialog.cs: start the repair dialog work.

	* src/Makefile.am: add the new files to the build.  Enable nunit.

	* src/Loupe.cs: move the loupe when you move the window.

	* src/BlockProcessor.cs: add unit tests.

2006-11-16  Larry Ewing  <lewing@novell.com>

	* po/POTFILES.in: add missing files.

	* po/POTFILES.skip: remove file that no longer exists.

2006-11-15  Thomas Van Machelen <thomas.vanmachelen@gmail.com>
	
	* src/SingleView.cs: Add the possibility to set current image as
	background from both menu bar and a context menu

2006-11-15  Stephane Delcroix  <stephane@delcroix.org>

	* icons/Makefile.am: add missing $(DESTDIR). Thanks to Artur Flinta.
	Fixes bgo #375341.

2006-11-14  Larry Ewing  <lewing@novell.com>

	* src/SlideView.cs: use block processor.

	* src/PixbufUtils.cs: use block processor.

	* src/Makefile.am (F_SPOT_CSDISTFILES): add BlockProcessor.cs.

	* src/BlockProcessor.cs: clean up a little.

2006-11-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/ImportCommand.cs:
	* src/main.cs: Load F-Spot icons from assembly instead of from theme.
	Enable installations on other prefixes than /usr/ or /usr/local/

	* src/IconView.cs: adding a DisplayFilenames property and an
	implementation to do that.

	* src/Preferences.cs: new VIEWER_SHOW_FILENAMES preference.

	* src/f-spot.glade:
	* src/SingleView.cs: Optionnaly displays filenames below icons and in
	the 'status' bar. Fixes bgo #375038.

2006-11-14  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/SingleView.cs: add fullscreen and slideshow buttons to toolbar.
	Fixes bgo #375033.

2006-11-14  Stephane Delcroix  <stephane@delcroix.org>

	* src/FullScreenView.cs: conditional compilation of some unused and
	freshly added code. Fixes the build.

2006-11-13  Larry Ewing  <lewing@novell.com>

	* src/FullScreenView.cs: fix for #374380.

2006-11-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/ImportCommand: use the installed (tango) icon.
	* src/main.cs: use a full list of tango icons as DefaultIconList.

2006-11-11  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* src/f-spot.glade: add shortcuts for rotation, and make them
	discoverable (entries in Edit menu). Fixes bgo #373593.

2006-11-10  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ImageDisplay.cs: use the block processor to try to
	break the operations into chunks.  Play with a couple of the other
	effects.

	* src/BlockProcessor.cs: simple class to split up Rectangles.

2006-11-10  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindows.cs:
	* src/PhotoQuery.cs: Handling query changes the right way. This will
	make Untagged as persistent as normal tags. Fixes bgo #362120.

2006-11-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: Enhanced the status label
	* src/PhotoStore.cs: New static property to keep the number of photos.
	Slightly modified patch originally written by Bengt. Fixes bgo
	#361874.

	* src/f-spot.glade:
	* src/SingleView.cs: Adding a photo count in the UI. Fixes bgo
	#357896.

	* src/SingleView.cs: Adding support for dropping images. Fixes bgo
	#372881.

	* f-spot-view.desktop.in.in: adding handler to open SVG files. Fixes
	bgo #372882.

	* src/f-spot.glade: bind F9 to HandleViewSidePane. Fixes bgo #373017.

2006-11-09  Stephane Delcroix  <stephane@delcroix.org>

	* src/CDExport.cs: Simplification of Thomas' code.

2006-11-09  Thomas Van Machelen <thomas.vanmachelen@gmail.com>
	* src/CDExport: 
	* src/GallerExport.cs:
	* src/GalleryRemote.cs: 
	* src/PicasaWebExport.cs: change code so that it handles IBrowsableItems 
	instead of Photos, this way SingleView can use the exports.

	* src/FlickExport.cs: make display of tags a constructor option

	* src/MainWindow: use new FlickrExport constructor

	* src/SingleView.cs: 
	* src/f-spot.glade: add export menu items, fixes bgo #365194.

2006-11-09  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: remove unneeded explicit dependency on sqlite or
	sqlite. Fixes bgo #367687. Thanks Stanislaw Pitucha.

2006-11-07  Stephane Delcroix  <stephane@delcroix.org>

	* icons/Makefile.am:
	* icons/* : Re-flatten the icons directory, moving the hierarchy in
	the Makefile.

2006-11-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/Preferences.cs: embed Client.Set in a try/catch. No longer crash
	if gconf is read-only. This patch, based on a Thomas Van Machelen one,
	fixes bgo #368121.

2006-11-06  Stephane Delcroix  <stephane@delcroix.org>

	* src/CDExport.cs: re-enable the Autorotate checkbox. Fixes bgo
	#371548.

2006-11-05  Stephane Delcroix  <stephane@delcroix.org>

	* icons/Makefile.am:
	* icons/f-spot-logo-tango.svg:
	* src/Makefile.am:
	* src/MainWindox.cs: Adding the f-spot logo to the About dialog. Fixes
	bgo #369896.

2006-11-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/GPhotoCamera.cs: Explicitly disposing camera and camera_fs.
	Fixes bgo #168091, the second oldest bug in our bug tracker.

2006-11-02  Stephane Delcroix  <stephane@delcroix.org>

	* icons/16x16/f-spot.png:
	* icons/16x16/f-spot.svg:
	* icons/22x22/f-spot.png:
	* icons/22x22/f-spot.svg:
	* icons/24x24/f-spot.png:
	* icons/32x32/f-spot.png:
	* icons/32x32/f-spot.svg:
	* icons/48x48/f-spot.svg:
	* icons/Makefile.am: new Tango icons from jimmac

	* f-spot.desktop.in.in
	* f-spot-view.desktop.in.in: use the new icon

2006-11-01  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ImageDisplay.cs: work on a new zoom interface.

	* src/Widgets/CairoUtils.cs: add a helper method to create a
	surface from a drawable.

	* src/Widgets/ImageDisplay.cs: use xlib surfaces as buffers for
	the crossfade case.

	* src/GalleryRemote.cs: Fix for b.g.o #368319.

	* src/TagQueryWidget.cs: make the event boxes non-visible.

	* src/RotateCommand.cs: add a comment.

	* src/PhotoArray.cs: add empty constructor.

	* src/f-spot.glade:
	* src/SendEmail.cs: Update the send mail UI slightly.

	* src/Loupe.cs:
	* src/Makefile.am:
	* src/PreviewPopup.cs:
	* src/Cairo/*.cs:
	* src/Widgets/CairoUtils.cs
	* src/Makefile.am (F_SPOT_CSDISTFILES): update the Cairo tree to
	the newer code in mcs plus some changes.

2006-10-31  Stephane Delcroix  <stephane@delcroix.org>

	* FlickerNet/Makefile.am:
	* configure.in:
	* libgphoto2-sharp/Makefile.am:
	* semweb/Makefile.am:
	* google-sharp/Makefile.am:
	* gnome-keyring-sharp/Makfile.am: Switch the buildsystem from mcs to
	gmcs/2.0. Updated version of the patch from Ruben Vermeersch. Fixes
	b.g.o #346977 and #358247.

	* src/MainWindow.cs: re-adding a line I removed yesterday in
	MainWindow.UpdateQuery ().

2006-10-30  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebExport.cs: Catching possible (but improbable) exception
	while GetAlbums. Hope it helps to fix bgo #365373.

	* src/PhotoStore.cs: no longer crash if the user removes the Hidden
	tag. Fixes bgo #367166.

	* src/Makefile.am: removing the unused QueryDisplay widget from the
	build.

	* src/TagSelectionWidget.cs:
	* src/MainWindow.cs: Remove the old checkbox-based selection code.

	* src/JpegHeader.cs: Fixing the quality code, bgo #346452.

2006-10-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Change 'Close' to 'Quit' in the file menu.  Fixes BGO
	#363373.

2006-10-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: 
	* src/QueryWidget.cs: Fix small bug where the Find -> [Show|Hide] Find Bar
	item would be out of sync with the query bar's status.

2006-10-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/IconView.cs: Use the tag's icon in the IconView, or the first parent
	category that has an icon.  Fixes BGO #332584.  Based on ideas/snippets
	from Stephane Delcroix, Jean-Christophe Dubacq, and Thomas Paris.

2006-10-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/JpegFile.cs: Patch from Thomas Van Machelen to fix bgo #366368.

2006-10-26  Stephane Delcroix  <stephane@delcroix.org>

	* f-spot-view.desktop.in.in: allow opening multiple uris. Fixes bgo
	#364998.

	* src/TagSelectionDialog.cs: Use a new selection method. Fixes bgo
	#364456.

2006-10-26  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: Set the the desktop background to stretched
	by default.

	* src/Widgets/ScrolledView.cs: only read the pointer if the window
	is realized.

2006-10-25  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: make the color dialog semi-transparent in
	fullscreen mode.

	* src/Widgets/ImageDisplay.cs: More transitions and effects.

	* src/Widgets/CompositeUtils.cs: add a SetWinOpacity method.

2006-10-25  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/ResizeFilter.cs: Better handling of extensions. Fixes
	bgo #364973

	* src/SingleView.cs: Patch from Thomas Van Machelen that (re-)enable
	the File>Open option and fix the focus in the side panel. Fixes bgo
	#353874.

2006-10-21  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ScrolledView.cs: don't hide the control box if we
	are over it.

	* src/FullScreenView.cs: start adding some more widgets to the
	full screen view.

	* src/TagView.cs: make TagView an invisible EventBox so that
	it can manange it's own tooltips and work properly in any container.

	* src/PhotoView.cs:
	* src/QueryDisplay.cs: use the new TagView interface.

2006-10-20  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: adjust the scale of exposure correction.

	* src/Widgets/CompositeUtils.cs: new methods to work around a bug
	in gtk# and to wrap a gdk_xll_method.

	* src/FullScreenView.cs: add a generic FadeIn effect that uses the
	_NET_WM_WINDOW_OPACITY property to do the dirty work.
	
	* src/PixbufCache.cs: abstract a bit more of the logic that was
	growing around the entry.
	
	* src/IconView.cs: clean use the new entry entry points.

2006-10-20  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: check for 2.0 dll instead of 1.0 ones. Fixes bgo
	#363593

2006-10-20  Larry Ewing  <lewing@novell.com>

	* src/PixbufCache.cs: only reload the thumbnail if the generator
	managed to generate a thumbnail.

2006-10-20  Bengt Thuree <bengt@thuree.com>

	* src/Util.cs: Hack to convert file:/ to file:/// due to bug 362016,
	drag/drop from screenshot. Fixes bgo #361949.

2006-10-20  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in: makes autogen and configure stop if no C# compiler.
	Fixes bgo #363591

2006-10-20  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ImageDisplay.cs: use arguments in the keybindings.

	* src/PixbufLoader.cs: synchronize the hashtable.

	* src/IconView.cs: fix the bounds check so that the first image in
	the icon view will generate thumbnails.

	* src/PixbufCache.cs: fixup the thumbnail generator listener that
	was broken when gnome-vfs support was added.

2006-10-19  Larry Ewing  <lewing@novell.com>

	* src/PixbufCache.cs: change the way updates are queued, avoids
	the pending queue and the old style wakeup main.  Hoping this will
	have an effect on #333071.

2006-10-19  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>

	* src/Preferences.cs:
	* src/FolderExport.cs: Store the export setting in GConf. Fixes bgo
	#353539.

2006-10-19  Stephane Delcroix  <stephane@delcroix.org>

	* src/PicasaWebEwport.cs: Only opening a browser window if everything
	was fine during upload. Fixes bgo #360877.

	* src/PicasaWebExport.cs:
	* src/GalleryExport.cs: Only one login dialog at a time. Fixes bgo
	#360142.

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/OpenWithMenu.cs:
	* src/PhotoPopup.cs: 
	* src/TagPopup.cs:
	* src/f-spot.glade: Use icons for menu items.  Fixes BGO #329049.

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Remove clear_tag_query handler, change Show Find Bar
	item into Hide Find Bar when appropriate.  Fixes BGO #360140.

	* src/f-spot.glade:
	* src/QueryWidget.cs: Remove clear_tag_query.

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Makefile.am: remove Widgets/ImageDisplay.cs from the build.

2006-10-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs:
	* src/f-spot.glade: Transform VPaned on the left to a VBox. Fixes
	BGO #356971

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Revert the Send Mail handler.

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Add F9 as an accellerator for showing/hiding the
	sidebar. Fixes BGO #363226.

2006-10-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade:
	* src/MainWindow.cs: Fix BGO #356978, the window would change
	size/position after being shown.

	* src/Widgets/ImageDisplay.cs:
	* src/Makefile.am: fix the build

2006-10-18  Larry Ewing  <lewing@novell.com>

	* src/Cairo/Pattern.cs: remove strange constructor mess.  I really
	need to import the modern bindings.
	
	* src/Cairo/Graphics.cs: 
	* src/ColorDialog.cs: Clean up indentation and old references.

	* src/DCRawFile.cs: remove do cleanup in close.

	* src/Cms.cs: make a couple of methods virtual.

	* src/Widgets/ImageDisplay.cs: Calculate the proper crop for a
	given viewport and tilt.

2006-10-18  Stephane Delcroix  <stephane@delcroix.org>

	* src/GalleryExport.cs: Export the original image if filters don't
	change the image. Fixes #362859

	* docs/.cvsignore:
	* docs/en/.cvsignore: adding missing .cvsignore

2006-10-17  Stephane Delcroix  <stephane@delcroix.org>

	* src/Filters/JpegFilter.cs: Add the quality as an optional parameter.

2006-10-16  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-simple-white.css: remove old references to icons.
		Fixes bug #361963

2006-10-16  Stephane Delcroix  <stephane@delcroix.org>

	* src/FlickrExport.cs: Fix the issue with strip metadata. Fixes 362438
	and 352117.

2006-10-15  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ImageDisplay.cs: try to clean up the memory
	management slightly.

	* src/FlickrExport.cs: Handle invalid auth tokens in the exception
	handler.  Fixes 362295.

	* src/Widgets/ImageDisplay.cs: new file.

2006-10-13  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: hopefully get this right this time.

2006-10-13  Stephane Delcroix  <stephane@delcroix.org>

	* src/ImageFile.cs: Handle .bmp files.

2006-10-13  Larry Ewing  <lewing@novell.com>

	* docs/Makefile.am:
	* docs/en/Makfile.am: adjust the makefiles so that they pass distcheck.

	* src/f-spot.glade: rename help menu item to Contents.

2006-10-12  Stephane Delcroix  <stephane@delcroix.org>

	* Makefile.am:
	* configure.in:
	* docs/Makefile.am:
	* docs/en/Makefile.am:
	* docs/en/index.xml: Add the the first user guide to the buildchain.

	* src/Defines.cs.in:
	* src/Global.cs: New Global.HelpDirectory

	* src/MainWindow.cs:
	* src/f-spot.glade: new MenuEntry and F1 shortcut.

2006-10-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagQueryWidget.cs: Add hot new grab handles to tags in the find bar.
	Take away the underlining of icon-less tags in the find bar since the
	gripper handle makes it clear what's going on.

2006-10-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagQueryWidget.cs: When you drag a tag onto another tag in the find
	bar, show an indicator of where the tag will be placed if is dropped.

2006-10-13  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-not.png: make it 9x9px so it doesn't get scaled.
	* icons/f-spot-rotate-90.png:
	* icons/f-spot-rotate-270.png: update rotate icons to look like
		gnome-icon-theme. Once 2.18 is out, we can ditch these.

2006-10-12  Stephane Delcroix  <stephane@delcroix.org>

	* src/POTFILES.in: add PicasaWebExport.cs for translation.

2006-10-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/PhotoStore.cs: Ensure hidden photos not selected only if the
	extra_condition (used by the new query functionality) is null.

	* src/TagQueryWidget.cs: Add an implicit 'Not Hidden' to every And term
	unless it already includes the Hidden tag explicitly. 

2006-10-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* po/POTFILES.in: Add FindBar.cs

2006-10-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* po/POTFILES.in: Add QueryWidget.cs and TagQueryWidget.cs so new query
	stuff is marked for translation.

2006-10-11  Larry Ewing  <lewing@novell.com>

	* src/Makefile.am (CSC): add BROKEN_RSVG flag to the build.

	* src/f-spot.in (EXE_TO_RUN): add the dbus directories to the
	MONO_PATH when running uninstalled.

	* src/Ciff.cs: patch from artis for #326356.

2006-10-11  Stephane Delcroix  <stephane@delcroix.org>

	* src/GalleryExport.cs: fixes bgo 361524.
	* src/TagQueryWidget.cs: Refresh icons on Changed events from the 
	tagstore. Fixes bgo #361398 and bgo #361399.

2006-10-10  Larry Ewing  <lewing@novell.com>

	* icons/Makefile.am (noinst_DATA): add f-spot-not.png to the
	build.

	* dbus-sharp/Makefile.am: make Makefile.am pass distcheck.

	* dbus-sharp-glib/Makefile.am: make Makefile.am pass distcheck.

2006-09-04  Thomas Van Machelen <thomas.vanmachelen@gmail.com>

	* configure.in:
	* Makefile.am:
	* f-spot.pc.in: Include a pkg-config file to the buildchain. 
	Fix b.g.o #344534.

2006-09-29  Stephane Delcroix  <stephane@delcroix.org>

	* src/XmpTagsImporter: commit the icon for 'Import Tags' in the db.
	Fix bgo #358261.  (and a small modification from larry).

2006-10-10 Larry Ewing  <lewing@novell.com>

	* src/XmpFile.cs:
	* src/MetadataStore.cs: patch from Bengt for #357146.

2006-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* src/f-spot.glade: move the description entry in the export to folder
	dialog. Fix b.g.o. #352720.

2006-10-06  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/GoogleConnection.cs:
	* google-sharp/Authentication.cs:
	* google-sharp/CaptchaException.cs:
	* google-sharp/Makefile.am: Update with latest changes from Gonzalo.
	In sync with google-sharp svn r66288.

	* src/PicasaWebExport.cs:
	* src/f-spot.glade: Display a captcha when google blocks your account.

2006-10-10  Stephane Delcroix  <stephane@delcroix.org>

	* configure.in:
	* Makefile.am:
	* src/Makefile.am:
	* dbus-sharp/*:
	* dbus-sharp-glib/*: Add dbus-sharp and dbus-sharp-glib 0.1 in the
	buildchain. Remove the dependency on the old dbus implementation.

	* src/Core.cs;
	* src/main.cs: use the new bindings.

2006-10-10  Larry Ewing  <lewing@novell.com>

	* src/PhotoStore.cs: use Path.Combine.

	* src/RotateCommand.cs: actually delete the temporary file.

	* src/Cairo/Surface.cs: make the IntPtr constructor public, we
	need it elsewhere.

	* src/SvgFile.cs: work around bug somewhere in librsvg or gtk
	until a proper fix is ready.

	* src/PreviewPopup.cs: use the renamed methods.

	* src/Widgets/CairoUtils.cs: add utility method to create surface
	from drawable.  Rename some old methods.

	* src/RotateCommand.cs: add support for 8 bit png rotation.
	
	* libfspot/f-pixbuf-utils.c: add method to make cairo surface from
	pixbuf.

2006-10-09  Larry Ewing  <lewing@novell.com>

	* src/Filters/ResizeFilter.cs: make resize filter a little bit
	smarter.

2006-10-09  Larry Ewing  <lewing@novell.com>

	* src/JpegHeader.cs: fix the test condition for a valid jpeg.
	Fixes #360726.
	
2006-10-07  Larry Ewing  <lewing@novell.com>

	* src/GalleryExport.cs: try using the filterset, mixed success.

	* src/ImageFile.cs: share the code between hacks.

	* src/Filters/IFilter.cs: simplify the interface down to a single
	method.

	* src/CDExport.cs:
	* src/FolderExport.cs:
	* src/GalleryExport.cs:
	* src/Filters/ResizeFilter.cs: 
	* src/Filters/JpegFilter.cs:
	* src/Filters/OperationFilter.cs: use the new IFilter interface.

	* src/Filters/FilterSet.cs: new Filter that contains a filter stack.  
	
	* src/PicasaWebExport.cs: use FilterSet rather than calling
	FilterUtils.cs, use the simpler apis.


2006-10-07  Stephane Delcroix  <stephane@delcroix.org>

	* src/Makefile.am:
	* src/Filters/IFilter.cs:
	* src/Filters/ResizeFilter.cs:
	* src/Filters/FilterException.cs:
	* src/FilterS/FilterUtils.cs:
	* src/Filters/OperationFilter.cs: new IFilter interface, move the
	existing code to the filters. 

	* src/CDExport.cs:
	* src/FolderExport.cs:
	* src/GalleryExport.cs: Changes to use the modified OrientationFilter.

	* src/PicasaWebExport.cs: Adapt to use the only Filters. Change the
	computing of fraction and exported size.

	* src/ImageFile.cs: new TempPath(file, extension) static method.

	* src/Filters/JpegFilter.cs: new JpegFilter as requested in bgo
	#359770.

2006-10-06  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: set the transient when creating the interface.

	* src/MainWindow.cs: formating changes (they were driving me nuts).

	* src/main.cs: Fixes from Bengt for #332429 and #332417.

	* src/PhotoImageView.cs: Fix the check that short circuits the
	change notification.  Fixes #360133 and #358323.

	* src/main.cs: make an error calling prctl to set the name non
	fatal.

	* src/Widgets/CairoUtils.cs: add some more utility functions.

2006-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TimeAdaptor.cs:
	* src/DirectoryAdaptor.cs: Use new Query methods.

	* src/MainWindow.cs: Many changes, allow dragging tags from the tags list
	onto the tag query bar, handle menu events and items for the tag
	searching.  At long last, fixes BGO #139796 (and #138065 and #301169).

	* src/Makefile.am: Add new files.

	* src/PhotoQuery.cs: Add the ExtraCondition property, used by the new
	search functionality.

	* src/PhotoStore.cs: Change the Query method to use the ExtraCondition.

	* src/TagPopup.cs: Add items for searching.

	* src/TagSelectionWidget.cs: New helper methods, get rid of the checkbox,

	* src/Util.cs: Return the menu item created by the utility methods.

	* src/f-spot.glade: Change Find menu all around.

2006-10-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/main.cs: get the absolute path from the --photodir option.
	Fix bgo #358113.

2006-10-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/RafFile.cs: Read orientation field from raf (fuji raw) files.
	Fix bgo #356881

2006-10-03  Stephane Delcroix  <stephane@delcroix.org>

	* src/PhotoView.cs:
	* libfspot/f-image-view.c: automatically switch the selection
	orientation between portrait and landscape. Fix bgo #329299.

2006-10-01  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: In the import dialog, change "Copy file" to "Copy
	files" and "subdirectories" to "subfolders".

2006-09-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/ColorDialog.cs: Ensure only one dialog is created at a time.  Add
	static helper functions for switching views.

	* src/MainWindow.cs
	* src/PhotoView.cs: Close the color dialog if the user switches back to
	browse mode.  Seamlessly switch between fullscreen and edit modes with
	the same color dialog.  Based on patch from Bengt Thuree. Fix BGO #340901

2006-09-28  Bengt Thuree  <bengt@thuree.com>

	* configure.in: Added handling of f-spot-view.desktop.in

	* f-spot-view.desktop.in.in: New file, with @VERSION@ - Closes #352844

	* f-spot-view.desktop.in: Delete this file. Been replaced by above

2006-09-28  Larry Ewing  <lewing@novell.com>

	* src/PnmFile.cs: handle comments.  Fixes #358214.

	* src/DateCommands.cs: set the transient.

	* src/Ciff.cs: expose version.

	* src/AsyncPixbufLoader.cs: silence some warnings.

	* src/PreviewPopup.cs: play with the rendering a little.

	* src/Widgets/ScrolledView.cs: disable the blendbox for now.

	* src/FullScreenView.cs: move the ScrolledView out to its own
	file.

	* src/Loupe.cs: use the util classes.

	* configure.in: look for gmcs.

	* src/Widgets/CompositeUtils.cs: add some new methods.

	* src/Cairo/Cairo.cs: fix up bindings.

	* src/Cairo/Graphics.cs: fix up methods.

	* src/Cairo/Surface.cs: fix up ctor.

	* src/Widgets/CairoUtils.cs: add from drawable helper.  Work
	around old gtk versions.

	* src/Widgets/GdkUtils.cs: new utils for poking into platform
	specific gdk bits.

2006-09-27  Larry Ewing  <lewing@novell.com>

	* src/Widgets/ScrolledView.cs: Move this into its own file.

	* src/Widgets/CairoUtils.cs: Helper class for some cairo functions.

	* src/Widgets/CompositeUtils.cs: Helper methods for some missing X
	composite functionality.

2006-09-26  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Remove "F-Spot Photo Album" text since no
	longer used. Fixes BGO #356974.

	* src/MainWindow.cs: Put the number of photos currently displayed
	at the bottom of the window, where the above text used to be.

2006-09-26  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: change Directory to Folder in f-spot.glade.
	Fixes #323400.

	* src/FileImportBackend.cs: patch from Bengt to silence debug
	output.  Fixes #356995

	* src/main.cs: patch from Stephane and Bengt to make argument
	parsing slightly more robust.  Fixes #357286.

2006-09-25  Gabriel Burt  <gabriel.burt@gmail.com>

	* icons/f-spot-not.png:
	* src/FindBar.cs:
	* src/QueryWidget.cs:
	* src/TagQueryWidget.cs: New files, not yet in build, preparing for new
	tag searching functionality.

2006-09-25  Larry Ewing  <lewing@novell.com>

	* src/GPhotoCamera.cs: make the error in pixbuf decoding non
	fatal. Fixes #357569.
	
	* src/XmpTagsImporter.cs: Patch from Bengt to fix #357268.

2006-09-23  Stephane Delcroix  <stephane@delcroix.org>

	* src/MainWindow.cs: autoscroll on drag event in TagWidget. Should fix
	b.g.o. #357365.

2006-09-21  Stephane Delcroix  <stephane@delcroix.org>
 
 	* gnome-keyring-sharp/AssemblyInfo.cs:
 	* gnome-keyring-sharp/Makefile.am: Add the AssemblyInfo from
 	gnome-keyring-sharp to the f-spot tree
 
2006-09-20  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/AssemblyInfo.cs:
	* google-sharp/Makefile.am: Add the AssemblyInfo from google-sharp
	svn to the f-spot tree.

2006-09-20  Larry Ewing  <lewing@novell.com>

	* src/MetadataStore.cs: ifdef out the debug issue.  Fixes #356856.

	* semweb/RdfXmlWriter.cs: don't use ever try to use xmlns as an xmlns.

	* src/MetadataStore.cs: 
	* src/IptcFile.cs: 
	* src/Tiff.cs: create nodes with the fake base uri rather than a
	blind node.

	* src/XmpFile.cs: try to clean up the namespace and About attributes.

2006-09-19  Larry Ewing  <lewing@novell.com>

	* configure.in: define libexif variables.

	* libfspot/Makefile.am: link against libexif.

	* src/OrientationFilter.cs: update the thumbnail when rotating.
	Fixes #356363.

	* src/JpegFile.cs: expose SetThumbnail and SetDimension methods.
	
	* src/JpegFile.cs: make sure we preserve the file permissions when
	writing new metadata to the file.  Fixes 356698.

	* src/main.cs: make sure we just exit when running --shutdown.
	Fixes #349660;
	
	* src/main.cs: add a hack to avoid dbus# problems until we can
	move to the new bindings. Fixes #356103.

	* src/PicasaWebExport.cs: make the password and username entries
	activate the default action. Fixes #355653.

	* libgphoto2-sharp/libgphoto2-sharp.dll.config: Patch from ajmitch
	to add dllmap for _port lib.  Fixes #354573.

2006-09-18  Larry Ewing  <lewing@novell.com>

	* src/GalleryRemote.cs: throw login before adding the account to
	catch failures.  Fixes #354288 although, there seem to be some
	strange timing issues left.

	* src/GalleryExport.cs: handle exceptions in login.

2006-09-19  Guntupalli Karunakar  <karunakar@indlinux.org>

	* configure.in: Added 'hi' for Hindi in LINGUAS.

2006-09-18  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: simple fix for #353801.
	
	* src/Util.cs: Move cut&paste HumanReadable method here update
	exporters to use it.

	* CDExport.cs:
	* SendEmail.cs:
	* PicasaWebExport.cs: use SizeUtils.ToHumanReadable.

	* src/MetadataStore.cs: fix namespace strings, based on the patch
	from bengt for 356330.

2006-09-18  Stephane Delcroix  <stephane@delcroix.org>
 
 	* src/PicasaWebExport.cs: fix b.g.o. 356543
 
2006-09-18  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: silence some warnings.

	* src/PicasaWebExport.cs: clean up the scaling code a little.

2006-09-16  Stephane Delcroix  <stephane@delcroix.org>

	* google-sharp/PicasaV1.cs:
	* google-sharp/GoogleConnection.cs:
	* google-sharp/Authentication.cs: 
	* google-sharp/Makefile.am: Apply latest changes from
	Mono.Google svn by Gonzalo. Sould fix b.g.o. #354621.

2006-09-16  Larry Ewing  <lewing@novell.com>

	* src/GalleryExport.cs: clean up the scaling code a little.

	* src/IptcFile.cs: add a couple more Iptc4Xmp maps.

2006-09-15  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: Add Stephane Delcroix to the authors list, he
	more than deserves it.

	* src/XmpTagsImporter.cs: add debug output for bengt :)

	* src/Bim.cs:
	* src/IptcFile.cs: Remove debug spew, fix to work properly with
	the new semweb.

	* src/SvgFile.cs: disable SemWeb source until it works again.
	
	* src/XmpTagsImporter.cs: refactor to reduce code size, and remove
	XmpTagMetadata use. Disable the Description setting for the time
	being. 
	
	* Makefile.am: remove XmpTagsMetadata.cs.

	* src/XmpTagsMetadata.cs: remove from repository.

2006-08-07  Bengt Thuree <bengt@thuree.com> 
   
 	* : The below changes fixes bug #342137
 	* src/XmpTagsMetadata.cs: Reads the XMP tags from a photo during import
   	
 	* src/XmpTagsImporter.cs: Creates XMP tags during import
  	
 	* src/FileImportBackend.cs: Calls XmpTagsImporter during import.
   	
 	* src/Makefile.am: Added XmpTagsMetadata.cs and XmpTagsImporter.cs
 	
 	* src/ImportCommand.cs: disable DisplayTags since otherwise we get a crash. 
 	Cancel do not seem to remove all...
	
2006-09-15  Larry Ewing  <lewing@novell.com>

	* src/FileImportBackend.cs: use the xmp importer (From

	* src/IptcFile.cs: use BNodes not empty uris.

2006-09-14  Larry Ewing  <lewing@novell.com>

	* src/MetadataStore.cs: refactor the namespace bits

	* src/PhotoStore.cs: reuse the ImageFile when generating the
	thumbnail.

	* src/XmpTagsImporter.cs:
	* src/XmpTagsMetadata.cs: Add these files from Bengt's import
	patch so that I can edit them with revision control.  The are not
	part of the build yet.

	* src/ImportCommand.cs: turn off tag display.

	* src/Tiff.cs: add CFA array with a proper BNode.

2006-09-13  Larry Ewing  <lewing@novell.com>

	* src/FolderExport.cs: Silence a stupid warning.

2006-08-23  Stephane Delcroix <stephane@delcroix.org>
 
 	* src/Global.cs:
 	* src/Preferences.cs: 
 	* src/PreferenceDialog:
 	* src/main.cs
 	* src/f-spot.glade: Fix both bgo #325166 and #344361. Add a new
 	Preferences.STORAGE_PATH with ~/Photos as default, add an UI in the
 	preferences dialog, handle --photodir and --basedir command line
	options.
	
2006-09-12  Gabriel Burt  <gabriel.burt@gmail.com>

	* tools/f-spot-screensaver: add missing !/

2006-09-11  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: Use BNode interface.
	
	* src/InfoDisplay.cs: fix to work with the new semweb import.
	
	* semweb/Resource.cs: disable empty uri check so we can parse
	files with "" Subjects.
	
	* semweb/:
	* src/Bim.cs:
	* src/Ciff.cs:
	* src/InfoDisplay.cs:
	* src/IptcFile.cs:
	* src/JpegFile.cs:
	* src/JpegHeader.cs:
	* src/MetadataStore.cs:
	* src/MrwFile.cs:
	* src/PngFile.cs:
	* src/PnmFile.cs:
	* src/RafFile.cs:
	* src/SvgFile.cs:
	* src/Tiff.cs:
	* src/X3fFile.cs:
	* src/XmpFile.cs: Patch from Karl Palsson to update to a new
	semweb from #350995

	* src/PicasaWebExport.cs: make picasa use the OrientationFilter.

	* src/OrientationFilter.cs: overly simple filter adjust image
	orientation from whatever it is to top left.
 
 	* src/FolderExport.cs:
 	* src/GalleryExport.cs:
 	* src/CDExport.cs:
 	* src/Preferences.cs: 
 	* src/f-spot.glade: Use the new filter.

2006-08-30  Stephane Delcroix  <stephane@delcroix.org>
 
 	* src/FolderExport.cs:
 	* src/GalleryExport.cs:
 	* src/CDExport.cs:
 	* src/Preferences.cs: 
 	* src/f-spot.glade: Add the UI and code for rotating pictures on
 	export. Fix b.g.o. 165645.

2006-09-05  Stephane Delcroix  <stephane@delcroix.org>
 
 	* google-sharp/PicasaWeb.cs: Apply latest changes from google-sharp to
 	stay in sync and fix bgo #354295

2006-09-06  Aaron Bockover  <abock@gnome.org>

	* src/ExceptionDialog.cs: updated; details now in an expander

2006-09-04  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Add "fa" (Persian) to ALL_LINGUAS.

2006-09-02  Larry Ewing  <lewing@novell.com>

	* src/SingleView.cs: make overloads for HandleZoomIn and
	HandleZoomOut so that we play nicely with new mono versions.
	
2006-09-01  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: use JIS not SJIS after seeing 351880 and checking
	the exif specification.

2006-08-23  Bengt Thuree <bengt@thuree.com> 
 	
 	* src/MainWindow.cs,
 	* src/Makefile.am
 	* src/Preferences.cs
 	* src/f-spot.glade
 	* src/SendEmail.cs: Provides a small gui to resize photos when
	sending them by email. Fixes bug #314559
 
2006-08-29  Stephane Delcroix <stephane@delcroix.org>
 
 	* gnome-keyring-sharp:
 	* google-sharp:
 	* configure.in:
 	* Makefile.am: 
 	* src/f-spot.in: Include gnome-keyring-sharp and google-sharp (CVS
 	versions) to the buildchain.
 
 	* src/Makefile.am:
 	* src/MainWindow.cs:
 	* src/Preferences.cs:
 	* src/f-spot.glade:
 	* src/PicasaWebExport.cs: Support for export to Picasaweb.
 
2006-09-01  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: Workaround for bgo #350265 from Pasi Savolainen.

2006-07-27  Stephane Delcroix <stephane@delcroix.org>
 
 	* src/CDExport.cs:
 	* src/f-spot.glade: Added an 'exported size' label to CDExport
 	dialog. fix b.g.o. #348923
 
2006-08-21  Stephane Delcroix <stephane@delcroix.org>

	* src/CDExport.cs: new UniqueName method working on Gnome.Vfs.Uri,
	ensure filename uniqueness on exporting to CD.

2006-08-31  Larry Ewing  <lewing@novell.com>

	* src/IconView.cs: fix for 350366 based on the Patch from Arif
	Lukito.

2006-08-30  Larry Ewing  <lewing@novell.com>

	* src/f-spot.in: use bash explicitly for now.

2006-08-28  Larry Ewing  <lewing@novell.com>

	* src/Makefile.am: move AssemblyInfo.cs.in to the right section.

2006-08-29  Stephane Delcroix <stephane@delcroix.org>

	* configure.in:
	* src/Makefile.am:
	* src/AssemblyInfo.cs.in: rules to create an build src/AssemblyInfo.cs

2006-08-28  Larry Ewing  <lewing@novell.com>

	* configure.in: Make 0.2.0 release.

2006-08-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/FolderExport.cs: Internationalize several strings in generated HTML
	gallerys.  Based on patch from Stephane Delcroix. Fixes BGO #349912.

2006-08-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Don't steal [] characters from text entries.  Fixes
	BGO #348733.

2006-08-11  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/FolderExport.cs: Add UTF-8 encoding and locale meta data to exported
	HTML pages to support non-ASCII and RTL languages.  Patch by
	Thomas Paris and Jean-Christophe Dubacq. Fixes BGO #329685.

2006-07-30  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: clean up the loupe a little more, calculate the
	bounds correctly and handle realize properly.

2006-07-28  Stephane Delcroix <stephane@delcroix.org>

	* src/GalleryExport.cs: Fix for #345217.

2006-07-26  Larry Ewing  <lewing@novell.com>

	* src/Db.cs: use version 3 as the default.

	* src/Loupe.cs: put some simple fallback wrappers around the
	gtk+-2.10 compositing stuff.

2006-07-26  Larry Ewing  <lewing@novell.com>

	* src/TagMenu.cs: pratch from Thomas Van Machelen to remove the
	duplicate escaping.  Fixes #345596.

	* src/GPhotoCamera.cs: return a null pixbuf for a zero length
	tumbnail for #348616.

	* libgphoto2-sharp/CameraFile.cs: make sure we don't try to copy
	empty thumbnail.  Possible fix for #348616.

2006-07-25  Larry Ewing  <lewing@novell.com>

	* src/FolderExport.cs: new fix from Stephane for #335935 and
	#348392 (which was caused by the orignal fix).

2006-07-20  Stephane Delcroix <stephane@delcroix.org>
 
 	* src/DateCommands.cs:
 	* src/PhotoStore.cs: fix b.g.o. #344314
 
2006-07-20  Stephane Delcroix <stephane@delcroix.org>
 
 	* src/MainWindow.cs: Add a test for empty query.Range. 
 	fix b.g.o. #348102
 
2006-07-20  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: clean up string.

2006-07-19  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: listen to changes in the selection items and
	update the infobox.  Mark items changed when creating versions.

	* src/GalleryExport.cs: patch from Thomas Van Machelen for bgo
	#346489.

2006-07-19  Stephane Delcroix <stephane@delcroix.org>
 
 	* src/PrintDialog.cs: fixing b.g.o. #345962

	* src/GalleryExport.cs: fix b.g.o. 345598

2006-07-19  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: patch from Thomas Van Machelen to fix #345588.
	
	* src/MainWindow.cs: redraw the icon_view if the tag db changes
	(add/remove/delete) and update the tag entry for the same events.
	Fixes #345432.

	* src/FolderExport.cs: Patch from Stephane Delcroix to fix bgo
	#335935.

2006-07-18  Larry Ewing  <lewing@novell.com>

	* src/SingleView.cs: listen to change events on the collection.

	* src/FileImportBackend.cs: fix up the tracking of imported
	files.  Only remove files we copied.

	* src/Loupe.cs: start fixing rotation.

	* src/Vector.cs: simple vector class.

	* src/Makefile.am: add Vector.cs

	* src/PixbufUtils.cs: null terminate the save args.

	* src/main.cs: stop startup notification if we contact a running
	instance.

2006-07-12  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: patch from Gonzalo to make f-spot work with
	mono head.

2006-06-14  Larry Ewing  <lewing@novell.com>

	* src/IthmbDb.cs: update the entries drop the db loader for now.

	* src/TimeAdaptor.cs: commit patch from Thomas Van Machelen to fix
	344750.

	* src/JpegHeader.cs: add function to guess jpeg quality based on
	dqt values, based on code from jpegdump utility by Allan
	N. Hessenflow.  Used with permission.

	* AUTHORS: add note about quality code.

2006-06-13  Stephane Delcroix <stephane@delcroix.org>

	* src/TimeDialog.cs: one line to fix #340897, #340895 and #340908

2006-06-09  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: fix bogus merge.

	* src/HigMessagesDialog.cs: add new classes to start cleaning up
	the exception dialogs.

	* src/ImportCommand.cs: Call creat tag with info.

	* src/JpegFile.cs: handle exceptions in the description code.

	* src/Tiff.cs: allow zero lenght UserComments.

	* src/PhotoPopup.cs: handle more dialog issues.

	* src/MainWindow.cs: use the new exception dialog.

	* src/PhotoView.cs: use the new exception dialog.
	
	* src/main.cs: initialize translations in screensaver mode.

	* src/Db.cs: fix the time round trip calculation but still revert
	to the old time functions until an updater is ready.

2006-06-08  Jakub Friedl  <jfriedl@suse.cz>

	* src/GalleryExport.cs: Fixed a typo: acocunt->account

2006-06-06 Bengt Thuree <bengt@thuree.com>
 
	* src/InfoBox.cs: Display time as local time. Fixes #343970

2006-06-06  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: typo fix from Bengt for #34974.

	* src/Updater.cs:
	* src/TagStore.cs: Patch from Jean-Christophe Dubacq for #337347

	* src/Exif.cs: don't copy if the array is zero length.

	* src/ImportCommand.cs: do the import in an idle loop.

	* src/Loupe.cs: handle exceptions in the Sharpener.

	* src/MainWindow.cs: handle more exceptions.

	* src/AsyncPixbufLoader.cs: catch general exceptions durring I/O.

	* src/FolderExport.cs: work around a bug in filechooserbutton
	where destroyed but not finalized buttons could crash on
	filesystem change events.

	* src/MainWindow.cs: make sure the fullscreen view is valid before
	adding the item to the selection.

	* src/GalleryExport.cs: use the right path function.

	* src/GalleryExport.cs: remove remove button add edit button.

	* src/f-spot.glade: add edit button.
	
	* src/main.cs: you get the idea.

	* src/Db.cs: rework the dbus startup handling.

	* src/Core.cs: rework the startup handling.

	* src/SlideView.cs: add expose processing from stable.

	* src/FileImportBackend.cs: merge the duplicate patch from stable.

	* src/Tiff.cs: avoid looping in the tiff directory loader.

2006-05-31  Stephane Delcroix <stephane@delcroix.org>

	* src/DirectoryAdaptor.cs:
	* src/GroupAdaptor.cs: 
	* src/GroupSelector.cs:
	* src/MainWindow.cs:
	* src/TimeAdaptor.cs: Clean up the date range setting and
	display.  Update the timeline date range display to reflect the
	current range.
	
2006-06-06  Larry Ewing  <lewing@novell.com>

	* src/PreviewPopup.cs: commit patch from Loz for 153023.

2006-05-31  Stephane Delcroix <stephane@delcroix.org>
 
  	* src/MainWindow.cs: invert some lines to add the ", " when
	starting Tag Typing
	
2006-06-05  Larry Ewing  <lewing@novell.com>

	* src/Db.cs: fix the time_t to DateTime function... ouch.

	* src/JpegFile.cs: fix the description extraction logic.

2006-05-04  Arangel Angov <arangel@linux.net.mk>

	* configure.in: Added 'mk.po' to ALL_LINGUAS

2006-05-24  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: fix silly cut & paste error in Description code.

	* src/MainWindow.cs: add method to get the proper toplevel window.

	* src/PhotoPopup.cs: keep track of the creator widget.

	* src/PhotoView.cs: pass the toplevel.

	* src/FullScreenView.cs: pass the toplevel.

	* src/QueryView.cs: pass the toplevel.

	* src/ImportCommand.cs: fix cancelation in the import process
	fixes all sorts of problems.

	* src/ColorDialog.cs: handle errors while adjusting colors with a
	little bit of grace.

	* src/f-spot.glade: rename the vbox now that we are using it.

2006-05-23  Larry Ewing  <lewing@novell.com>

	* src/InfoDisplay.cs: catch exceptions in the info display dialog.

	* src/FormClient.cs: fix bgo 64777 and use the default proxy.

2006-05-19  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: trap any errors while trying to edit an image.

	* src/Util.cs: new method for safely encoding path urls.

	* src/MainWindow.cs: handle errors when writing out metadata,
	encode mailto: urls with the proper encoding routine.

	* src/CDExport.cs: Handle errors while uploading more gracefully
	and avoid threading problems.

	* src/Preferences.cs: Add key for gnome-screensaver mode.

	* src/PrefercenceDialog.ce: set the gnome-screensaver mode as
	well.

2006-05-17  Larry Ewing  <lewing@novell.com>

	* src/IconView.cs: handle keypresses when no items exist.

2006-05-16  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: trap exceptions when syncing metadata.

2006-05-14  Larry Ewing  <lewing@novell.com>

	* src/FileImportBackend.cs: fix a bug in the directory cleanup
	code so that it doesn't die horribly in the gphoto import case.
	Fixes 326860.

2006-05-08  Nat Friedman  <nat@novell.com>

	* src/Accelerometer.cs: Make this more sensitive so that it works
	on the X60.   This is yucky.

2006-05-05  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: fix the dll import line.

2006-05-03  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: handle errors while loading the query, show a
	dialog telling where we moved the old db.  Fixes bnc #161671.

	* src/Db.cs: move the broken db out of the way.

2006-05-01  Larry Ewing  <lewing@novell.com>

	* src/GalleryExport.cs: add an action to let the user remove
	gallery entries.  Based on a patch from Chad Files.  Fixes
	#334710.

 	* src/FormClient.cs: use the default proxy in FormClient, patch
 	from Ivan N. Zlatev.  Fixes #316752.

2006-04-26  Larry Ewing  <lewing@novell.com>

	* src/FolderExport.cs: a patch from Stephane Delcroix to make the
	folder export dialog respect the open setting.  Fixes 339080.

2006-04-26  Nat Friedman  <nat@novell.com>

	* src/PhotoImageView.cs: reload the image on orientaion change
	events.

	* src/AsyncPixbufLoader.cs: use the orientation of from the
	accelerometer to adjust the orientation of the image while loading
	it.

	* src/Accelerometer.cs: listen to information from the hdaps
	accelerometer and convert and provide events when the orientation
	changes.

	* src/Makefile.am: add Accelerometer.cs to the build.
	
2006-04-25  Larry Ewing  <lewing@novell.com>

	* f-spot: Commit three of the four patches by Tom McLaughlin from 
	from the freebsd ports.  Leave out the exec -a change for now.
	
2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove more cruft.
	* po/no.po: Same.

2006-03-25  Larry Ewing  <lewing@novell.com>

	* icons/Makefile.am (noinst_DATA): remove f-spot-find and
	f-spot-find-light from the build until jimmac commits them.

	* src/JpegHeader.cs: start handing short reads properly.

	* src/ThumbnailGenerator.cs: use the gnome-vfs mtime foo.

2006-03-25  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-events.png
	* icons/f-spot-logo.png
	* icons/f-spot-other.png
	* icons/f-spot-rotate-270.png
	* icons/f-spot-rotate-90.png: bring more inline with the Tango
		style guidelines.

2006-03-24  Larry Ewing  <lewing@novell.com>

	* src/DirectoryCollection.cs: add initial support for other
	streams formats.
	
	* src/DirectoryCollection.cs: add a simple parser for photo
	streams.

2006-03-23  Larry Ewing  <lewing@novell.com>

	* src/SingleView.cs: add a UriList constructor.

	* src/Core.cs: pass a UriList to SingleView and create UriList
	from the string passed to view (dbus # sucks).

	* src/FileImportBackend.cs: request by uri not local path.

	* src/main.cs: use UriList to build the list of uris from the
	command line.

	* src/Util.cs: extend the UriList class to be more useful.

2006-03-22  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: fix the Unicode string marker. Fixes #333643.

2006-03-22  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: use more the tiff loader rather than libexif
	for loading most fields.

i2006-03-22  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: use uri.

	* src/PhotoLoader.cs: use uri.

	* src/PhotoStore.cs: fix DefaultVersionUri.

	* src/JpegFile.cs: use the header method to get the ExifData.

	* src/InfoDisplay.cs: try to save a little spaceby making the
	lables small.

	* src/TagView.cs: use IBrowsableItem rather than Photo.

	* src/PhotoArray.cs: add a set method to the indexer.

	* src/MainWindow.cs: create the PhotoView properly.

	* src/PhotoView.cs: use Query.Commit not store_commit when
	changing the photo.

	* src/PhotoStore.cs: remove Trim calls.

	* src/InfoDisplay.cs: only use libexif on local files right now.

	* src/Preferences.cs: add proxy loader.

	* src/ThumbnailGenerator.cs: write invalid thumbnails for remote
	images for now.

	* src/PhotoLoader.cs:
	* src/IconView.cs: request thumbnails via uri.

	* src/SlideView.cs: clean up the cursor creation, don't pinvoke.

	* src/AsyncPixbufLoader.cs: use the thumbnial loader overloads.

	* src/PixbufLoader.cs: add uri overloads.

	* src/PhotoView.cs: update the description etc, even if the photo
	isn't the one you expect, handle null entries and only read the
	entry once.

	* src/Tiff.cs: fall back to open on PixbufStream;

	* src/Ciff.cs: remove the custom load implmentation.

	* src/ImageFile.cs: make Load use PixbufStream.

	* src/DirectoryCollection.cs: handle errors reading the description.

	* src/Global.cs: set the style all over.

	* src/PhotoImageView.cs: clean up the error pixbuf setting a
	little.

	* src/PhotoView.cs: make the store and IBrowsableItem.

	* src/Ciff.cs: fix ciff ctor to take uris.

	* src/DirectoryCollection.cs: Add UriCollection, rework to store
	uris not paths.

	*  AsyncPixbufLoader.cs:
	*  Ciff.cs:
	*  ColorDialog.cs:
	*  Core.cs:
	*  DCRawFile.cs:
	*  DirectoryCollection.cs:
	*  FileImportBackend.cs:
	*  FotkiRemote.cs:
	*  GalleryExport.cs:
	*  GalleryRemote.cs:
	*  ImageFile.cs:
	*  InfoBox.cs:
	*  InfoDisplay.CS:
	*  JpegFile.cs:
	*  JpegHeader.cs:
	*  MainWindow.cs:
	*  MrwFile.cs:
	*  PhotoLoader.cs:
	*  PhotoStore.cs:
	*  PixbufLoader.cs:
	*  PngFile.cs:
	*  PnmFile.cs:
	*  PrintDialog.cs:
	*  RafFile.cs:
	*  SingleView.cs:
	*  SvgFile.cs:
	*  ThumbnailGenerator.cs:
	*  Tiff.cs:
	*  X3fFile.cs:  Use uri's instead of paths where ever possible,
	add methods on imagefile to reopen the base stream when need and
	use those everywhere.

2006-03-22  Gabriel Burt <gabriel.burt@gmail.com>

	* f-spot.desktop.in.in: Fix Photography category, from Vincent Fretin,
	fixes bgo #335385.

2006-03-21  Larry Ewing  <lewing@novell.com>

	* src/PhotoStore.cs: remove thumbnails when removing.

2006-03-18  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: modify the colors on style changes as well.

	* src/IconView.cs: Set the background on the gdk window as well.

2006-03-17  Larry Ewing  <lewing@novell.com>

	* src/PhotoTagMenu.cs:
	* src/TagCommands.cs
	* src/TagMenu.cs: rename TagItem to TagMenuItem so that themes
	pick it up better.  Fixes #334949.

	* src/IconView.cs: fix the drawing code to set the bg properly and
	only draw the bg if needed.

	* src/Global.cs: swap more colors.

2006-03-16  Larry Ewing  <lewing@novell.com>

	* src/Preferences.cs: add a Proxy method to 

	* src/GalleryExport.cs: Fix for #334706 based on a patch from
	Ivan N. Zlatev.

	* src/FormClient.cs: Add some credential parsing to the uri and
	fix the boundry function.

	* src/AsyncPixbufLoader.cs: Patch from Daniel Drake to fix
	#170311.

	* src/GalleryExport.cs: show an error if the scheme isn't http
	based (based on a patch from  Ivan N. Zlatev fixes #334805).
	Clean up mono.posix namespace issues.

	* src/PhotoView.cs: remove deprecated namespace for the catalog.

2006-03-15  Larry Ewing  <lewing@novell.com>

	* src/ExceptionDialog.cs: fix the resizing logic so that you
	aren't stuck with a tiny box.

	* src/FileImportBackend.cs: another patch from James Fitzsimons to
	clean up directories we are not using upon cancel.  Fixes #334584.

2006-03-13  Larry Ewing  <lewing@novell.com>

	* src/ImportCommand.cs: commit patch from James Fitzsimons to fix
	the copy setting properly.

	* configure.in: bump the version number to 0.1.11.

	* NEWS: update for 0.1.11 release.

2006-03-12  Larry Ewing  <lewing@novell.com>

	* src/ImportCommand.cs: catch import exceptions and stop stepping
	if we receive one.  Don't scan drives as ipods unless they are of
	the right (this helps speed up the initial opening).

	* src/FileImportBackend.cs: make the exceptions that we throw for
	strange cases into ImportExceptions.

	* src/ImportCommand.cs: handle settings changes while the dialog
	is still running.

	* src/ImportCommand.cs: fix the cancelation logic a bit.

	* po/POTFILES.in: add missing files.

2006-03-10  Larry Ewing  <lewing@novell.com>

	* src/ImportCommand.cs: fix accidental commit.

2006-03-08  Larry Ewing  <lewing@novell.com>

	* src/Db.cs: add an encoding string to the connection line for
	verison 2 files.  Should fix bgo #333644 and bxc #77711.

	* src/ImportCommand.cs: remove PhotoFGride from the file.

	* src/PhotoGrid.cs: new file, moving the import photogrid to it's
	own file.

	* src/ImportCommand.cs: use the camera count not the source count
	when deciding to remove the usb entry. Fixes #324752.

2006-03-07  Larry Ewing  <lewing@novell.com>

	* src/GroupSelector.cs: protect the various logic from zero
	counts. Fixes #333745.

	* src/Db.cs: add a small check to check the db version and load
	the right one.

	* src/OpenWithMenu.cs: use variable.

	* src/PhotoStore.cs: rework Aaron's description patch to fix
	importing.

2006-03-06  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: Patch from James Ftizsimons to fix #333671.

2006-03-01  Amanrpeet Singh Alam <apbrar@gmail.com>

	* configure.in: pa (Punjabi) language is added to ALL_LINGUASS

2006-03-01  Gabriel Burt <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Change the tag selection button press handler
	so it's doesn't ConnectBefore the default handler, giving the popup
	the benefit of knowing what is now selected/unselected.

	* src/TagPopup.cs: Fix bugs in when the Edit/Delete/Attach/Unattach
	menu items were sensitive.

	* src/TagSelectionWidget.cs: Override the default ButtonPressEvent
	handler, calling the default handler then returning *false* instead of
	true so others can listen for the event and handle it after us.

	* src/MetaStore.cs: Add check null when loading the data column.

2006-03-01  Larry Ewing  <lewing@novell.com>

	* src/SlideView.cs: catch exceptions while loading the photo and
	return null instead.

	* src/OpenWithMenu.cs: copy the MimeApplications to work around a
	bug in the Gnome.Vfs bindings. Fixes #332949

2006-03-01  Gabriel Burt <gabriel.burt@gmail.com>

	* src/MainWindow.cs: When a new tag is created, scroll to it.

	* src/TagSelectionWidget.cs: Add ScrollTo (Tag) method. Fix the code
	that was supposed to expand any parent tags to show new tags.

	* src/ImportCommand.cs: New Tag stuff moved to TagMenu.  Select a new
	tag when it's made.

	* src/MainWindow.cs: Add New Tag option to the Attach menu. New
	handler for creating new tag and attaching it.

	* src/PhotoPopup.cs: Add New Tag option via TagMenu.

	* src/TagMenu.cs: Add property for NewTagHandler which if set causes a
	new tag option to be put into the tag menu. Fix bug in GetPosition
	method.

	* src/f-spot.in: allow both --debug and --uninstalled at the same time
	in any order.

2006-02-28  Gabriel Burt <gabriel.burt@gmail.com>

	* src/f-spot.in: add --uninstalled option.

	* src/TagCommands.cs: return the created tag instead of a bool.

	* src/TagSelectionWidget.cs: Make TagHighlight a get/set property.

	* src/MainWindow.cs: after creating a new tag, highlight it.  Use the
	new TagHighlight property.

2006-02-28  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: set the orientation to TopLeft when saving the
	image.  Fixes #332934

2006-02-26  Larry Ewing  <lewing@novell.com>

	* src/main.cs: use the new exception dialog.

	* src/ExceptionDialog.cs: borrow the exception dialog from banshee.

	* src/PixbufUtils.cs: fix the success logic.

	* libfspot/f-screen-utils.c (bchswSampler): fix the contrast
	function.

2006-02-25  Larry Ewing  <lewing@novell.com>

	* src/QueryView.cs: 
	* src/PhotoView.cs: handle OnPopupMenu.

	* src/PhotoPopup.cs: handle a null event.

	* src/MainWindow.cs: handle OnPopupMenu for tag selection widget.

	* src/GroupSelector.cs: add OnPopupMenu handler (doesn't work yet).

	* src/f-spot.glade: remove accidentally committed patch.

	* src/TagPopup.cs: handle a null event.

	* src/f-spot.in (EXE_TO_RUN): remove the ability to run f-spot
	without installing it.

	* src/f-spot.glade: remove focus from hidden widget. fixes #332146

	* src/PixbufUtils.cs: distinguish the the errors we might get
	while saving.

	* src/PhotoView.cs: handle exceptions in the color adjuments.

2006-02-24  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: return an empty string not a null string.

	* src/PhotoView.cs: fix the tag view themeing.

	* src/ImportCommand.cs: commit patch from Bengt to use the Global
	home setting.  Fixes #332257

	* src/Loupe.cs: clean up the destruction handling.

	* src/SlideView.cs: attach the style to the foreign window.

	* src/Tiff.cs: if the length is zero treat it as empty.
	If the length is 0 > < 8 throw an exceptio.
	
2006-02-24  Gabriel Burt <gabriel.burt@gmail.com>

	* src/f-spot.in: If the user passes --debug, send it on to mono.

2006-02-24  Larry Ewing  <lewing@novell.com>
	
	* src/Tiff.cs: add UserComment method to extract the data.

	* src/JpegFile.cs: support unicode comments by bypassing libexif.

	* src/FlickrRemote.cs: use UrlShow.

	* src/FolderExport.cs: UrlShow does the hard work now.

	* src/Util.cs: make UrlShow () operate in the main thread.

	* src/FlickrExport.cs: pass the dialog.

2006-02-23  Gabriel Burt <gabriel.burt@gmail.com>

	* src/ImportCommand.cs: optimize loading the import dialog.

2006-02-22  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: don't print the pixbuf loader close
	exception we get sometimes if not enough data has been written,
	it is harmless.

	* src/InfoBox.cs: use the Photo.Time not the metadata time here to
	be consistant.

	* src/InfoBox.cs: update the infobox in an idle handler.

2006-02-22  Gabriel Burt <gabriel.burt@gmail.com>

	* src/MainWindow.cs: improve bengt/Larry's patch to fix #332015.
	
2006-02-21  Larry Ewing  <lewing@novell.com>

	* src/Core.cs: clean up the error message.
	
	* src/Core.cs: handle missing photos by displaying an error
	message.

	* src/MainWindow.cs: patch form bengt to fix #332015.

	* src/SlideView.cs: patch from bengt to fix #332018.

2006-02-21  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-02-21  Larry Ewing  <lewing@novell.com>

	* src/PhotoStore.cs: add a new comparer.

	* src/PhotoArray.cs: add a sort method.

	* src/MainWindow.cs: sort the collection before we pass it along.

	* src/TimeDialog.cs: remove the sort

	* src/TimeDialog.cs: fix the timezone handling so that everything
	agrees.  Fix the photo spacing command.

	* src/MainWindow.cs: reload the images if we've adjusted the
	times.

	* src/PhotoStore.cs: set the jpeg time in localtime.

	* src/InfoBox.cs: photo.Time is Utc.

	* src/JpegFile.cs: revert an accidental change.

	* src/IconView.cs: convert times to LocalTime.

	* src/Ciff.cs:
	* src/JpegFile.cs:
	* src/MrwFile.cs: comvert to UniversalTime.

	* src/Tiff.cs: convert Date to UniversalTime.  Remove cr2 date
	override.

2006-02-20  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: update tag entry when a tag is edited. fixes
	#329683
	
	* src/PreferenceDialog.cs: make sure we handle a null value.

	* src/Core.cs: add a register call back into the slideview.

	* src/PhotoImageView.cs: handle the loupe destroy case properly.

	* src/GalleryExport.cs: handle a bad gallery url. fixes #326575.
	Also avoid trying to load the accounts if they don't exist.

	* src/FlickrExport.cs: mark the message for translation.
	
2006-02-13  Gabriel Burt <gabriel.burt@gmail.com>

	* src/f-spot.glade: Change "Arranged" to "Arrange" in the View menu.
	Add Reverse Order check item to the View menu.  Change "Directory" to
	"Folder".

	* src/GroupSelector.cs: Improve upon Thomas' patch by adding the ability
	to switch from Month to Directory in the context menu, and add Reverse
	Order checkbox to the View menu.  Make the context menu reverse order
	items a checkbox too.

	* src/MainWindow.cs: Update HandleArrange handlers and add
	HandleReverseOrder function, make them public so they can be used
	by the context menu produced in GroupSelector.

2006-02-13  Thomas Van Machelen  <thomas.vanmachelen@gmail.com>
 
	* src/GroupAdaptor.cs
	* src/DirectoryAdaptor.cs
	* src/TimeAdaptor.cs: Added OrderAscending property to allow different
	sorting. Added PhotoFromIndex method.

	* src/GroupSelector.cs: Added property to retrieve current glass
	position.  Added dropdown menu to change sort order. Fixes BGO
	#321260.

	* src/MainWindow.cs: Added loading and saving of new preferences,
	remove ICON_VIEW_POSITION preference. Handle reverse order command.

	* src/Preferences.cs: Added three new preferences that store
	the active adaptor, the glass position and the sort order.

	* src/Util.cs: Add method to create dropdown menu's with check
	menu items.

	* src/f-spot.glade: Set the default adaptor button to the
	'month' button.
 
2006-02-20  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: fix #331358

	* src/SlideView.cs: clean up the creation function, make play a
	noop if there are no photos. Don't dispose null values.

	* src/Core.cs: start slideshow in idle function so that the
	AsyncLoader starts inside the mainloop.

	* tools/Makefile.am: add f-spot-import to the build.

	* tools/f-spot-import: add script to launch f-spot import based on
	hal id.  This will eventually be replaced by some hal logic in the
	app.

	* src/f-spot.glade: add cancel button to f-spot.glade fixes #324903.

2006-02-19  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: avoid a bug in gtk# and catch null handles.

	* src/SlideView.cs: make slideview work when run standalone.

2006-02-18  Larry Ewing  <lewing@novell.com>

	* src/JpegHeader.cs: wrap streams in using statements.

	* src/ImageFile.cs: dispose the temp pixbuf properly.

	* src/PixbufUtils.cs: make AspectLoader a wrapper around
	Pixbufloader and explicitly dispose the Loader once things are
	loaded.

2006-02-17  Larry Ewing  <lewing@novell.com>

	* src/InfoBox.cs: remove debug output.

	* src/Tiff.cs: silence some debug output.

	* src/PreferenceDialog.cs: add button to set f-spot as the
	gnome-screensaver theme.  Set the optionmenu history to the
	currently selected tag.

	* src/Preferences.cs: add key for gnome-screensaver theme and
	watch gnome-screensaver theme key for changes.

	* src/TagMenu.cs: add method for getting the position of a tag.

	* src/f-spot.glade: add button clean up text.

	* src/Preferences.cs: remove invalid cast when getting default.

	* src/Core.cs: use random sort.

	* src/PhotoStore.cs: add a random sort.

	* src/FlickrRemote.cs: add quotes around tags to handle multuword
	tags better.

	* tools/Makefile.am: add screensaver wrappers for
	gnomescreensaver.

	* tools/f-spot-screensaver.desktop.in: screensaver theme wrapper.

	* configure.in: add some crufty checks to try to figure out the
	gnome-screensaver paths.
	
	* src/Core.cs: remove debug output.

	* src/JpegHeader.cs: remove debug output.

	* src/main.cs: add command line option.
	
	* src/f-spot.glade: add tag option menu.

	* src/TagStore.cs: add method to GetTagById.
	
	* src/PreferenceDialog.cs: allow the user to pick a tag for
	screensaver mode.
	
	* src/Preferences.cs: save a preference for the screensaver tag
	id.
	
	* src/Core.cs: add ShowSlides method, don't expose it over dbus
	for now.
	
	* src/SlideView.cs: Add new widget operate in foreign windows for
	screensaver mode.  Be more forgiving about slow frames, only
	disable the animation if multiple frames are slow in a row.

	* src/MainWindow.cs: remove FSpot.Mail namespace reference.

	* src/Makefile.am (F_SPOT_CSDISTFILES): remove Mail/* from the
	build, it wasn't being used anywhere.

2006-02-14  Larry Ewing  <lewing@novell.com>

	* src/PhotoArray.cs: clean up the implmentation a little.

	* src/DirectoryCollection.cs: make FileCollection a subclass of
	PhotoList since they did the same thing.

	* src/PhotoArray.cs: add missing methods from FileCollection to
	PhotoList.

	* src/SingleView.cs: combine Open and OpenFolder into a single
	function.

2006-02-14  Gabriel Burt <gabriel.burt@gmail.com>

	* src/ImportCommand.cs: Make the import source selector menu not
	trigger unless you actually activate an option.

2006-02-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2006-02-13  Larry Ewing  <lewing@novell.com>

	* src/SingleView.cs: destroy the chooser when done.

	* src/f-spot.glade: add open folder and new window commands.

	* src/DirectoryCollection.cs: handle setting the path with a
	little more grace.

	* src/SingleView.cs: implement HandleOpen and HandleOpenFolder.

	* src/IOChannel.cs: fix the debug condition.

	* src/DirectoryCollection.cs: use and array list rather than an
	array.

	* src/PhotoView.cs: add tips to the grayscale and sepia buttons.

	* src/f-spot.glade: remove a bunch of unused menu items.
	
	* src/MainWindow.cs: expose HandleAbout to the public.

	* src/SingleView.cs: handle about dialog.

	* src/ImportCommand.cs: clean up formatting.

	* src/f-spot.glade: give the infobox a little more room.

	* src/TagMenu.cs: don't modify the list while iterating.

	* src/VfsExport.cs: remove VfsExport.cs from the repo.

	* po/POTFILES.in: remove VfsExport.cs is is no longer valid.

	* src/MainWindow.cs: remove method that accidentally got committed.

	* src/MainWindow.cs: update the year.

2006-02-13  Gabriel Burt <gabriel.burt@gmail.com>

	* src/Updater.cs: Repair dangling tags created by removing the Other
	tag. Fix another bug in the Other tag removal code.

	* src/OpenWithMenu.cs: Add an insensitive menu item saying there are
	no applciations available as appropriate.

2006-02-13  Larry Ewing  <lewing@novell.com>

	* src/OpenWithMenu.cs: fix a couple of cases of modifying the
	container while iterating.

2006-02-12  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: don't start up the import dialog with a path selected.

	* src/Preferences.cs: add the privacy options for flickr.

	* src/FlickrExport.cs: clean up the message text for the various states, handle exceptions
	in TryWebLogin.  Store the privacy settingings in gconf.

	* src/f-spot.glade: clean up flicker export message text.

	* src/PngFile.cs: remove unused variable.

	* src/Updater.cs: fix the bug I introduced.

	* src/Updater.cs: don't remove the Other tag if it has child
	tags. Patch from Ruben Vermeersch.

	* src/PhotoVersionCommands.cs: remember to save the file before
	committing it.

	* src/PhotoVersionCommands.cs: commit Bengt's patch from #142806.

	* src/ThreadProgressDialog.cs: clamp the fraction value.

	* src/GalleryExport.cs: clean up the exception case slightly.

	* src/FlickrExport.cs: Clean up the authorization and logout code
	so that it follows the flickr model a little better.

2006-02-11  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: add permissions to the export dialog.

	* src/FlickrExport.cs: add permissions to the dialog.
	
	* src/FlickrRemote.cs: set the permissions on the photo durring
	upload.

	* src/MetadataStore.cs: only create add keywords if there are
	some.

2006-02-10  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: fix crop to handle images with alpha.

	* src/ImageFile.cs: throw not implemented on calls to Save.

	* src/JpegFile.cs: use the exifData property.

	* src/PngFile.cs: fix ImageFile.Save for png.  Refactor Png to contain
	PngHeader.

	* src/PhotoStore.cs: use ImageFile.Save when saveing a version.

	* src/f-spot.in (libdir): add the FlickrNet path to the MONO_PATH
	when running the uninstalled version.

	* src/ImportCommand.cs: small cleanups.

	* src/FlickrRemote.cs: expose the Auth token to the caller.

	* src/FlickrExport.cs: start reworking the auth checking code for
	flickr.

	* src/OpenWithMenu.cs: make try to load icons if enabled.

	* src/FlickrExport.cs: hook up the metadata check.

	* src/FlickrRemote.cs: add support for striping metadata when
	exporting to flickr.

2006-02-10  Gabriel Burt <gabriel.burt@gmail.com>

	* src/TagSelectionWidget.cs: Revert back to sucky layout because
	putting all the CellRenderers in one column made it so you couldn't
	check the checkbox without having the tag selected first. Ugh.

2006-02-09  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: set the image height so the dialog doesn't
	resize.

	* src/main.cs: create a new program before making the dbus calls.
	Something somewhere isn't getting itialized properly otherwise and
	this avoids the problem.

	* src/f-spot.in (libdir): use exec -a when lauching mono.

	* src/main.cs: set the process name using prctl based on Aaron's
	snippet.

2006-02-08  Larry Ewing  <lewing@novell.com>

	* src/IconView.cs: add a hack to suppress scrolling if the size
	change is because of a collection change.

	* src/IBrowsableItem.cs: don't reload the image if the old and new
	index are the same and valid.

	* src/Makefile.am: add f-spot-adjust-colors.png as a resource.

	* src/PhotoView.cs: add use f-spot-adjust-colors.png

	* src/StockIcons.cs: add f-spot-adjust-colors.png

	* icons/Makefile.am: add f-spot-adjust-colors.png

	* src/OpenWithMenu.cs: try to clean up the icon loading a bit.

2006-02-09  Gabriel Burt <gabriel.burt@gmail.com>

	* NEWS: added some things for the next release.

	* README: update dependency versions, remove warning.

2006-02-08  Gabriel Burt <gabriel.burt@gmail.com>

	* po/POTFILES.in: Added new file Updater.cs

	* src/Core.cs: intitialize the Db within the Core, provide static
	method for accessing the Db object.

	* src/Db.cs: Add MetaStore property and run the Database.Updater upon
	initialization.
	
	* src/Makefile.am: Add Updater.cs and MetaStore.cs

	* src/MetaStore.cs: Add new database table that is just a key/value
	hash that keeps track of things like what tag id corresponds to the
	Hidden tag, and what version of the database and F-Spot produced the
	database.

	* src/ProgressDialog.cs: Add option for no cancel button, give access
	to the progress bar and message label via properties

	* src/TagStore.cs: Translate default tag names (BGO #170545), utilize
	MetaStore for keeping track of the Hidden tag instead of string
	matching. Remove the silly 'Other' tag.

	* src/Updater.cs: New file, upon start up checks if the database is
	the most current version, and if not it updates it (BGO #329146). The
	only update it currently does is remove empty 'Other' tags.
	
	* src/main.cs: Move the Db initialization code into Core.cs

2006-02-08  Gabriel Burt <gabriel.burt@gmail.com>

	* src/TagSelectionWidget.cs: Put the checkbox, icon, and name into a
	single column so that all tag names, even when in different
	hierarchies, aren't aligned.  Makes the Tag list much nicer. Fixes
	BGO #329401.

2006-02-08  Gabriel Burt <gabriel.burt@gmail.com>

	* po/POTFILES.in: Add OpenWithMenu.cs and VfsExport.cs

	* src/MainWindow.cs: Add handler for 'open with' command that takes
	the MimeApplication and opens it with the selected photos, making
	copies of them first if desired.

	* src/Makefile.am: Add OpenWithMenu.cs

	* src/OpenWithMenu.cs: New file that creates the submenu of an Open
	With menu, filling it with the applications appropriate to a
	combination of mimetypes passed in.  All Open With code based
	on a patch by Loz (gnome2@flower.powernet.co.uk).

	* src/PhotoPopup.cs: Add 'Open With' menu to the photo popup menu (BGO
	#156506).

	* src/PhotoStore.cs: New create new version method.

2006-02-05  Larry Ewing  <lewing@novell.com>

	* src/Preferences.cs: add flickr token path.

	* Makefile.am: add FlickrNet to the build.

	* configure.in: add FlickrNet to the build.

	* src/f-spot.glade: change dialog for flickr.net.

	* src/FlickrExport.cs: Update to use flickr.net (based on a patch from acs)

	* src/FlickrRemote.cs: Update to user flickr.net (based on a patch from acs).

	* FlickrNet/*: import Flickr.Net into the build.

	* f-spot-view.desktop.in (MimeType): add new mime types for the
	raw files.

2006-01-31  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: set the background on the TagView.

2006-01-30  Larry Ewing  <lewing@novell.com>

	* icons/Makefile.am (noinst_DATA): add f-spot-new-icon.png.

	* configure.in: bump version number for release.

	* src/PhotoArray.cs: fill in some missing methods.

	* src/DirectoryCollection.cs: add missing methods.

	* src/IOChannel.cs: dump unexpected status states to the console
	for now.

	* src/PhotoView.cs: remove unused variable.

	* src/JpegFile.cs: make sure the entry exists before trying to set
	it.

	* src/f-spot.glade: fix up the time dialog give the time menu item
	a name.

	* src/MainWindow.cs: set the adjust_time menu item sensitivity
	based on the selection.

	* src/TimeDialog.cs: fix the interval option and make the offset
	entry do something.  TimeSpan parsing still seems to be a mess.
	Hide the action frame if onlt one photo is selectd (should these
	just be insensive?)

2006-01-28  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: revert accidental change to f-spot.glade.

2006-01-28  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in(ALL_LINGUAS): Added pt_BR (Brazilian Portuguese).

2006-01-28  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-adjust-colors.png
	* icons/f-spot-crop.png
	* icons/f-spot-desaturate.png
	* icons/f-spot-new-tag.png
	* icons/f-spot-red-eye.png
	* icons/f-spot-sepia.png: the bottom toolbar is actually needing
		20x20px icons :/

	* icons/f-spot-question-mark.png: make this look less nasty.
	
2006-01-28  Jakub Steiner <jimmac@ximian.com>

	* icons/f-spot-browse.png
	* icons/f-spot-camera.png
	* icons/f-spot-crop.png
	* icons/f-spot-desaturate.png
	* icons/f-spot-edit-image.png
	* icons/f-spot-favorite.png
	* icons/f-spot-fullscreen.png
	* icons/f-spot-hidden.png
	* icons/f-spot-loading.png
	* icons/f-spot-new-tag.png
	* icons/f-spot-people.png
	* icons/f-spot-places.png
	* icons/f-spot-red-eye.png
	* icons/f-spot-sepia.png
	* icons/f-spot-slideshow.png: start applying tango style. make the
	effect icons more distinct

	* icons/f-spot-adjust-colors.png: this will be better for color
	adjust action instead of edit-image, please use.

2006-01-23  Gabriel Burt  <gabriel.burt@gmail.com>

	* icons/f-spot-new-tag.png:
	* src/Makefile.am:
	* src/StockIcons.cs: add new-tag icon.
	
	* src/ImportCommand.cs: Add a 'Create New Tag' option to the list of
	tags in the import dialog. Based on patch from Pasi Savolainen,
	psavo@iki.fi.

2006-01-23  Larry Ewing  <lewing@novell.com>

	* src/PhotoStore.cs: commit the photo time when updating the photo.

	* src/MetadataStore.cs: redo the logic.

	* src/PhotoStore.cs: call update instead of add.

	* src/XmpFile.cs: expose the store.

	* src/MetadataStore.cs: implement an update call that fixes up the
	list.

2006-01-22  Larry Ewing  <lewing@novell.com>

	* src/PngFile.cs: stop using makesafetemp for now.

	* src/JpegHeader.cs: add GetXmp method.

	* src/PhotoStore.cs: clean up the Xmp updating slightly, handle
	the png write support (this still needs massive refactoring).

	* src/PngFile.cs: fix write support for png files.

2006-01-22  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Db.cs:
	* src/ImportStore.cs:
	* src/PhotoStore.cs: Use long instead of uint for Unix dates to
	support dates before 1970. Patch by Fredrik Noring, noring@nocrew.org,
	and updated by Curtis Hovey.

2006-01-21  Gabriel Burt  <gabriel.burt@gmail.com>

	* f-spot.desktop.in.in:
	* f-spot-viewer.desktop.in: Add GNOME;GTK to Categories

2006-01-20  Larry Ewing  <lewing@novell.com>

	* src/PngFile.cs: clean up the Crc class for writing.

	* src/InfoDisplay.cs: add InfoDialog.

	* src/SingleView.cs: allow InfoDialogs for single views (these
	should really be in the side pane).

	* src/f-spot.glade: add menu entries for viewing metadata.

2005-01-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/SingleView.cs: remember last size, maximized state, and toolbar
	visibility.
	
	* src/Preferences.cs: add strings for new preferences.

2005-01-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Make rotate toolbar buttons sensitive to whether
	there are photo(s) selected.  Add tooltips to all toolbar buttons.
	
	* src/PhotoView.cs: Make redeye/crop buttons display tooltip that
	tells the user to first select an area on the photo if no selection
	has been made. Fix bug with the description_entry tooltip. Add label
	"Comment:" before the description entry.

	* src/TagSelectionWidget.cs: Fix bug that caused tree not to expand
	if the child added was the parent's first. Also, instead of refreshing
	and losing expansions when the TagSelection changes, simply queue a
	redraw.
	
	* src/f-spot.glade: Make the icon button in the edit tag dialog have
	normal relief so it's obvious it can be clicked, and add a tooltip.
	
	* src/MainWindow.cs:
	* src/IptcFile.cs: Fix typos caught by Clytie Siddall (#325578).

2006-01-16  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: remove stray can default setting that was
	triggering a critical warning.

	* src/ColorDialog.cs: fix the contrast setting.

	* src/StockIcons.cs: add new icons.
	
	* src/PhotoView.cs: add desaturate button and sepia button.

	* src/ColorDialog.cs: add sepia and desaturate buttons.

	* src/Makefile.am: add new icons to resources.

	* src/IOChannel.cs: revert warning change.

	* src/MainWindow.cs: silence warning.

	* src/IOChannel.cs: get rid of some warnings.

	* libfspot/f-pixbuf-unsharp.c: add start of an unsharp mask for
	the l channel.

	* src/Tiff.cs: remove some of the debug output.

	* configure.in: bump the version number.

	* src/main.cs: add some --help output.

2006-01-15  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: hide metadata export options until they
	actually do something.  Clean up the time dialog slightly.

	* src/TagSelectionWidget.cs: clean up a couple of calls that poked
	the mainwindow for no reason.

	* configure.in: bump the required versions for gtk-sharp and gtk.

2006-01-14  Larry Ewing  <lewing@novell.com>

	* src/PhotoStore.cs: don't start a transaction for single item
	commits.

2006-01-13  Larry Ewing  <lewing@novell.com>

	* src/ImportCommand.cs: fix typo.

	* src/RotateCommand.cs: use rename where appropriate.

	* src/JpegFile.cs: set the time on DateTimeOriginal.

	* src/MainWindow.cs: update TimeDialog construction.

	* src/f-spot.glade: update with new names and widgets.

	* src/PhotoStore.cs: add a new commit method that lets one pass
	the args (this should move to the opration interface).

	* src/Db.cs: add transactions to the stores (this is probably not
	a good idea).

	* src/TimeDialog.cs: make the dialog do something.  Account for
	the brokeness in Gnome.DateEdit.

	* src/PhotoImageView.cs: fix argument checking.

2006-01-11  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: clean up the FolderExport dialog a bit.

	* src/FolderExport.cs: fix Original comment file names.

	* src/FolderExport.cs: turn on remote source browsing, exporting
	to remote folders works now.

	* src/MainWindow.cs: create a new collection when passing it to
	the time dialog.

	* src/FolderExport.cs: use FileChooserButton rather than a simple
	entry to pick a folder.

	* src/f-spot.glade: remove the uri_entry from the FolderExport
	dialog, update the Time dialog.

	* src/TimeDialog.cs: update the time dialog.
	
	* src/FolderExport.cs: call show in the main thread, the command
	likes to make gtk calls.

2006-01-11  Frank Arnold  <farnold@cvs.gnome.org>

	* configure.in: Added "vi" to ALL_LINGUAS

2006-01-11  Larry Ewing  <lewing@novell.com>

	* src/IOChannel.cs: remove debug output.

	* src/MainWindow.cs: add the new dialog.

	* src/f-spot.glade: add the new dialog.

	* Makefile.am: add TimeDialog.cs.

	* src/TimeDialog.cs: update the time dialog.

2006-01-10  Larry Ewing  <lewing@novell.com>

	* src/TimeDialog.cs: start time dialog.

	* src/Tiff.cs: use the default ImageFile implmentation for sized
	loading.

	* src/ImageFile.cs: use the aspect loader on PixbufStream in the
	default Load (int, int) implementation.

	* src/PixbufUtils.cs: make the aspect loader load from streams
	also.

2006-01-09  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: fixup the dng metadata loading.

	* src/TagSelectionWidget.cs: disable the background color for categories.

	* src/Tiff.cs: use embedded jpegs to speed up the dng display.
	
	* src/Tiff.cs: Cleanup some of the output, convert
	ComponentsConfiguration to xmp.

	* src/PhotoView.cs: remove the explicit call to
	WriteMetadataToImage, let the commit update it.

	* src/Unix.cs: remove the errno stuff, the namespace changed in
	recent mono versions and we weren't using it anyway.

	* src/MainWindow.cs: sync the photo metadata using the
	ItemsChanged event on the store, not by hand.

2006-01-08  Larry Ewing  <lewing@novell.com>
Ti
	* src/Tiff.cs: Load ifd0 for the fastpath.

	* src/Scanning.cs: update the bindings a bit.

	* src/AsyncPixbufLoader.cs: tweak some values.

	* libeog/image-view.c (apply_brightness_and_contrast): increase
	the max zoom.

	* src/ImageView.cs: increase the max zoom.

	* src/ColorDialog.cs: fix the contrast defaults

	* src/f-spot.glade: show the constrast again.

	* libfspot/f-screen-utils.c (bchswSampler): add a contrast
	function.

2006-01-06  Larry Ewing  <lewing@novell.com>

	* src/FolderExport.cs: the comment file name, part of a patch from
	Scott Jones.

2006-01-05  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: redraw the window when the dialog is
	canceled.

	* src/MrwFile.cs: remove some of the debug output.

	* src/DCRawFile.cs: close stdin when opening the pipe.

	* src/IOChannel.cs: unref the handle when we close.

	* src/AsyncPixbufLoader.cs: close the stream if we are done with
	it. Shorten the delay. switch to the old read method.

	* src/Makefile.am (F_SPOT_CSDISTFILES): add InternalProcess and
	IOChannel to the build.

	* src/IOChannel.cs: wrap the watch stuff and use it for polling.

	* src/AsyncPixbufLoader.cs: use IOChannel.DataReady.

	* src/DCRawFile.cs: use InternalProcess.

	* src/IOChannel.cs: debug iochannel binding.

	* src/InternalProcess.cs: fix up g_spawn binding.

2006-01-04  Larry Ewing  <lewing@novell.com>

	* src/InternalProcess.cs: add gspawn binding.

	* src/IOChannel.cs: add iochannel binding.

2006-01-03  Larry Ewing  <lewing@novell.com>

	* src/Makefile.am (F_SPOT_CSDISTFILES): add X3fFile.cs

	* src/Ciff.cs: throw ImageFormatException.

	* src/ImageFile.cs: add foveon.  Andd new exception type.

	* src/X3fFile.cs: add X3f parser to the build.

2005-12-26  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: move back to the old loader until the
	loading bug has been resolved.

2005-12-24  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: move more completely to the async
	interface.

	* src/Scanning.cs: bind more of the interface.

	* src/FolderExport.cs: use a higher quality setting.  This should
	actually probably be tunable.

	* src/TipWindow.cs: set the name to "gtk-tooltips" so we can pick
	up more of the style settings.

	* src/DCRawFile.cs: make the stream disposable.

	* src/Loupe.cs: rework the style of the sharpen call.

2005-12-20  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>

	* src/f-spot.glade: add mnemonics and fix some capitalization errors.

2005-12-20  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: mark string as plural.

2005-12-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagView.cs: prevent infinite loop.

2005-12-18  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/Db.cs: add methods for starting, committing, and rolling
	back transactions.
	
	* src/GroupSelector.cs: Add tooltips to > and < buttons

	* src/MainWindow.cs: Keep find_untagged menu item in sync with the
	status of the query. Wrap attaching and unattaching tags to photos
	in transactions for big speedup. Provide static method for adding
	tooltips to widgets. Fix bugs in merging tags and popup the edit tag
	dialog on the surviving tag.
	
	* src/PhotoQuery.cs: Don't clear ranges when finding untagged photos.
	
	* src/PhotoStore.cs: Allow date range in find untagged query.
	
	* src/PhotoView.cs:
	* src/QueryDisplay.cs: Wrap TagView in EventBox for tooltips.
	
	* src/TagCommands.cs: Make text entry labels header case.
	
	* src/TagStore.cs: Add method for adding all the descendents of a
	category to an ArrayList.  Fix TagRemoveComparer logic.
	
	* src/TagView.cs: Set the parent EventBox's tooltip.
	
	* src/TimeAdaptor.cs: Separate SetLimits function for future use.
	
	* src/f-spot.glade: Add tooltips to zoom images and slider, import +
	button, make Find Untagged a CheckMenuItem.
	
	* src/GroupSelector.cs: Make the 'more' tooltips correct for
	different Adaptors.

2005-12-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/ImageView.cs: remove debug output.
	
	* src/InfoBox.cs: prevent display glitch where options in versions
	menu would appear gray.
	
	* src/PhotoVersionMenu.cs: change version options from CheckMenuItems
	to normal MenuItems, remove old cruft code, don't signal a versionId
	change if the current version is reselected.
	
	* src/TagMenu.cs: missed a underscore replacement, styled the code.

2005-12-16  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: clean up the debug output tweak the
	timing.

2005-12-16  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/InfoBox.cs: make file name entry not editable and make the
	version menu popup to the full width of the menu.
	
	* src/MainWindow.cs:
	* src/TagCommands.cs:
	* src/TagMenu.cs:
	* src/TagPopup.cs: make tag/file names with _'s display correctly.
	
	* f-spot-view.desktop.in: change title to "F-Spot Photo Viewer"

2005-12-15  Larry Ewing  <lewing@novell.com>

	* src/AsyncPixbufLoader.cs: make our own async io wrapper since
	the default on for mono doesn't work.  Add some hacks to avoid
	canceling running io but instead just flip to the next read.  Need
	massive cleanup. 

	* src/Tiff.cs: use RawPixbufStream.

	* src/DCRawFile.cs: move the command name up.

	* src/MrwFile.cs: use RawPixbufStream.

	* src/Ciff.cs: fallback to RawPixbufStream.

	* src/RafFile.cs: fallback to the RawPixbufStream.

	* src/AsyncPixbufLoader.cs: disable the thumbnail hack.

	* src/AsyncPixbufLoader.cs: handle more of the magic internally so
	we can be smarterer about it.

	* src/PhotoImageView.cs: move a bunch of the loading hacks into
	the async loader.

	* src/DCRawFile.cs: don't let dcraw flip the image, we'll do it.
	
	* src/DCRawFile.cs: wrap the output stream with a wrapper to keep
	it from being disposed prematurely.  Add a new method to provide a
	stream.

2005-12-12  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: Mark the selection changed when the view mode
	changes.

2005-12-09  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Update the sensitivity of the zoom menu items
	when the zoom changes.

	* src/SingleView.cs: Start syncing zoom state to menu items.
	
2005-12-11  Larry Ewing  <lewing@novell.com>

	* src/FolderExport.cs: fix up the comment files for the original
	export.

	* src/f-spot.glade: rename the preferences buttons so the dialog
	can show up again.

	* src/GalleryExport.cs: Patch from Ben Monnahan to allow and empty
	desctiption when creating a gallery and to select a newly created
	gallery by default.

2005-12-09  Gabriel Burt  <gabriel.burt@gmail.com>
	
	* libeog/image-view.c
	* libeog/image-view.h: Add function to recompute the minimum zoom

	* src/IconView.cs: Change zoom factor, automatically scale the dynamic
	zoom range into 0.0 - 1.0 range, add ZoomChanged event, add ZoomIn and
	ZoomOut methods. Added ctrl-mouse-wheel zooming from Pasi Savolainen,
	psavo@iki.fi.

	* src/ImageView.cs: Add method to update minimum zoom for when a new
	pixbuf is loaded.

	* src/MainWindow.cs: Move details of zooming in/out to the IconView
	and PhotoView classes, keep the zoom_scale in sync with the current
	zoom level.

	* src/PhotoImageView.cs: Handle the details of zooming in/out,
	providing ZoomIn/ZoomOut methods, and update the minimum zoom when
	appropriate.  Fix bug that caused arrow keys to always go to
	next/previous photo even if zoomed in (when they should pan).

	* src/PhotoView.cs: Pass on zoom commands to the PhotoImageView

	* src/Preferences.cs: Remove THUMBNAIL_SIZE preference, add ZOOM

	* src/SingleView.cs: Make zooming work with above changes, add
	handlers for zooming via the menu and keybindings.

	* src/f-spot.glade: Remove the Size menu, make the near/far images
	surrounding the zoom_scale clickable, rearrange the order of the View
	menu for the SingleView mode and add Zoom In/Out commands to it.
	
	* src/MainWindow.cs: Organize menu widgets, make zoom items not
	sensitive as appropriate, fix bug where menu items not updated
	properly when switching between Edit/Browse mode.
	
	* src/SingleView.cs: Variables for zoom items to be able to make
	them not sensitive as appropriate.

2005-12-09  Larry Ewing  <lewing@novell.com>

	* src/GalleryExport.cs:
	* src/GalleryRemote.cs:
	* src/f-spot.glade: Patch from Ben Monnahan to improve the gallery
	export code to handle Gallery versions 1 and 2.  With a patch from
	Ruben Vermeersch to add the ability to create albums from the
	export dailog.

	* po/ru.po: add ru.po from Alexandre Prokoudine to the build.

	* configure.in: added ru.po to ALL_LINGUAS.

	* libfspot/f-image-view.c: patch from Diego Gonzolez to avoid a
	crash when applying selection constrants to an empty image view.

2005-12-08  Larry Ewing  <lewing@novell.com>

	* src/PhotoImageView.cs: remove redundant functions.
	
	* src/IBrowsableItem.cs: rework the changed event to pass the
	previous item and the previous index.  Listen to the ItemChanged
	even on the collection and fire the changed event if it matches.

2005-12-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagCommands.cs:
	* src/TagSelectionWidget.cs: Allow editing the case of a tag's name

2005-12-08  Larry Ewing  <lewing@novell.com>

	* src/PhotoImageView.cs: enable a feature.

	* src/IBrowsableItem.cs: add a couple of helper methods.

	* src/Scanning.cs: start stubbing in Sane interface.

	* src/PhotoStore.cs: remove unused code.

	* src/Global.cs: allow global setting for profile.
	
	* src/PreferenceDialog.cs: start filling in the profile
	information.
	
	* src/Cms.cs: rename to AlternateRgb for now.
	
	* src/Tiff.cs: use renamed method.

2005-12-08  Gabriel Burt  <gabriel.burt@gmail.com>

	* NEWS: added some things for the 0.1.4 release.

2005-12-07  Larry Ewing  <lewing@novell.com>

	* src/f-spot.glade: hide some used widgets for release.

2005-12-06  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: Match what the encoder does.

	* src/Exif.cs: fix the logic when setting values.

	* src/JpegFile.cs: fix the coputed length of the comment.

	* src/Db.cs: move comment.

	* src/TagStore.cs: remove the old signals.

	* src/TagSelectionWidget.cs: use the db store signals not the
	higher level ones.

2005-12-05  Larry Ewing  <lewing@novell.com>

	* src/PhotoQuery.cs:
	* src/IBrowsableItem.cs: 
	* src/IconView.cs:
	* src/MainWindow.cs:
	* src/PhotoArray.cs:
	* src/PhotoImageView.cs:
	* src/PhotoQuery.cs:
	* src/DirectoryCollection.cs: Change the parameters of the
	ItemsChanged event in the BrowsableCollection so that it passes
	the arguments in and Args object that contains an array.  The goal
	is to use this to pass a reason along in the args eventually.
	
	* configure.in: drop the mono required version.

	* src/Makefile.am: add the cairo files to the build.

	* src/Cairo/: add the Cairo binding from mono-1.1.10 to the build
	so we don't need to require that version.
	
	* src/MainWindow.cs: remove extra calls to UpdateTagEntryFromSelection.

	* src/TagSelectionWidget.cs: use Window instead of GtkWindow.

	* src/main.cs: change the dbus error message to a non error
	sounding report.

	* src/MainWindow.cs: expose the Selection to the public. Do a
	little more house keeping.
	
	* src/IconView.cs: don't do anything if the changed item isn't in
	the selection.

	* src/MainWindow.cs: use the selection object in a couple more
	places.
	
	* src/MainWindow.cs: Unify the selection interface.  Clean up some
	of the change notification.  Avoid calculating some things if they
	are hidden.

	* src/PhotoStore.cs: add IBrowsableItem wrapper for versions.

	* src/SingleView.cs: fixup Direction name.

	* src/MainWindow.cs: fixup Direction name.

	* configure.in: bump mono required version to 1.1.10 to pick up
	cairo.

	* src/Makefile.am: add the mail commands and the Loupe to the
	build.

	* src/RotateCommand.cs: refactor to split out the rotations into
	operations.
	
	* src/PhotoStore.cs: fix typo.

	* src/Operation.cs: add new file.

2005-12-04  Gabriel Burt <gabriel.burt@gmail.com>

	* src/MainWindow.cs: Add handler for finding untagged photos.
	
	* src/PhotoQuery.cs: Add gettable Untagged property that initiates
	a search for untagged photos.
	
	* src/PhotoStore.cs: Add method to search for untagged photos.
	
	* src/f-spot.glade: Add menu item to find untagged photos.
	
	* src/TagSelectionWidget.cs: Prevent strange crasher when returning
	empty Tag array.
	
	* f-spot.desktop.in.in: Change title and tooltip to be more
	informative.
	
	* src/QueryDisplay.cs: Add label for when finding untagged photos
	
	* src/PhotoQuery.cs: Make finding untagged mutually exclusive of
	setting a range or tag selection.
	
	* src/MainWindow.cs: Modify tag context menu to appear even if
	activated not over a tag.
	
	* src/TagPopup.cs: Create context menu aware that might not be over a
	tag, so disable some options as needed.
	
	* src/Util.cs: Check if the callback arg is null before using it.

2005-12-03  Gabriel Burt <gabriel.burt@gmail.com>

	* src/PhotoImageView.cs: Added more keybindings for going to the next
	and previous photos, including left/right/up/down keys, and KP_ keys.

2005-12-03  Larry Ewing  <lewing@novell.com>

	* src/main.cs: change the message to sound more possitive.

	* src/Db.cs: add some emit overloads.

	* src/PhotoStore.cs: emit change notifications when a photo is
	modified.

	* src/Db.cs: add basic notification signals to DbStore.

	* src/TagStore.cs: refactor the event to piggyback on the DbStore
	events (for now).

2005-12-02  Aaron Bockover  <aaron@aaronbock.net>

	* src/PhotoStore.cs (Create): Accept a new/destination path and an
	orignal/source path; create the file based on the original path and
	perform all other actions based on the new path; this forces metadata
	parsing to be done on the original path, meaning mtime will be used from
	the orginal and not the copy as date/time in case the photo lacks
	EXIF date/time information

	* src/FileImportBackend.cs (Step): if photo is to be copied and imported, 
	pass both the original and the new path to PhotoStore.Create
	
	* src/ImportCommand.cs: Added two overloaded ImportFromPaths methods that
	will preserve existing calls but also allow a 'copy' boolean to be passed;
	for preserved calls, the default copy value is false

	* src/MainWindow.cs: Added a 'copy' parameter to ImportUriList; set
	copy option to true if DnD drag action contains the DragAction.Copy flag

	* src/ImportCommand.cs (DoImport):  guard against a NullReferenceException
	before setting progress_bar.Text; if the import was invoked from DnD,
	progress_bar won't exist

2005-12-02  Larry Ewing  <lewing@novell.com>

	* src/MailDialog.cs: start new dialog to use the smtp transport
	logic.

	* configure.in: update the version checks bump the package
	version.

	* src/ColorDialog.cs: fix the default brightness value.

	* src/Loupe.cs: make it build with mono 1.1.10 class libraries.

	* src/Mail/*: import then modify the mono SmtpMail and
	support classes allow AUTH LOGIN and use ssl.

2005-11-30  Gabriel Burt <gabriel.burt@gmail.com>

	* src/f-spot.glade and many others: Change 'image' to 'photo', apply HIG
	guidelines for capitalization, reword some labels. Many changes based
	on patch from Alexandre Prokoudine, alexandre.prokoudine@gmail.com
	
	* src/ImportCommand.cs: Change progress bar text to "Loading x of N"
	and to "Done Loading" when done. Fix off-by-one error.

	* src/f-spot.glade: Change "Finish Importing" to "Import" and make it
	translatable.

2005-12-01  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: clean up adjusment values slightly

	* src/Cms.cs: make brightness do something sane.

2005-11-30  Gabriel Burt <gabriel.burt@gmail.com>

	* src/TagSelectionWidget.cs: don't crash if there are zero tags.

2005-11-30  Daniel Svensson <daniel@nittionio.nu>

	* src/MainWindow.cs: Don't show tag context menu unless over a tag,
	prevents crasher, fixes bug #322290.

2005-11-30  Gabriel Burt <gabriel.burt@gmail.com>

	* src/TagCommands.cs: added ability to create tags and categories
	with toplevel as the parent. Fixes bug #165035.

	* src/TagSelectionWidget.cs: changes for same fix.
	
	* src/TagStore.cs: make root tag name translatable.

	* po/POTFILES.in: add TagStore.cs
	
	* src/MainWindow.cs: new tags in the type-to-find bar are created as
	Category not Tag objects so they can have children.
	
2005-11-30  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: show the prefernce dialog.

	* src/f-spot.glade: hook up more signals.
	
	* src/PreferenceDialog.cs: handle close and show with a little
	more sanity.

	* src/f-spot.glade: add the start of the new dialog.

	* src/PreferenceDialog.cs: get and set the metadata preference.

	* src/Preferences.cs: add metadata option.

	* src/Makefile.am: add PreferenceDialog.cs.

2005-11-30  Gabriel Burt <gabriel.burt@gmail.com>

	* src/MainWindow.cs: When in browse or edit mode, clicking the toggle
	icon again should not unselect the toggle. Based on patch by John
	Russell, jjrussell@gmail.com

2005-11-30  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: set the write metadata flag based on a gconf
	key.

	* src/Preferences.cs: add metadata preference.

	* src/PixbufUtils.cs: update the adjustment dialog calls.

	* src/f-spot.glade: rework the adjustment dialog.  Add reset
	functions.
	
	* src/ColorDialog.cs: change the sliders and color correction
	functions.

	* src/Cms.cs: add new color types. Change the abstract profile
	logic.
	
	* libfspot/f-screen-utils.c (f_cmsCreateBCHSWabstractProfile):
	adjust the equations for the exposure correction.

2005-11-29  Larry Ewing  <lewing@novell.com>

	* src/Histogram.cs: small cleanups.

2005-11-29  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/f-spot.glade: Allow closing F-Spot with ctrl-q.

	* src/MainWindow.cs: change references to categories to tags because
	user's never need to make tags that can't have children and having
	tags and categories is a very confusing thing.
	
	* src/TagCommands.cs: change references to Category to Tag

	* src/TagPopup.cs: Allow only creation of new 'tags' which are what
	used to be called categories.
	
	* src/f-spot.glade: Remove menu items referring to categories

	* src/TagSelectionWidget.cs: Save and restore which tags are expanded.

	* src/MainWindow.cs: Call the TagSelectionWidget save command on exit.

	* src/Preferences.cs: Added key string for expanded tags preference.

	* src/MainWindow.cs: listen for F2 to start editing a tag's name.
	
	* src/TagCommands.cs: do case-insenstive matching to prevent duplicate tags.
	
	* src/TagSelectionWidget.cs: Make tag names editable inline
	
2005-11-24  Miguel de Icaza  <miguel@novell.com>

	* src/MainWindow.cs: Do not crash if there is an error deleting
	the file, report a cute error to the user.

2005-11-21  Larry Ewing  <lewing@novell.com>

	* src/Histogram.cs: speed up the analysis and drawing slightly.

	* libfspot/f-screen-utils.cs: remove unused param.

	* src/Cms.cs: remove unused param.

	* src/ColorDialog.cs: fix up the destination profile so that is
	actually something.  clean up the changed logic slightly.

	* src/f-spot.glade: set the limits to more appropriate values.

	* src/Cms.cs: use the new abstrct profile creation function.

	* libfspot/f-screen-utils.c (f_cmsCreateBCHSWabstractProfile):
	new abstract profile creation function.

2005-11-18  Larry Ewing  <lewing@novell.com>

	* src/Exif.cs: remove unsed stubs.

	* src/ColorDialog.cs: calculate the change state rather than
	storing it.

	* src/ExifUtil.cs: remove file.

	* src/Makefile.am (F_SPOT_CSDISTFILES): rmove ExifUtils from the
	build it is no longer used.

	* src/PngFile.cs: increase the number of entries in the gamma
	table.

	* src/IconView.cs: optimize the change notification slightly.

2005-11-11  Gabriel Burt  <gabriel.burt@gmail.com>
 
 	* src/IconView.cs: Better image selection with shift and ctrl keys.
 
2005-11-17  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: clean up calculation functions start cleaning up
	rotation and movement.

	* src/Cms.cs: add more profile introspection functions. Add
	ColorCIEZYZ and add wrapper for gray profile creation.

2005-11-15  Nat Friedman  <nat@novell.com>

	* src/MainWindow.cs: Update the tag entry when the user drags tags
	onto the photo view.  With tag typing, correct for capitalization
	differences in the retrieved tag and what the user typed.
	

2005-11-14  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: expose the colorant retrieval bits of lcms.

	* src/MainWindow.cs: remove unused variable.

	* src/MrwFile.cs: use DirectoryEntry not ascii entry.

	* src/ColorDialog.cs: reset the transform when the dialog is closed.

	* src/Tiff.cs: read the Gamma value from the exif info (where is
	this tag actually defined?).  Remove AsciiEntry as a type.

	* src/Cms.cs: add a profile for adobe rgb.

2005-11-13  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: clean up the handle array creation code.

	* src/PhotoView.cs: remove unused variable.

	* src/MainWindow.cs: hook to the ZoomChanged event and update the
	zoom scale from it.

2005-11-11  Larry Ewing  <lewing@novell.com>

	* src/ImageView.cs: wrap the zoom-changed signal.

	* src/SingleView.cs: hook up the zoom slider.

	* src/MainWindow.cs: small optimizations.  Start converting the
	selection to a collection.

	* src/Loupe.cs: move some of the internal settings to properties.

	* src/f-spot.glade: add copy option.

	* src/ImportCommand.cs: add copy option to the import dialog.

2005-11-10  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: remove unused variable.

2005-11-10  Nat Friedman  <nat@novell.com>

	* src/MainWindow.cs: Added support for creating and applying tags
	by typing them into a tagbar entry.  Added support for merging
	tags.  Support for multiselection operations in the tag sidebar.
	Handle photo deleting in the icon and photo views by catching the
	keypress in the icon and photo view widgets, not as a menu
	accelerator.  Pressing delete in the tag treeview will now delete
	the selected tags.  Fixed several bugs.

	* src/TagPopup.cs: Added support for merging tags.  Added support
	for multiselection tag actions.

	* src/TagSelectionWidget.cs: Handle top-level tag creation.

	* src/Db.cs: Made the item_cache protected so the TagStore
	subclass can access it.

	* src/TagStore.cs: Added GetTagByName and GetTagByNameStart, both
	of which are case-insensitive.

	* src/f-spot.glade: Remove the Delete accelerator for deleting
	photos.  Add the tag typing bar.

2005-11-08  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: queue a resize iff the dimensions have changed so that the
	mask gets updated.

	* src/Loupe.cs: do something sane in the shape extension case.

	* src/Loupe.cs: draw the loupe normally when the there is no overlay.

	* src/Loupe.cs: fix the sharpener so that it works with the new Loupe.

2005-11-07  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: tweak the motion handler.  Use a different method
	of finding the position.

2005-11-07  Nat Friedman  <nat@novell.com>

	* src/f-spot.glade: Add [ and ] accelerators for rotating images.
	Make the rotation actions in the menus behave the same as the
	toolbar buttons -- e.g. rotate left is now rotate 270, not 90.
	Zoom in and zoom out are now C-= and C--.

2005-11-07  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: fix the hotspot, update only on motion.

2005-11-06  Larry Ewing  <lewing@novell.com>

	* src/Loupe.cs: update the centering logic.  handle changes a
	little more cleanly.

	* src/Loupe.cs: change the logic slightly.

2005-11-02  Larry Ewing  <lewing@novell.com>

	* src/GroupSelector.cs: disable the timer for now.

	* src/Loupe.cs: set the ranges more appropriately, limit the
	viewing area to the pixbuf bounds.

	* src/Loupe.cs: add save logic.  Fix button press stuff.

	* src/PhotoView.cs: use SaveVersion.

	* src/PhotoStore.cs: add WriteMetadataToImage and SaveVersion
	methods.

	* src/MainWindow.cs: use photo.SaveVersion in the sharpen call.
	Call WriteMetadataToImage when applying tags for now (disabled for
	tagging at the moment).

	* src/ColorDialog.cs: use photo.SaveVersion.

2005-11-01  Larry Ewing  <lewing@novell.com>

	* src/TagSelectionWidget.cs: add patch from Gabriel to fix my half
	baked row expansion patch.

	* src/Loupe.cs: add Sharpen dialog.
	
	* src/Loupe.cs: new file.

	* src/ImageFile.cs: use write time if it is older than ctime.

	* src/Tiff.cs: add some code to simplify the string value of the rational.

	* src/InfoBox.cs: generated rdf metadata for the info box so that we pick up
	metadata from all image types.

	* src/ImageView.cs: wrap f_image_view_window_coords_to_image as
	WindowCoordsToImage.

	* libfspot/f-image-view.c: expose f_image_view_window_coords_to_image.

2005-10-29  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: commit a slightly modified patch from Bengt
	Thuree to switch out of photo view mode when zooming out.  Add
	some people to the credits dialog (If you are reading this and
	feel you should be listed too, remind me please).

	* src/MetadataStore.cs: fix names.

	* src/JpegFile.cs: look for DataTime original and DateTime.

	* src/Tiff.cs: simplify rationals when convering them to strings
	when possible.  Don't add invalid dates to the statement store.

	* src/JpegHeader.cs: make the jpeg header code handle truncated files.

2005-10-28  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: add support for dropping tags onto other tags
	to reparent them.

	* src/TagStore.cs: add IsAncestorOf function to prevent tags from
	becoming a child of one's children.

	* src/TagCommands.cs: Hide one's children as potential Categories
	When editing a tag's icon, allow the user to select an entire image
	by clicking on it instead of having to select a box.  Fixes #319908.

2005-10-27  Larry Ewing  <lewing@novell.com>

	* src/TagSelectionWidget.cs: fix incorrect change when removing
	warnings, expand parent when adding a tag to a category.

	* src/TagSelectionWidget.cs: fix pasteo.

	* src/MainWindow.cs: remove the reference to copy.

	* f-spot.glade: remove copy command, replace with copy
	location. Patch from Gabriel.

	* src/MainWindow.cs: sensitize the copy location item correctly.

	* src/f-spot.glade: apply patch from Gabriel to center the text on
	the bottom.

2005-10-26  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: add SetXmp method.

	* src/JpegHeader.cs: fix the Replace method so that it actually
	replaces things.
	
	* src/PhotoView.cs: sync the tags to the file as xmp (still
	disabled for now).

	* src/JpegFile.cs: use SetExif.

	* src/JpegHeader.cs: add xmp write support to the jpeg stream.	

	* src/TimeAdaptor.cs: tryout putting the count int the tip.

	* src/MainWindow.cs: fix grammar slightly.

2005-10-19  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/MainWindow.cs: added loading and storing of prefs via GConf.
	Includes window size, position, maximized state, icon_view scroll
	position, show toolbar, sidebar, timeline, tags, dates.

	* src/Preferences.cs: New file. Defines the prefs used by F-Spot and
	provides helper methods for getting, setting, and listening to them.

	* src/IconView.cs: changed ScrollTo to optionally valign top or center.

	* src/FlickrExport.cs: save export preferences, fixes #310615.

	* src/GalleryExport.cs: save export preferences, fixes #305733

	* src/f-spot.glade: changed some MenuItem names, added display_toolbar.

	* src/MakeFile.am: added Preferences.cs to the build.

2005-10-25  Larry Ewing  <lewing@novell.com>

	* src/FlickrRemote.cs: Integrate patch from Adam Israel it quote
	tag names with spaces in them.

2005-10-20  Gabriel Burt  <gabriel.burt@gmail.com>

	* src/TagSelectionWidget.cs: modified Model to allow for interactive
	searching by tag name. Fixes #316051.

2005-10-25  Larry Ewing  <lewing@novell.com>

	* libfspot/f-jpeg-utils.c: include patch from Luca Ferretti to
	fix libexif header inclusion.

	* src/PixelBuffer.cs: more fixes.

	* src/PixelBuffer.cs: make the casts explicit.

	* src/Ciff.cs: use ToSingle;

	* src/BitConverter.cs: add ToSingle method.

	* src/Makefile.am (F_SPOT_CSDISTFILES): ignore obsolete wanring on
	Mono.Posix.GetString.

	* src/Cms.cs: remove the size specifier.

	* src/GroupSelector.cs: use TipWindow.

	* src/Makefile.am: add TipWindow.cs.
	
	* src/TipWindow.cs: simple class to get closer to tooltip appearance.

	* src/TimeAdaptor.cs: use the fullname of the month in the tip.

	* src/GroupSelector.cs: rework some of the scrolling logic.

	* src/Cms.cs: add ctor for linearization devicelink profile.
	
	* src/Cms.cs: set the error action to only display the error
	message for now.

	* src/Tiff.cs: add logic to find the right subfile in NefFile.
	Fix broken CFA parsing logic.

2005-10-24  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: 

	* src/TimeAdaptor.cs: Reverse the time sorting.

	* src/DirectoryAdaptor.cs: remove GetInitialPosition.

	* src/GroupAdaptor.cs: removed unused initial position call.

	* src/GroupSelector.cs: use Inflate.

	* src/IconView.cs: use the Inflate method on Gdk.Rectangle now
	that it exists.

	* libfspot/f-pixbuf-utils.h: remove the old rotate90 and mirror
	functions.

	* libfspot/f-pixbuf-utils.c: remove the old rotate90 and mirror
	functions.

	* src/PixbufUtils.cs: remove the old copy and mirror functions.

2005-10-22  Larry Ewing  <lewing@novell.com>

	* src/DirectoryCollection.cs: add File collection.
	
	* src/TagSelectionWidget.cs: fixup, colors to work with themes,
	use new gtk# functions for treeiters cleanup formatting.

	* src/PnmFile.cs: rework the 16bit conversion code, add new
	methods, add Xmp generation.

	* src/MrwFile.cs: change the dump string.

	* TODO: clean up slightly.

	* src/Tiff.cs: remove unused variable.

	* src/RafFile.cs: cleanup unused warning.

	* src/TagPopup.cs: get rid of warning.

	* src/SlideView.cs: clean up obsolete warnings.

	* src/PngFile.cs: get rid of warning.

	* src/RotateCommand.cs: get rid of warning.

2005-10-21  Larry Ewing  <lewing@novell.com>

	* src/PixbufUtils.cs: make the adjustment profile deeper.

	* src/Cms.cs: clean up screen profile, return cached srgb profile.

	* src/ImageFile.cs: add srf files using the nef type.

	* src/f-spot.glade: misc updates.

	* src/Tiff.cs: fix up dump output.
	
	* src/MrwFile.cs: call dump with the right parameters.

	* src/ColorDialog.cs: use the screen profile.

	* libfspot/f-screen-utils.c (f_screen_get_profile): expose the
	function, duh.

	* src/ColorDialog.cs: turn off adjustments for images with alpha
	for now, since adjustment profiles break badly with alpha.

	* src/Cms.cs: expose the model and name and description.

2005-10-20  Larry Ewing  <lewing@novell.com>

	* src/PixelBuffer.cs: use the new method name.

	* src/PhotoPopup.cs: use the nondeprecated method.

	* src/ColorDialog.cs: use the image profile when creating the
	transform.

	* src/PngFile.cs: create a profile from the embedded image data.

	* src/ImageFile.cs: add get profile virtual method.

2005-10-19  Larry Ewing  <lewing@novell.com>

	* src/JpegFile.cs: expose the profile to the world.

	* src/MainWindow.cs: make escape return to the icon view (from
	Gabriel Burt).

	* src/Cms.cs: add a new byte ctor that allows an offset.

	* src/JpegHeader.cs: add profile extraction.

	* src/Cms.cs: add more gamma table and profile creation methods.

	* src/Tiff.cs: add profile extraction to ImageDirectory.

	* src/JpegHeader.cs: fix the byte order of the length data when
	writting on a big endian arch.

	* src/FolderExport.cs: move to IBrowsable*.

	* src/PhotoQuery.cs: move to IBrowsable*.

	* src/PhotoArray.cs: move to IBrowsable*.

	* src/Makefile.am (F_SPOT_CSDISTFILES): remove IPhotoCollection
	from the build.

	* src/IPhotoCollection.cs: remove file, this was an empty
	interface.

	* src/GalleryExport.cs: switch to IBrowsable*.

	* src/FlickrRemote.cs: switch to IBrowsable*.

	* src/FlickrExport.cs: swtich to IBrowsable*.

	* src/CDExport.cs: switch to IBrowsable*.

2005-10-18  Larry Ewing  <lewing@novell.com>

	* src/JpegHeader.cs: write out Rst and Tem markers.

	* src/RotateCommand.cs: 

	* src/Util.cs: fixe typos, add string param.

	* src/Util.cs: add some members to Timer.

	* HACKING: add new file with style guides.

2005-10-16  Larry Ewing  <lewing@novell.com>

	* src/MainWindow.cs: use the remove array overloads.

2005-10-13  Larry Ewing  <lewing@novell.com>

	* src/PnmFile.cs: use the pixelbuffer code for loading deep pnm
	files.

	* src/PixelBuffer.cs: fix the pixbuf ctor.

	* src/BitConverter.cs: add a static swap method.

2005-10-11  Larry Ewing  <lewing@novell.com>

	* src/ColorDialog.cs: add a little bit of smarts to the ok case to
	not create a version if the values haven't changed or have been reset.

2005-10-10  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: add some more data types.

2005-10-09  Larry Ewing  <lewing@novell.com>

	* src/PixelBuffer.cs: fix the loading interface.

2005-10-07  Larry Ewing  <lewing@novell.com>

	* src/Db.cs: add add a Cache empty property.

	* src/ImportCommand.cs: handle exceptions while creating vfs
	sources. (ugh burn:/// ugh)

	* src/IconView.cs: remove region.Destroy calls.

	* src/Cms.cs: add more types.

2005-10-06  Larry Ewing  <lewing@novell.com>

	* src/PixelBuffer.cs: implment 16bit loading.

	* src/PnmFile.cs: implement 16 bit loading.

	* src/PixelBuffer.cs: add some more logic.

	* src/Tiff.cs: handle errors when loading image subdirectories.

2005-10-03  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: add Lab profile creation functions.

	* src/f-spot.glade: add revert button.

	* src/ColorDialog.cs: add reset method to the dialog.

	* src/MetadataStore.cs: fix typo.

	* src/MetadataStore.cs: add CustomRendered.

	* src/Tiff.cs: add custom rendered.

2005-10-02  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: fix typo in iptc parsing.

	* src/XmpFile.cs: add the requisit processing instructions and
	xmpmeta element.
	
	* src/InfoDisplay.cs: add a disabled debugging dump of the xmp to
	a file.

	* semweb/XmlWriter.cs: don't close the writers when we close the
	rdf writer, we may want to add more info.

	* src/XmpFile.cs: basic writing.

	* src/PixelBuffer.cs: start new class for deep image data.

	* src/FolderExport.cs: copy exif data to the lq file in the
	Original export so that the exif data will show up in the the
	display.  Change the thubmnail size limits.

	* src/Tiff.cs: add OECF parser.

	* src/IptcFile.cs: remove unused code.

	* src/MainWindow.cs: remove unuaed variable.

	* src/InfoDisplay.cs: remove unused variable.

	* src/Unix.cs: remove warnings.

	* src/Tiff.cs: clean up some warnings.

2005-10-01  Larry Ewing  <lewing@novell.com>

	* src/Cms.cs: fix typo.

	* libfspot/Makefile.am (INCLUDES): add the new file for the glue
	function.

	* src/Cms.cs: wrap the profile glue function.

	* libfspot/f-screen-utils.c (f_screen_get_profile): add a simple
	glue function to get the profile from the display.

	* src/Cms.cs: bind CreateRGBProfile.

	* src/Cms.cs: wrap the gamma table creation functions.	

2005-09-29  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: add more enums.

	* src/MetadataStore.cs: add more types.

	* src/Makefile.am: add the rdf to extra dist.

	* src/IptcFile.cs: add the info table back.

	* src/JpegFile.cs: just load the metadata in the Select statement.

	* src/JpegHeader.cs: add a mode where we don't read the image data.

	* src/IptcFile.cs: use metadata store everywhere.

	* src/InfoDisplay.cs: allow collections to be named as well.
	Clean up the display a little more.

	* src/MetadataStore.cs: work with MemoryStores as well.

	* src/MetadataStore: add new add overload that takes a subject.

	* src/Tiff.cs: add CFAPattern parsing (and more), clean up code a bit.

	* src/InfoDisplay.cs: improve the display.

2005-09-28  Larry Ewing  <lewing@novell.com>

	* src/MetadataStore.cs: add more mappings.

	* src/Tiff.cs: add more enums.

	* src/MetadataStore.cs: add new description logic.

	* src/Tiff.cs: small formatting changes.

2005-09-27  Larry Ewing  <lewing@novell.com>

	* src/Tiff.cs: remove a bunch of debug output.

	* src/MainWindow.cs: use the PhotoLoader to create the icon so
	that raw files work properly.

	* src/QueryView.cs: show the photo popup.

	* src/IconView.cs: make the ContextMenu virtual.

	* src/MainWindow.cs: if the mode is already set, don't set it again.
	
2005-09-26  Larry Ewing  <lewing@novell.com>

	* src/TagCommands.cs: allow only one selection to be active at a
	time.

	* src/TagStore.cs: fix the sort logic.

	* src/MainWindow.cs: handle removing a tag and its children at the
	same time.

	* src/TagStore.cs: clean up the exception logic. Add a comparer
	for the remove command.

	* src/MainWindow.cs: integrate category removal error dialog patch
	from Bengt Thuree (see #171346). 
	
	* src/TagStore.cs: throw an exception if we try to remove a
	category with children.

	* src/main.cs: remove extra call to Gtk.Application.Init to fix
	init arguments.

2005-09-25  Larry Ewing  <lewing@novell.com>

	* src/Ciff.cs: add some more fields.

	* src/Tiff.cs: make the srational conversion safe.

	* src/BitConverter.cs: add an int converter.

	* src/Ciff.cs: start processing the crw metadata, hook up
	orientation and date in the process.

2005-09-24  Larry Ewing  <lewing@novell.com>

	* src/XmpFile.cs: silence debug output.

	* src/Tiff.cs: silence a bunch of debug noise.

	* src/Util.cs: add trivial timer class for debugging.

	* src/InfoDisplay.cs: handle missing images and inactive messages
	with a little grace.

	* src/SlideView.cs: display an error pixbuf rather than crahsing
	if the image is missing. 

	* src/ImageView.cs: hold onto the delegate we create.

	* src/InfoDisplay.cs: clean up output spew a little.

	* src/Makefile.am: add dces.rdf to the build.

	* src/Tiff.cs: don't print out a denominator of one for rationals.

2005-09-23  Larry Ewing  <lewing@novell.com>

	* src/PngFile.cs: add more triples based on the pHYs chunk.

	* src/JpegFile.cs: disable the md dump on load.

	* src/dces.rdf: add dublin core descriptions.

	* src/InfoDisplay.cs: get the the lable string from the
	description store.

	* src/RafFile.cs: turn raf into a source.

	* src/MrwFile.cs: turn mrw into a source.

	* src/Tiff.cs: handle srational, clean up output methods, add more
	tags.

	* src/PngFile.cs: parse more tags.

	* src/MetadataStore.cs: actually skip this case.

2005-09-22  Larry Ewing  <lewing@novell.com>

	* src/MetadataStore.cs: add methods for actually setting sequences
	with values. Add a store for setting up the display.

	* src/Tiff.cs: add rational parsing, add a whole bunch more tags
	to the rdf sink.
	
	* src/PngFile.cs: convert the cHRM chunk to the tiff WhitePoint
	and PrimaryChromaticities.

	* src/Tiff.cs: start moving the tiff properties over.

2005-09-21  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: convert many more of the items to rdf, do title
	correctly.

	* src/PngFile.cs: use the metadata store methods parse more of the
	chunks.

	* src/MetadataStore.cs: move the Add methods here.

	* src/IptcFile.cs: parse keywords and other more complex datatypes.

	* src/PngFile.cs: parse dc:title dc:creator and dc:description
	from the png text chunks.

	* src/MetadataStore.cs: add namespace.

	* src/InfoDisplay.cs: tweaks.

	* src/f-spot.glade: change the menu entry name.

	* src/MainWindow.cs: change the dialog name.

	* src/f-spot.in: add semweb to MONO_PATH so f-spot can be run from
	the source directory again.

	* src/ImageFile.cs: use SvgFile when loading svg files.

	* src/InfoDisplay.cs: handle complex types inside complex types
	(sort of).

	* src/PngFile.cs: transfer TimeChunks as triples.

	* src/SvgFile.cs: add XMP extraction for svg files.

	* src/Makefile.am: add SvgFile.cs.

	* src/IptcFile.cs: make the literals literal.

	* src/InfoDisplay.cs: clean up the container display a bit.

	* src/MetadataStore.cs: add tiff namespace.

	* src/XmpFile.cs: don't pass xml exceptions up the stack.

	* src/PngFile.cs: make PngFile a source, pass along the simple
	properties.

2005-09-20  Larry Ewing  <lewing@novell.com>

	* src/InfoDisplay.cs: Improve the display for nonliterals.

	* src/Tiff.cs: make TiffFile a source.

	* src/InfoDisplay.cs: start working on the rdf display.

	* src/Tiff.cs: make TiffFile a souce and make Tiff.Header a source.

	* src/JpegFile.cs: make JpegFile a source, use JpegHeader as a
	source and Tiff.Header as a source, to clean up the processing.

	* src/JpegHeader.cs: make JpegHeader into a source.

	* src/MetadataStore.cs: add more namespaces.

	* src/XmpFile.cs: make the store into a metadata store.

	* src/MetadataStore.cs: add some output processing.

	* src/XmpFile.cs: make the store a metadata store.

2005-09-19  JP Rosevear  <jpr@novell.com>

	* f-spot-view.desktop.in: make generic name "Photo Management" and
	Name "F-Spot"

	* f-spot.desktop.in.in: ditto
	
2005-09-19  Larry Ewing  <lewing@novell.com>

	* src/f-spot-view.desktop.in: set nodisplay and change the
	category.
	
	* src/JpegFile.cs: use the metadata store.

	* src/Makefile.am: add missing files.

	* src/Bim.cs: make BimFile into a StatementSouce.

	* src/IptcFile.cs: make IptcFile into a StatementSource.

	* AUTHORS: add note about semweb to the AUTHORS file.

	* semweb/XmlParser.cs: modify the parsing loop to keep looking for
	the rdf element.

	* configure.in: add semweb by Joshua Tauberer <tauberer@for.net>
	to the build.  Integrate it into the automake build.  I may move
	to using a public version later but for now I want the changes
	local.

	* semweb/: import semweb source into f-spot.

	* Makefile.am: add semweb directory to the build.

2005-09-17  Larry Ewing  <lewing@novell.com>

	* src/Core.cs: handle destruction on the main window properly.

	* Makefile.am (desktop_in_files): add f-spot-view.desktop.in.

	* f-spot-view.desktop.in: add a desktop file for the --view
	command line.

2005-09-16  Larry Ewing  <lewing@novell.com>

	* src/Core.cs: support local file paths.

	* src/PngFile.cs: update the tXMP handling and fix the iTXT loader
	to do parsing properly.

2005-09-15  Larry Ewing  <lewing@novell.com>

	* libgphoto2-sharp/Camera.cs: remove unused structures.

	* src/PngFile.cs: start xmp extraction in test logic.

	* src/Tiff.cs: add xmp debug code.

	* src/JpegFile.cs: add xmp extraction logic.

	* src/XmpFile.cs: add stub for xmp parsing.

	* src/Bim.cs: fix some tag names.

2005-09-13  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: fix up some of the error reporting.

	* src/Tiff.cs: add extraction logic to tiff files as well, this is
	all just a little bit too recursive.

	* src/Makefile.am (F_SPOT_CSDISTFILES): add Bim.cs and IptcFile.cs
	to the build.

	* src/IptcFile.cs: add more info.

	* src/JpegFile.cs: add more extraction logic for now.

	* src/Bim.cs: add identifiers for many more of the types, add name
	parsing, and fix up saving.

2005-09-12  Larry Ewing  <lewing@novell.com>

	* src/IptcFile.cs: start filling in the metadata names and descriptions.

	* src/IptcFile.cs: finish saving logic

	* src/IptcFile.cs: start filling in the field names.

	* src/IptcFile.cs: handle long DataSets.

2005-09-11  Larry Ewing  <lewing@novell.com>

	* src/Bim.cs: add FindEntry logic.

	* src/IptcFile.cs: add the start of an IPTC file parser.

	* src/JpegFile.cs: add some test logic for the new metadata code.

	* src/Bim.cs: add the start of a photoshop 3.0 metadata parser.

i2005-09-10  Larry Ewing  <lewing@novell.com>

	* src/PixbufCache.cs: stop an evil loop caused by images smaller
	than the thumbnail size.

2005-09-05  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: add some tooltips to the more of the photoview
	buttons.

2005-09-04  Larry Ewing  <lewing@novell.com>

	* src/TagCommands.cs: fix typo.

	* src/FolderExport.cs: fix misspelling.

	* Src/f-spot.glade: fix typo.

2005-09-01  Larry Ewing  <lewing@novell.com>

	* src/DirectoryCollection.cs: date is now a property.x

	* src/Tiff.cs: make date a property.

	* src/MrwFile.cs: Date is a property.

	* src/PngFile.cs: extract some metadata from the png files.

	* src/JpegFile.cs: SetDescription is a method Date and Description
	are properties.

	* src/PhotoView.cs: JpegImage.SetDescription is a property now.

	* src/Tiff.cs: date is a property now.

	* src/FileImportBackend.cs: date is a property now.

	* src/main.cs: add shutdown command line option.

	* src/Core.cs: add shutdown method.

	* src/ImageFile.cs: add Description property make Date a property
	rather than a normal method.

	* src/PhotoStore.cs: import image descriptions when importing
	photos.  Refactor the code slightly.

	* src/TagView.cs: handle missing icons with a little more grace.

	* src/FileImportBackend.cs: handle issues while importing photos,
	fix from Shlomi Fish for =310536.

2005-08-30  Larry Ewing  <lewing@novell.com>

	* src/PhotoView.cs: change the message type.

2005-08-29  Larry Ewing  <lewing@novell.com>

	* src/main.cs: don't set the import path here let the user set it.

	* src/Core.cs: null protect the import command.

	* src/PhotoImageView.cs: use SetTransparentColor.

	* src/ImageView.cs: add SetTransparentColor wrapper.

	* src/PhotoView.cs: add error message.
	
	* src/ColorDialog.cs: make the saving error a little more clear.

	* src/PixbufUtils.cs: return Rgba8Planar for alpha Pixbufs.

	* src/Cms.cs: fix the lcms bindings add rgba8planar format.

2005-08-28  Larry Ewing  <lewing@novell.com>

	* src/SlideView.cs: clean up the blend function a little.

2005-08-27  Larry Ewing  <lewing@novell.com>

	* src/RotateCommand.cs: change the wording slightly again.

	* src/JpegFile.cs: refactor the metadata saving slightly.

	* src/RotateCommand.cs: change the error handling a bit.

	* src/Unix.cs: change the error handling a bit.

2005-08-26  Larry Ewing  <lewing@novell.com>

	* src/main.cs: clean up the error message a little.

	* src/FileImportBackend.cs: don't stop scanning if we hit an
	unreadable directory.

	* src/PhotoStore.cs: make more checks on the existance of the
	hidden tag.

	* src/TagCommands.cs: make sure the hidden tag is there.

	* src/MainWindow.cs: remove present call add window.

2005-08-25  Larry Ewing  <lewing@novell.com>

	* src/IconView.cs: don't draw the shadow on images with alpha.

	* src/AsyncPixbufLoader.cs: add a Prepared flag.

	* src/PhotoImageView.cs: use the loader prepared flag.

	* src/Core.cs: exit when all the toplevels are gone.

	* src/MainWindow.cs: add present call.

	* src/main.cs: move the basic command calls to a core component.

	* src/Core.cs: new class that implements the remote control stuff.

	* src/Makefile.am: add Core.cs

2005-08-21  Larry Ewing  <lewing@novell.com>

	* configure.in: bump version for release.

	* src/ImportCommand.cs: add a timeout based hack to make sure the
	import progresses.

	* src/main.cs: check the value before we use it, avoinding a crash
	the firs time someone runs f-spot.

	* src/Ciff.cs: remove warning.

	* src/MainWindow.cs: Fix 313850. Add present method.

2005-08-18  Larry Ewing  <lewing@novell.com>

	* configure.in: add icon theme define.

	* src/Defines.cs.in: add icon theme define.

	* src/TagCommands.cs: use icon theme define to find emblems.
	Based on a patch by Loz.

	* src/PhotoView.cs: rework the constraint index passing to avoid
	gtk# changes.

	* src/FolderExport.cs: add comment for translators fixes #168359

	* src/PhotoImageView.cs: only zoom fit if the image didn't pass
	successfully through the loader.

	* src/MainWindow.cs: Silence some warnings.

2005-08-17  Larry Ewing  <lewing@novell.com>

	* src/TagView.cs: Use SetFlags.

